; $Id: cformattoidlformat.pro,v 1.1 1998/07/27 13:30:48 rgr Exp $

; $RCSfile: cformattoidlformat.pro,v $
; $Author: rgr $
; $Date: 1998/07/27 13:30:48 $
; $Revision: 1.1 $

; This function returns the equivalent IDL format string of the C
; format string which it receiveds as its argument.
;
;  Arguments
;    cformat = a C format string-(input)


function CFormatToIdlFormat, cformat

   IdlFormat = "("
   fmt = byte(cformat)
   length = strlen(cformat)
   field = bytarr(length)
   label = bytarr(length)
   percent = byte("%")
   percent = percent[0]

   nfield = 0
   nlabel = 0
   ii = 0
   while (ii lt length) do begin
      case 1 of
         (nfield gt 0) : begin
             case string(fmt[ii]) of
                'c' : field[0] = byte('a')
                'd' : field[0] = byte('i')
                'e' : field[0] = byte('e')
                'E' : field[0] = byte('E')
                'f' : field[0] = byte('f')
                'g' : field[0] = byte('g')
                'G' : field[0] = byte('G')
                'i' : field[0] = byte('i')
                'o' : field[0] = byte('o')
                'p' : field[0] = byte('z')
                's' : field[0] = byte('a')
                'u' : field[0] = byte('i')
                'x' : field[0] = byte('z')
                'X' : field[0] = byte('Z')
                'l' : dummy = 0
               else : begin
                         field[nfield] = fmt[ii]
                         nfield = nfield + 1
                      endif
             endcase
             if (field[0] ne percent) then begin
                if (strlen(IdlFormat) gt 1) then                      $
                   IdlFormat = IdlFormat + ", "
                IdlFormat = IdlFormat +  string(field[0 : nfield-1])
                nfield = 0
             endif
         end
         (nlabel gt 0) : begin
            if (fmt[ii] eq percent) then begin
                if (strlen(IdlFormat) gt 1) then                      $
                   IdlFormat = IdlFormat + ", "
                IdlFormat = IdlFormat + "'" +                         $
                                    string(label[0 : nlabel-1]) + "'"
                nlabel = 0
                field[0] = fmt[ii]
                nfield = 1
            endif else begin
                label[nlabel] = fmt[ii]
                nlabel = nlabel + 1
            endelse
         end
         else: if (fmt[ii] eq percent) then begin
                  field[0] = fmt[ii]
                  nfield = 1
               endif else begin
                  label[0] = fmt[ii]
                  nlabel = 1
               endelse
      endcase
      ii = ii +1
   endwhile

   if (nlabel gt 0) then begin
      if (strlen(IdlFormat) gt 1) then                                $
         IdlFormat = IdlFormat + ", "
      IdlFormat = IdlFormat +  "'" + string(label[0 : nlabel-1]) + "'"
   endif

   IdlFormat = IdlFormat + ")"
   return, IdlFormat

end
