; $Id: csubscriptstoidlsubscripts.pro,v 1.1 1998/07/27 13:30:49 rgr Exp $

; $RCSfile: csubscriptstoidlsubscripts.pro,v $
; $Author: rgr $
; $Date: 1998/07/27 13:30:49 $
; $Revision: 1.1 $


; This function searches the variable list for multi-dimensional arrays,
; converts them from the C form to the IDL form, and returns the
; converted variable list.
;
; The C form of multi-dimensiuonal arrays is array[i0][i1]...[in].  The
; same array in IDL will take the form array[in, ... , i1, i0].
;
;
; Arguments
;    variable = variable list in C form-(input)


function CSubscriptsToIdlSubscripts, variable

   var = variable
   mark00 = strpos(var, "[", 0)
   if (mark00 lt 0) then return, var
   mark01 = strpos(variable, "]", mark00)
   mark10 = strpos(var, "[", mark01)
   while (mark10 ge 0) do begin
      mark11 = strpos(var, "]", mark10)
      if ((mark01 + 1) eq mark10) then begin
         sub0 = strmid(var, mark00 + 1, (mark01 - mark00) - 1)
         sub1 = strmid(var, mark10 + 1, (mark11 - mark10) - 1)
         strput, var, sub1 + ", " + sub0, mark00 + 1
         mark01 = mark11
      endif else begin
         mark00 = mark10
         mark01 = mark11
      endelse
      mark10 = strpos(var, "[", mark01)
   endwhile

   return, var
end
