; $Id: fetchaceplotrequests.pro,v 1.4 1998/07/27 13:27:00 rgr Exp $

; $RCSfile: fetchaceplotrequests.pro,v $
; $Author: rgr $
; $Date: 1998/07/27 13:27:00 $
; $Revision: 1.4 $

function FetchAcePlotRequests, filename

   request = replicate({AcePlotRequest}, 4096)

   line=''
   get_lun, unit
   nrequest = 0
   openr, unit, filename
   while (not eof(unit)) do begin
     readf,unit,line
     FieldBreak, line, field, nfields
     if (nfields eq 8) then begin
        request[nrequest].structure = field[0]
        request[nrequest].field = field[1]
        reads, field[2], tmp
        request[nrequest].MedianFilter = tmp
        if (strupcase(field[3]) eq 'LOG') then     $
           request[nrequest].LogFlag = 1           $
        else                                       $
           request[nrequest].LogFlag = 0
        if (strupcase(field[4]) eq 'YES') then     $
           request[nrequest].AutoScaleFlag = 1     $
        else                                       $
           request[nrequest].AutoScaleFlag = 0
        reads, field[5], tmp
        request[nrequest].yrange[0] = tmp
        reads, field[6], tmp
        request[nrequest].yrange[1] = tmp
        reads, field[7], format='(z)', tmp
        request[nrequest].mask = not byte(tmp)
        nrequest = nrequest + 1
     endif
   endwhile

   close,unit
   free_lun, unit

   return, request[0:nrequest-1]
   end
