; $Id: hexdump.pro,v 1.1 1998/02/09 21:34:07 rgr Exp $

; $RCSfile: hexdump.pro,v $
; $Author: rgr $
; $Date: 1998/02/09 21:34:07 $
; $Revision: 1.1 $

pro hexdump, value, SPACES=spaces, LUN=lun

   nblank = 0
   if (keyword_set(spaces)) then  begin
      nblank = spaces
      blanks = bytarr(nblank, /nozero)
      blanks(*) = '20'XB
      blanks = string(blanks)
   endif

   lunit = -1
   if (keyword_set(lun)) then lunit = lun

   nvalue = n_elements(value)
   nbyte = ((nvalue + 31) / 32) * 32

   nibble = bytarr(2, nbyte, /nozero)
   nibble(*,*) = 'ff'XB
   nibble(0, 0:nvalue-1) = value/16
   nibble(1, 0:nvalue-1) = value mod 16
   nibble = reform(nibble, 8, nbyte/4, /overwrite)

   set0 = where(nibble lt 10, nset0)
   set1 = where((nibble ge 10) and (nibble le 15), nset1)
   if (nset0 gt 0) then nibble(set0) = nibble(set0) + '30'XB
   if (nset1 gt 0) then nibble(set1) = nibble(set1) + '61'XB - 10
   
   lines = bytarr(9, nbyte/4, /nozero)
   lines(0:7, *) = nibble
   lines(8,*) = '20'XB
   lines = reform(lines, 72, nbyte/32, /overwrite)
   nline = nbyte/32

   for i=0, nline -1 do begin
      set = where (lines[0:70,i] ne 'ff'XB)
      if (nblank gt 0) then                             $
         printf, lunit, blanks, string(lines[set,i])    $
      else                                              $
         printf, lunit, string(lines[set,i])
   endfor

end
