; $Id: fetchl1crissummaryunits.pro,v 1.1 1998/05/04 20:02:33 rgr Exp $

; $RCSfile: fetchl1crissummaryunits.pro,v $
; $Author: rgr $
; $Date: 1998/05/04 20:02:33 $
; $Revision: 1.1 $

pro FetchL1CrisSummaryUnits, fieldname, units

   field = strupcase(fieldname) 
   case field of
                'CLOCKMINOFRAME' : units = ''
                    'SECOND1996' : units = 'Seconds of 1996'
                   'MICROSECOND' : units = 'microsecond'
                       'QUALITY' : units = 'f,mnf,clk,s,ct,cy,L0,L1'
                'MAINBUSVOLTAGE' : units = 'ADC'
                   'CRISCURRENT' : units = 'ADC'
      'CRISINTERNALTEMPERATURE1' : units = 'ADC'
      'CRISINTERNALTEMPERATURE2' : units = 'ADC'
      'CRISINTERFACETEMPERATURE' : units = 'ADC'
                           else  : units = ''
   endcase
end
