; $Id: unpackcriseventheader.pro,v 1.1 1998/01/26 17:55:03 rgr Exp $

; $RCSfile: unpackcriseventheader.pro,v $
; $Author: rgr $
; $Date: 1998/01/26 17:55:03 $
; $Revision: 1.1 $
   
   pro UnpackCrisEventHeader, telemetry, index, event 
  
   n = n_elements(index) - 1

   if (n eq 0) then index = index(0) 
   event(0:n).nbytes = telemetry(index + 0)
   event(0:n).stim = ishft(telemetry(index + 1), -7)
   event(0:n).prim_tel_pair = ishft(telemetry(index + 1), -6) and '01'XB
   event(0:n).buffer_id = telemetry(index + 1) and '3f'XB
   event(0:n).guard_hi_or = ishft(telemetry(index + 2), -7)
   event(0:n).hazard = ishft(telemetry(index + 2), -6) and '01'XB
   event(0:n).G1 = ishft(telemetry(index + 2), -3) and '07'XB
   event(0:n).R1 = (telemetry(index + 2) and '07'XB) + 2B
   event(0:n).got_2nd_tel = ishft(telemetry(index + 3), -7)
   event(0:n).got_guard = ishft(telemetry(index + 3), -6) and '01'XB
   event(0:n).centroid_err = ishft(telemetry(index + 3), -5) and '01'XB
   event(0:n).nblobs = telemetry(index + 3) and '1f'XB
   event(0:n).npix = UncompressCrisNPixel(telemetry(index + 4))
   event(0:n).sec_tel_act = ishft(telemetry(index + 5), -6)
   event(0:n).age = telemetry(index + 5) and '3f'XB
   index = index + 6

   event(0:n).G2 = 0B
   event(0:n).R2 = 0B
   set = where(event.got_2nd_tel ne 0, ncount)
   if (ncount gt 0) then begin
      if (ncount eq 1) then set = set(0)
      event(set).G2 = ishft(telemetry(index(set)), -3) and '07'XB
      event(set).R2 = (telemetry(index(set)) and '07'XB) + 2B
      index(set) = index(set) + 1
   endif
end
