; $Id: dumpce_crisevt.pro,v 1.2 1998/07/31 00:33:01 rgr Exp $

; $RCSfile: dumpce_crisevt.pro,v $
; $Author: rgr $
; $Date: 1998/07/31 00:33:01 $
; $Revision: 1.2 $


pro dumpce_crisEvt, evt, LUN=lun

   lunit = -1
   if (keyword_set(lun)) then lunit = lun

   template = strarr(30)

   template[00] = "CRIS Normal Event - <start time               >        <Event No: xxxxxxxxxx xx>"
   template[01] = "SOFT:"
   template[02] = "    x   y    int         x   y    int          x   y    int         x   y    int"
   template[03] = "<hodoscope{0}  >     <hodoscope{8}  >      <hodoscope{16} >     <hodoscope{24} >"
   template[04] = "<hodoscope{1}  >     <hodoscope{9}  >      <hodoscope{17} >     <hodoscope{25} >"
   template[05] = "<hodoscope{2}  >     <hodoscope{10} >      <hodoscope{18} >     <hodoscope{26} >"
   template[06] = "<hodoscope{3}  >     <hodoscope{11} >      <hodoscope{19} >     <hodoscope{27} >"
   template[07] = "<hodoscope{4}  >     <hodoscope{12} >      <hodoscope{20} >     <hodoscope{28} >"
   template[08] = "<hodoscope{5}  >     <hodoscope{13} >      <hodoscope{21} >     <hodoscope{29} >"
   template[09] = "<hodoscope{6}  >     <hodoscope{14} >      <hodoscope{22} >     <hodoscope{30} >"
   template[10] = "<hodoscope{7}  >     <hodoscope{15} >      <hodoscope{23} >"
   template[11] = ""
   template[12] = "  <nblobs: xx>      Primary Telescope:            Secondary Telescope:  "
   template[13] = "    <npix: xxxxxx>    <e1: aaaa>  <g2: xxxx>        <e1: cccc>  <g2: yyyy>"
   template[14] = "  <camera: x>         <e1: bbbb>  <g3: xxxx>        <e1: dddd>  <g3: yyyy>"
   template[15] = "  <buffer: xx>        <e2: xxxx>  <g4: xxxx>        <e2: yyyy>  <g4: yyyy>"
   template[16] = "     <age: xx>        <e3: xxxx>  <g5: xxxx>        <e3: yyyy>  <g5: yyyy>"
   template[17] = "<activity: x>         <e4: xxxx>  <g6: xxxx>        <e4: yyyy>  <g6: yyyy>"
   template[18] = "   <prime: x>         <e5: xxxx>  <g7: xxxx>        <e5: yyyy>  <g7: yyyy>"
   template[19] = "    <stim: x>         <e6: xxxx>                    <e6: yyyy> "
   template[20] = "  <hazard: x>         <e7: xxxx>  <range: x>        <e7: yyyy>  <range: y>"
   template[21] = " <2nd Tel: x>         <e8: xxxx>  <no. guards: x>   <e8: yyyy>  <no. guards: y>"
   template[22] = "<guard or: x>         <e9: xxxx>  <tags: XXXX>      <e9: yyyy>  <tags: YYYY>"
   template[23] = "  <guards: x>"
   template[24] = "<cent err: x>"
   template[25] = ""
   template[26] = "Stimulated Data:"
   template[27] = "  <center high gain: xx>    <center DAC level: xxx>    <center pulsers: xx>"
   template[28] = "   <guard high gain: xx>     <guard DAC level: xxx>     <guard pulsers: xx>"
   template[29] = "                              <SOFT LED pulse: xxx>"

   line = template[0]
      strput, line, "                           ", 20
      segmentValue = string(stringDate1996(evt.secs1996), evt.usec, FORMAT="(a, '.', i6.6)")
      strput, line, segmentValue, 20
      strput, line, "                         ", 55
      segmentValue = string(evt.evtno, evt.evt_offset, FORMAT="(' Event No: ', i10, ' ', i2, ' ')")
      strput, line, segmentValue, 55
      printf, lunit, line
   line = template[1]
      printf, lunit, line
   line = template[2]
      printf, lunit, line
   line = template[3]
      strput, line, "                ", 0
      segmentValue = string(evt.hodo[0].x, evt.hodo[0].y, evt.hodo[0].I, FORMAT="(' ', i4, ' ', i3, ' ', i6)")
      strput, line, segmentValue, 0
      strput, line, "                ", 21
      segmentValue = string(evt.hodo[8].x, evt.hodo[8].y, evt.hodo[8].I, FORMAT="(' ', i4, ' ', i3, ' ', i6)")
      strput, line, segmentValue, 21
      strput, line, "                ", 43
      segmentValue = string(evt.hodo[16].x, evt.hodo[16].y, evt.hodo[16].I, FORMAT="(' ', i4, ' ', i3, ' ', i6)")
      strput, line, segmentValue, 43
      strput, line, "                ", 64
      segmentValue = string(evt.hodo[24].x, evt.hodo[24].y, evt.hodo[24].I, FORMAT="(' ', i4, ' ', i3, ' ', i6)")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[4]
      strput, line, "                ", 0
      segmentValue = string(evt.hodo[1].x, evt.hodo[1].y, evt.hodo[1].I, FORMAT="(' ', i4, ' ', i3, ' ', i6)")
      strput, line, segmentValue, 0
      strput, line, "                ", 21
      segmentValue = string(evt.hodo[9].x, evt.hodo[9].y, evt.hodo[9].I, FORMAT="(' ', i4, ' ', i3, ' ', i6)")
      strput, line, segmentValue, 21
      strput, line, "                ", 43
      segmentValue = string(evt.hodo[17].x, evt.hodo[17].y, evt.hodo[17].I, FORMAT="(' ', i4, ' ', i3, ' ', i6)")
      strput, line, segmentValue, 43
      strput, line, "                ", 64
      segmentValue = string(evt.hodo[25].x, evt.hodo[25].y, evt.hodo[25].I, FORMAT="(' ', i4, ' ', i3, ' ', i6)")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[5]
      strput, line, "                ", 0
      segmentValue = string(evt.hodo[2].x, evt.hodo[2].y, evt.hodo[2].I, FORMAT="(' ', i4, ' ', i3, ' ', i6)")
      strput, line, segmentValue, 0
      strput, line, "                ", 21
      segmentValue = string(evt.hodo[10].x, evt.hodo[10].y, evt.hodo[10].I, FORMAT="(' ', i4, ' ', i3, ' ', i6)")
      strput, line, segmentValue, 21
      strput, line, "                ", 43
      segmentValue = string(evt.hodo[18].x, evt.hodo[18].y, evt.hodo[18].I, FORMAT="(' ', i4, ' ', i3, ' ', i6)")
      strput, line, segmentValue, 43
      strput, line, "                ", 64
      segmentValue = string(evt.hodo[26].x, evt.hodo[26].y, evt.hodo[26].I, FORMAT="(' ', i4, ' ', i3, ' ', i6)")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[6]
      strput, line, "                ", 0
      segmentValue = string(evt.hodo[3].x, evt.hodo[3].y, evt.hodo[3].I, FORMAT="(' ', i4, ' ', i3, ' ', i6)")
      strput, line, segmentValue, 0
      strput, line, "                ", 21
      segmentValue = string(evt.hodo[11].x, evt.hodo[11].y, evt.hodo[11].I, FORMAT="(' ', i4, ' ', i3, ' ', i6)")
      strput, line, segmentValue, 21
      strput, line, "                ", 43
      segmentValue = string(evt.hodo[19].x, evt.hodo[19].y, evt.hodo[19].I, FORMAT="(' ', i4, ' ', i3, ' ', i6)")
      strput, line, segmentValue, 43
      strput, line, "                ", 64
      segmentValue = string(evt.hodo[27].x, evt.hodo[27].y, evt.hodo[27].I, FORMAT="(' ', i4, ' ', i3, ' ', i6)")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[7]
      strput, line, "                ", 0
      segmentValue = string(evt.hodo[4].x, evt.hodo[4].y, evt.hodo[4].I, FORMAT="(' ', i4, ' ', i3, ' ', i6)")
      strput, line, segmentValue, 0
      strput, line, "                ", 21
      segmentValue = string(evt.hodo[12].x, evt.hodo[12].y, evt.hodo[12].I, FORMAT="(' ', i4, ' ', i3, ' ', i6)")
      strput, line, segmentValue, 21
      strput, line, "                ", 43
      segmentValue = string(evt.hodo[20].x, evt.hodo[20].y, evt.hodo[20].I, FORMAT="(' ', i4, ' ', i3, ' ', i6)")
      strput, line, segmentValue, 43
      strput, line, "                ", 64
      segmentValue = string(evt.hodo[28].x, evt.hodo[28].y, evt.hodo[28].I, FORMAT="(' ', i4, ' ', i3, ' ', i6)")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[8]
      strput, line, "                ", 0
      segmentValue = string(evt.hodo[5].x, evt.hodo[5].y, evt.hodo[5].I, FORMAT="(' ', i4, ' ', i3, ' ', i6)")
      strput, line, segmentValue, 0
      strput, line, "                ", 21
      segmentValue = string(evt.hodo[13].x, evt.hodo[13].y, evt.hodo[13].I, FORMAT="(' ', i4, ' ', i3, ' ', i6)")
      strput, line, segmentValue, 21
      strput, line, "                ", 43
      segmentValue = string(evt.hodo[21].x, evt.hodo[21].y, evt.hodo[21].I, FORMAT="(' ', i4, ' ', i3, ' ', i6)")
      strput, line, segmentValue, 43
      strput, line, "                ", 64
      segmentValue = string(evt.hodo[29].x, evt.hodo[29].y, evt.hodo[29].I, FORMAT="(' ', i4, ' ', i3, ' ', i6)")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[9]
      strput, line, "                ", 0
      segmentValue = string(evt.hodo[6].x, evt.hodo[6].y, evt.hodo[6].I, FORMAT="(' ', i4, ' ', i3, ' ', i6)")
      strput, line, segmentValue, 0
      strput, line, "                ", 21
      segmentValue = string(evt.hodo[14].x, evt.hodo[14].y, evt.hodo[14].I, FORMAT="(' ', i4, ' ', i3, ' ', i6)")
      strput, line, segmentValue, 21
      strput, line, "                ", 43
      segmentValue = string(evt.hodo[22].x, evt.hodo[22].y, evt.hodo[22].I, FORMAT="(' ', i4, ' ', i3, ' ', i6)")
      strput, line, segmentValue, 43
      strput, line, "                ", 64
      segmentValue = string(evt.hodo[30].x, evt.hodo[30].y, evt.hodo[30].I, FORMAT="(' ', i4, ' ', i3, ' ', i6)")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[10]
      strput, line, "                ", 0
      segmentValue = string(evt.hodo[7].x, evt.hodo[7].y, evt.hodo[7].I, FORMAT="(' ', i4, ' ', i3, ' ', i6)")
      strput, line, segmentValue, 0
      strput, line, "                ", 21
      segmentValue = string(evt.hodo[15].x, evt.hodo[15].y, evt.hodo[15].I, FORMAT="(' ', i4, ' ', i3, ' ', i6)")
      strput, line, segmentValue, 21
      strput, line, "                ", 43
      segmentValue = string(evt.hodo[23].x, evt.hodo[23].y, evt.hodo[23].I, FORMAT="(' ', i4, ' ', i3, ' ', i6)")
      strput, line, segmentValue, 43
      printf, lunit, line
   line = template[11]
      printf, lunit, line
   line = template[12]
      strput, line, "            ", 2
      segmentValue = string(evt.nblobs, FORMAT="(' nblobs: ', i2, ' ')")
      strput, line, segmentValue, 2
      printf, lunit, line
   line = template[13]
      strput, line, "              ", 4
      segmentValue = string(evt.npix, FORMAT="(' npix: ', i6, ' ')")
      strput, line, segmentValue, 4
      strput, line, "          ", 22
      segmentValue = string(evt.prim_ctr_ph[0], FORMAT="(' e1: ', i4, ' ')")
      strput, line, segmentValue, 22
      strput, line, "          ", 34
      segmentValue = string(evt.prim_guard_ph[0], FORMAT="(' g2: ', i4, ' ')")
      strput, line, segmentValue, 34
      strput, line, "          ", 52
      segmentValue = string(evt.sec_ctr_ph[0], FORMAT="(' e1: ', i4, ' ')")
      strput, line, segmentValue, 52
      strput, line, "          ", 64
      segmentValue = string(evt.sec_guard_ph[0], FORMAT="(' g2: ', i4, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[14]
      strput, line, "           ", 2
      segmentValue = string(evt.cam, FORMAT="(' camera: ', i1, ' ')")
      strput, line, segmentValue, 2
      strput, line, "          ", 22
      segmentValue = string(evt.prim_ctr_ph[1], FORMAT="(' e1: ', i4, ' ')")
      strput, line, segmentValue, 22
      strput, line, "          ", 34
      segmentValue = string(evt.prim_guard_ph[1], FORMAT="(' g3: ', i4, ' ')")
      strput, line, segmentValue, 34
      strput, line, "          ", 52
      segmentValue = string(evt.sec_ctr_ph[1], FORMAT="(' e1: ', i4, ' ')")
      strput, line, segmentValue, 52
      strput, line, "          ", 64
      segmentValue = string(evt.sec_guard_ph[1], FORMAT="(' g3: ', i4, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[15]
      strput, line, "            ", 2
      segmentValue = string(evt.buffer_id, FORMAT="(' buffer: ', i2, ' ')")
      strput, line, segmentValue, 2
      strput, line, "          ", 22
      segmentValue = string(evt.prim_ctr_ph[2], FORMAT="(' e2: ', i4, ' ')")
      strput, line, segmentValue, 22
      strput, line, "          ", 34
      segmentValue = string(evt.prim_guard_ph[2], FORMAT="(' g4: ', i4, ' ')")
      strput, line, segmentValue, 34
      strput, line, "          ", 52
      segmentValue = string(evt.sec_ctr_ph[2], FORMAT="(' e2: ', i4, ' ')")
      strput, line, segmentValue, 52
      strput, line, "          ", 64
      segmentValue = string(evt.sec_guard_ph[2], FORMAT="(' g4: ', i4, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[16]
      strput, line, "         ", 5
      segmentValue = string(evt.age, FORMAT="(' age: ', i2, ' ')")
      strput, line, segmentValue, 5
      strput, line, "          ", 22
      segmentValue = string(evt.prim_ctr_ph[3], FORMAT="(' e3: ', i4, ' ')")
      strput, line, segmentValue, 22
      strput, line, "          ", 34
      segmentValue = string(evt.prim_guard_ph[3], FORMAT="(' g5: ', i4, ' ')")
      strput, line, segmentValue, 34
      strput, line, "          ", 52
      segmentValue = string(evt.sec_ctr_ph[3], FORMAT="(' e3: ', i4, ' ')")
      strput, line, segmentValue, 52
      strput, line, "          ", 64
      segmentValue = string(evt.sec_guard_ph[3], FORMAT="(' g5: ', i4, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[17]
      strput, line, "             ", 0
      segmentValue = string(evt.sec_tel_act, FORMAT="(' activity: ', i1, ' ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 22
      segmentValue = string(evt.prim_ctr_ph[4], FORMAT="(' e4: ', i4, ' ')")
      strput, line, segmentValue, 22
      strput, line, "          ", 34
      segmentValue = string(evt.prim_guard_ph[4], FORMAT="(' g6: ', i4, ' ')")
      strput, line, segmentValue, 34
      strput, line, "          ", 52
      segmentValue = string(evt.sec_ctr_ph[4], FORMAT="(' e4: ', i4, ' ')")
      strput, line, segmentValue, 52
      strput, line, "          ", 64
      segmentValue = string(evt.sec_guard_ph[4], FORMAT="(' g6: ', i4, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[18]
      strput, line, "          ", 3
      segmentValue = string(evt.prim_tel_pair, FORMAT="(' prime: ', i1, ' ')")
      strput, line, segmentValue, 3
      strput, line, "          ", 22
      segmentValue = string(evt.prim_ctr_ph[5], FORMAT="(' e5: ', i4, ' ')")
      strput, line, segmentValue, 22
      strput, line, "          ", 34
      segmentValue = string(evt.prim_guard_ph[5], FORMAT="(' g7: ', i4, ' ')")
      strput, line, segmentValue, 34
      strput, line, "          ", 52
      segmentValue = string(evt.sec_ctr_ph[5], FORMAT="(' e5: ', i4, ' ')")
      strput, line, segmentValue, 52
      strput, line, "          ", 64
      segmentValue = string(evt.sec_guard_ph[5], FORMAT="(' g7: ', i4, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[19]
      strput, line, "         ", 4
      segmentValue = string(evt.stim, FORMAT="(' stim: ', i1, ' ')")
      strput, line, segmentValue, 4
      strput, line, "          ", 22
      segmentValue = string(evt.prim_ctr_ph[6], FORMAT="(' e6: ', i4, ' ')")
      strput, line, segmentValue, 22
      strput, line, "          ", 52
      segmentValue = string(evt.sec_ctr_ph[6], FORMAT="(' e6: ', i4, ' ')")
      strput, line, segmentValue, 52
      printf, lunit, line
   line = template[20]
      strput, line, "           ", 2
      segmentValue = string(evt.hazard, FORMAT="(' hazard: ', i1, ' ')")
      strput, line, segmentValue, 2
      strput, line, "          ", 22
      segmentValue = string(evt.prim_ctr_ph[7], FORMAT="(' e7: ', i4, ' ')")
      strput, line, segmentValue, 22
      strput, line, "          ", 34
      segmentValue = string(evt.R1, FORMAT="(' range: ', i1, ' ')")
      strput, line, segmentValue, 34
      strput, line, "          ", 52
      segmentValue = string(evt.sec_ctr_ph[7], FORMAT="(' e7: ', i4, ' ')")
      strput, line, segmentValue, 52
      strput, line, "          ", 64
      segmentValue = string(evt.R2, FORMAT="(' range: ', i1, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[21]
      strput, line, "            ", 1
      segmentValue = string(evt.got_2nd_tel, FORMAT="(' 2nd Tel: ', i1, ' ')")
      strput, line, segmentValue, 1
      strput, line, "          ", 22
      segmentValue = string(evt.prim_ctr_ph[8], FORMAT="(' e8: ', i4, ' ')")
      strput, line, segmentValue, 22
      strput, line, "               ", 34
      segmentValue = string(evt.G1, FORMAT="(' no. guards: ', i1, ' ')")
      strput, line, segmentValue, 34
      strput, line, "          ", 52
      segmentValue = string(evt.sec_ctr_ph[8], FORMAT="(' e8: ', i4, ' ')")
      strput, line, segmentValue, 52
      strput, line, "               ", 64
      segmentValue = string(evt.G2, FORMAT="(' no. guards: ', i1, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[22]
      strput, line, "             ", 0
      segmentValue = string(evt.guard_hi_or, FORMAT="(' guard or: ', i1, ' ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 22
      segmentValue = string(evt.prim_ctr_ph[9], FORMAT="(' e9: ', i4, ' ')")
      strput, line, segmentValue, 22
      strput, line, "            ", 34
      segmentValue = string(expandUint16(evt.prim_tag), FORMAT="(' tags: ', z4.4, ' ')")
      strput, line, segmentValue, 34
      strput, line, "          ", 52
      segmentValue = string(evt.sec_ctr_ph[9], FORMAT="(' e9: ', i4, ' ')")
      strput, line, segmentValue, 52
      strput, line, "            ", 64
      segmentValue = string(expandUint16(evt.sec_tag), FORMAT="(' tags: ', z4.4, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[23]
      strput, line, "           ", 2
      segmentValue = string(evt.got_guard, FORMAT="(' guards: ', i1, ' ')")
      strput, line, segmentValue, 2
      printf, lunit, line
   line = template[24]
      strput, line, "             ", 0
      segmentValue = string(evt.centroid_err, FORMAT="(' cent err: ', i1, ' ')")
      strput, line, segmentValue, 0
      printf, lunit, line
   line = template[25]
      printf, lunit, line
   line = template[26]
      printf, lunit, line
   line = template[27]
      strput, line, "                      ", 2
      segmentValue = string(evt.stimdata.ctr_hi_gain, FORMAT="(' center high gain: ', z2, ' ')")
      strput, line, segmentValue, 2
      strput, line, "                       ", 28
      segmentValue = string(evt.stimdata.ctr_dac_level, FORMAT="(' center DAC level: ', i3, ' ')")
      strput, line, segmentValue, 28
      strput, line, "                    ", 55
      segmentValue = string(evt.stimdata.ctr_pulsers, FORMAT="(' center pulsers: ', z2, ' ')")
      strput, line, segmentValue, 55
      printf, lunit, line
   line = template[28]
      strput, line, "                     ", 3
      segmentValue = string(evt.stimdata.guard_hi_gain, FORMAT="(' guard high gain: ', z2, ' ')")
      strput, line, segmentValue, 3
      strput, line, "                      ", 29
      segmentValue = string(evt.stimdata.guard_dac_level, FORMAT="(' guard DAC level: ', i3, ' ')")
      strput, line, segmentValue, 29
      strput, line, "                   ", 56
      segmentValue = string(evt.stimdata.guard_pulsers, FORMAT="(' guard pulsers: ', z2, ' ')")
      strput, line, segmentValue, 56
      printf, lunit, line
   line = template[29]
      strput, line, "                     ", 30
      segmentValue = string(evt.stimdata.soft_led_pulse, FORMAT="(' SOFT LED pulse: ', i3, ' ')")
      strput, line, segmentValue, 30
      printf, lunit, line

end
