; $Id: dumpl1_1crislowpriorityrate.pro,v 1.1 1998/05/04 20:09:20 rgr Exp $

; $RCSfile: dumpl1_1crislowpriorityrate.pro,v $
; $Author: rgr $
; $Date: 1998/05/04 20:09:20 $
; $Revision: 1.1 $


; This procedure dumps one L1_1CrisLowPriorityRate structure.
;
; Arguments
;   lp = data structure to be dumped-input
;
; Keywords
;    lun = logical unit of output device - (default is standard output)
;
;
; Procedures and functions used
;   dumpL1_1CrisLowPriorityRateBuffer
;   dumpL1_1CrisLowPriorityRateSingle

pro dumpL1_1CrisLowPriorityRate, lp, LUN=lun

   lunit = -1
   if (keyword_set(lun)) then lunit = lun

   dumpL1_1CrisLowPriorityRateSingle, lp, LUN=lunit
   printf, lunit
   dumpL1_1CrisLowPriorityRateBuffer, lp, LUN=lunit

end
