; $Id: dumpl1_1crisrawevent.pro,v 1.1 1998/05/04 20:09:25 rgr Exp $

; $RCSfile: dumpl1_1crisrawevent.pro,v $
; $Author: rgr $
; $Date: 1998/05/04 20:09:25 $
; $Revision: 1.1 $


pro dumpL1_1CrisRawEvent, raw, LUN=lun

   lunit = -1
   if (keyword_set(lun)) then lunit = lun

   template = strarr(13)

   template[00] = "                     AB Telescope:                   CD Telescope:  "
   template[01] = "<stim_puls_tag: x>    <e1: aaaa a>  <g2: xxxx x>      <e1: cccc c>  <g2: yyyy y>"
   template[02] = " <stim_off_tag: x>    <e1: bbbb b>  <g3: xxxx x>      <e1: dddd d>  <g3: yyyy y>"
   template[03] = "       <hazard: x>    <e2: xxxx x>  <g4: xxxx x>      <e2: yyyy y>  <g4: yyyy y>"
   template[04] = "         <ghor: x>    <e3: xxxx x>  <g5: xxxx x>      <e3: yyyy y>  <g5: yyyy y>"
   template[05] = "          <mor: x>    <e4: xxxx x>  <g6: xxxx x>      <e4: yyyy y>  <g6: yyyy y>"
   template[06] = "          <hor: x>    <e5: xxxx x>  <g7: xxxx x>      <e5: yyyy y>  <g7: yyyy y>"
   template[07] = "   <soft_trig0: x>    <e6: xxxx x>                    <e6: yyyy y> "
   template[08] = "   <soft_trig1: x>    <e7: xxxx x>       <z1: x>      <e7: yyyy y>       <z1: y>"
   template[09] = "        <hy_en: x>    <e8: xxxx x>       <z2: x>      <e8: yyyy y>       <z2: y>"
   template[10] = "        <he_en: x>    <e9: xxxx x>   <z_gt_2: x>      <e9: yyyy y>   <z_gt_2: y>"
   template[11] = "                                       <adc2: x>                       <adc2: y>"
   template[12] = "<cycle_count: xxx>                <min_range: x>                  <min_range: y>"

   line = template[0]
      printf, lunit, line
   line = template[1]
      strput, line, "                  ", 0
      segmentValue = string(raw.tag.stim_puls_tag, FORMAT="(' stim_puls_tag: ', i1, ' ')")
      strput, line, segmentValue, 0
      strput, line, "            ", 22
      segmentValue = string(raw.ab.e1_0, raw.ab.tag.e1_0, FORMAT="(' e1: ', i4, ' ', i1, ' ')")
      strput, line, segmentValue, 22
      strput, line, "            ", 36
      segmentValue = string(raw.ab.g2, raw.ab.tag.g2, FORMAT="(' g2: ', i4, ' ', i1, ' ')")
      strput, line, segmentValue, 36
      strput, line, "            ", 54
      segmentValue = string(raw.cd.e1_0, raw.cd.tag.e1_0, FORMAT="(' e1: ', i4, ' ', i1, ' ')")
      strput, line, segmentValue, 54
      strput, line, "            ", 68
      segmentValue = string(raw.cd.g2, raw.cd.tag.g2, FORMAT="(' g2: ', i4, ' ', i1, ' ')")
      strput, line, segmentValue, 68
      printf, lunit, line
   line = template[2]
      strput, line, "                 ", 1
      segmentValue = string(raw.tag.stim_off_tag, FORMAT="(' stim_off_tag: ', i1, ' ')")
      strput, line, segmentValue, 1
      strput, line, "            ", 22
      segmentValue = string(raw.ab.e1_1, raw.ab.tag.e1_1, FORMAT="(' e1: ', i4, ' ', i1, ' ')")
      strput, line, segmentValue, 22
      strput, line, "            ", 36
      segmentValue = string(raw.ab.g3, raw.ab.tag.g3, FORMAT="(' g3: ', i4, ' ', i1, ' ')")
      strput, line, segmentValue, 36
      strput, line, "            ", 54
      segmentValue = string(raw.cd.e1_1, raw.cd.tag.e1_1, FORMAT="(' e1: ', i4, ' ', i1, ' ')")
      strput, line, segmentValue, 54
      strput, line, "            ", 68
      segmentValue = string(raw.cd.g3, raw.cd.tag.g3, FORMAT="(' g3: ', i4, ' ', i1, ' ')")
      strput, line, segmentValue, 68
      printf, lunit, line
   line = template[3]
      strput, line, "           ", 7
      segmentValue = string(raw.tag.hazard, FORMAT="(' hazard: ', i1, ' ')")
      strput, line, segmentValue, 7
      strput, line, "            ", 22
      segmentValue = string(raw.ab.e2, raw.ab.tag.e2, FORMAT="(' e2: ', i4, ' ', i1, ' ')")
      strput, line, segmentValue, 22
      strput, line, "            ", 36
      segmentValue = string(raw.ab.g4, raw.ab.tag.g4, FORMAT="(' g4: ', i4, ' ', i1, ' ')")
      strput, line, segmentValue, 36
      strput, line, "            ", 54
      segmentValue = string(raw.cd.e2, raw.cd.tag.e2, FORMAT="(' e2: ', i4, ' ', i1, ' ')")
      strput, line, segmentValue, 54
      strput, line, "            ", 68
      segmentValue = string(raw.cd.g4, raw.cd.tag.g4, FORMAT="(' g4: ', i4, ' ', i1, ' ')")
      strput, line, segmentValue, 68
      printf, lunit, line
   line = template[4]
      strput, line, "         ", 9
      segmentValue = string(raw.tag.ghor, FORMAT="(' ghor: ', i1, ' ')")
      strput, line, segmentValue, 9
      strput, line, "            ", 22
      segmentValue = string(raw.ab.e3, raw.ab.tag.e3, FORMAT="(' e3: ', i4, ' ', i1, ' ')")
      strput, line, segmentValue, 22
      strput, line, "            ", 36
      segmentValue = string(raw.ab.g5, raw.ab.tag.g5, FORMAT="(' g5: ', i4, ' ', i1, ' ')")
      strput, line, segmentValue, 36
      strput, line, "            ", 54
      segmentValue = string(raw.cd.e3, raw.cd.tag.e3, FORMAT="(' e3: ', i4, ' ', i1, ' ')")
      strput, line, segmentValue, 54
      strput, line, "            ", 68
      segmentValue = string(raw.cd.g5, raw.cd.tag.g5, FORMAT="(' g5: ', i4, ' ', i1, ' ')")
      strput, line, segmentValue, 68
      printf, lunit, line
   line = template[5]
      strput, line, "        ", 10
      segmentValue = string(raw.tag.mor, FORMAT="(' mor: ', i1, ' ')")
      strput, line, segmentValue, 10
      strput, line, "            ", 22
      segmentValue = string(raw.ab.e4, raw.ab.tag.e4, FORMAT="(' e4: ', i4, ' ', i1, ' ')")
      strput, line, segmentValue, 22
      strput, line, "            ", 36
      segmentValue = string(raw.ab.g6, raw.ab.tag.g6, FORMAT="(' g6: ', i4, ' ', i1, ' ')")
      strput, line, segmentValue, 36
      strput, line, "            ", 54
      segmentValue = string(raw.cd.e4, raw.cd.tag.e4, FORMAT="(' e4: ', i4, ' ', i1, ' ')")
      strput, line, segmentValue, 54
      strput, line, "            ", 68
      segmentValue = string(raw.cd.g6, raw.cd.tag.g6, FORMAT="(' g6: ', i4, ' ', i1, ' ')")
      strput, line, segmentValue, 68
      printf, lunit, line
   line = template[6]
      strput, line, "        ", 10
      segmentValue = string(raw.tag.hor, FORMAT="(' hor: ', i1, ' ')")
      strput, line, segmentValue, 10
      strput, line, "            ", 22
      segmentValue = string(raw.ab.e5, raw.ab.tag.e5, FORMAT="(' e5: ', i4, ' ', i1, ' ')")
      strput, line, segmentValue, 22
      strput, line, "            ", 36
      segmentValue = string(raw.ab.g7, raw.ab.tag.g7, FORMAT="(' g7: ', i4, ' ', i1, ' ')")
      strput, line, segmentValue, 36
      strput, line, "            ", 54
      segmentValue = string(raw.cd.e5, raw.cd.tag.e5, FORMAT="(' e5: ', i4, ' ', i1, ' ')")
      strput, line, segmentValue, 54
      strput, line, "            ", 68
      segmentValue = string(raw.cd.g7, raw.cd.tag.g7, FORMAT="(' g7: ', i4, ' ', i1, ' ')")
      strput, line, segmentValue, 68
      printf, lunit, line
   line = template[7]
      strput, line, "               ", 3
      segmentValue = string(raw.tag.soft_trig0, FORMAT="(' soft_trig0: ', i1, ' ')")
      strput, line, segmentValue, 3
      strput, line, "            ", 22
      segmentValue = string(raw.ab.e6, raw.ab.tag.e6, FORMAT="(' e6: ', i4, ' ', i1, ' ')")
      strput, line, segmentValue, 22
      strput, line, "            ", 54
      segmentValue = string(raw.cd.e6, raw.cd.tag.e6, FORMAT="(' e6: ', i4, ' ', i1, ' ')")
      strput, line, segmentValue, 54
      printf, lunit, line
   line = template[8]
      strput, line, "               ", 3
      segmentValue = string(raw.tag.soft_trig1, FORMAT="(' soft_trig1: ', i1, ' ')")
      strput, line, segmentValue, 3
      strput, line, "            ", 22
      segmentValue = string(raw.ab.e7, raw.ab.tag.e7, FORMAT="(' e7: ', i4, ' ', i1, ' ')")
      strput, line, segmentValue, 22
      strput, line, "       ", 41
      segmentValue = string(raw.ab.tag.z1, FORMAT="(' z1: ', i1, ' ')")
      strput, line, segmentValue, 41
      strput, line, "            ", 54
      segmentValue = string(raw.cd.e7, raw.cd.tag.e7, FORMAT="(' e7: ', i4, ' ', i1, ' ')")
      strput, line, segmentValue, 54
      strput, line, "       ", 73
      segmentValue = string(raw.cd.tag.z1, FORMAT="(' z1: ', i1, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[9]
      strput, line, "          ", 8
      segmentValue = string(raw.tag.hy_en, FORMAT="(' hy_en: ', i1, ' ')")
      strput, line, segmentValue, 8
      strput, line, "            ", 22
      segmentValue = string(raw.ab.e8, raw.ab.tag.e8, FORMAT="(' e8: ', i4, ' ', i1, ' ')")
      strput, line, segmentValue, 22
      strput, line, "       ", 41
      segmentValue = string(raw.ab.tag.z2, FORMAT="(' z2: ', i1, ' ')")
      strput, line, segmentValue, 41
      strput, line, "            ", 54
      segmentValue = string(raw.cd.e8, raw.cd.tag.e8, FORMAT="(' e8: ', i4, ' ', i1, ' ')")
      strput, line, segmentValue, 54
      strput, line, "       ", 73
      segmentValue = string(raw.cd.tag.z2, FORMAT="(' z2: ', i1, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[10]
      strput, line, "          ", 8
      segmentValue = string(raw.tag.he_en, FORMAT="(' he_en: ', i1, ' ')")
      strput, line, segmentValue, 8
      strput, line, "            ", 22
      segmentValue = string(raw.ab.e9, raw.ab.tag.e9, FORMAT="(' e9: ', i4, ' ', i1, ' ')")
      strput, line, segmentValue, 22
      strput, line, "           ", 37
      segmentValue = string(raw.ab.tag.z_gt_2, FORMAT="(' z_gt_2: ', i1, ' ')")
      strput, line, segmentValue, 37
      strput, line, "            ", 54
      segmentValue = string(raw.cd.e9, raw.cd.tag.e9, FORMAT="(' e9: ', i4, ' ', i1, ' ')")
      strput, line, segmentValue, 54
      strput, line, "           ", 69
      segmentValue = string(raw.cd.tag.z_gt_2, FORMAT="(' z_gt_2: ', i1, ' ')")
      strput, line, segmentValue, 69
      printf, lunit, line
   line = template[11]
      strput, line, "         ", 39
      segmentValue = string(raw.ab.tag.adc2, FORMAT="(' adc2: ', i1, ' ')")
      strput, line, segmentValue, 39
      strput, line, "         ", 71
      segmentValue = string(raw.cd.tag.adc2, FORMAT="(' adc2: ', i1, ' ')")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[12]
      strput, line, "                  ", 0
      segmentValue = string(raw.CycleCount, FORMAT="('raw.cycle_count: ', i3, ' ')")
      strput, line, segmentValue, 0
      strput, line, "              ", 34
      segmentValue = string(raw.ab.tag.min_range, FORMAT="(' min_range: ', i1, ' ')")
      strput, line, segmentValue, 34
      strput, line, "              ", 66
      segmentValue = string(raw.cd.tag.min_range, FORMAT="(' min_range: ', i1, ' ')")
      strput, line, segmentValue, 66
      printf, lunit, line

end
