; $Id: dumpl1crislowpriorityratebuffer.pro,v 1.1 1998/05/04 20:09:41 rgr Exp $

; $RCSfile: dumpl1crislowpriorityratebuffer.pro,v $
; $Author: rgr $
; $Date: 1998/05/04 20:09:41 $
; $Revision: 1.1 $


pro dumpL1CrisLowPriorityRateBuffer, lp, LUN=lun

   lunit = -1
   if (keyword_set(lun)) then lunit = lun

   template = strarr(20)

   template[00] = "CRIS Low Priority Rates - <start time               >   <S/C Clock: xx.xxxxxxx>"
   template[01] = "<QualityNumberEvents: xx>"
   template[02] = ""
   template[03] = "     Evt Buf  Q           Evt Buf  Q           Evt Buf  Q           Evt Buf  Q"
   template[04] = "  0 <buffer{0} >      16 <buffer{16}>      32 <buffer{32}>      48 <buffer{48}>"
   template[05] = "  1 <buffer{1} >      17 <buffer{17}>      33 <buffer{33}>      49 <buffer{49}>"
   template[06] = "  2 <buffer{2} >      18 <buffer{18}>      34 <buffer{34}>      50 <buffer{50}>"
   template[07] = "  3 <buffer{3} >      19 <buffer{19}>      35 <buffer{35}>      51 <buffer{51}>"
   template[08] = "  4 <buffer{4} >      20 <buffer{20}>      36 <buffer{36}>      52 <buffer{52}>"
   template[09] = "  5 <buffer{5} >      21 <buffer{21}>      37 <buffer{37}>      53 <buffer{53}>"
   template[10] = "  6 <buffer{6} >      22 <buffer{22}>      38 <buffer{38}>      54 <buffer{54}>"
   template[11] = "  7 <buffer{7} >      23 <buffer{23}>      39 <buffer{39}>      55 <buffer{55}>"
   template[12] = "  8 <buffer{8} >      24 <buffer{24}>      40 <buffer{40}>      56 <buffer{56}>"
   template[13] = "  9 <buffer{9} >      25 <buffer{25}>      41 <buffer{41}>      57 <buffer{57}>"
   template[14] = " 10 <buffer{10}>      26 <buffer{26}>      42 <buffer{42}>      58 <buffer{58}>"
   template[15] = " 11 <buffer{11}>      27 <buffer{27}>      43 <buffer{43}>      59 <buffer{59}>"
   template[16] = " 12 <buffer{12}>      28 <buffer{28}>      44 <buffer{44}>      60 <buffer{60}>"
   template[17] = " 13 <buffer{13}>      29 <buffer{29}>      45 <buffer{45}>      61 <buffer{61}>"
   template[18] = " 14 <buffer{14}>      30 <buffer{30}>      46 <buffer{46}>      62 <buffer{62}>"
   template[19] = " 15 <buffer{15}>      31 <buffer{31}>      47 <buffer{47}>      63 <buffer{63}>"

   line = template[0]
      strput, line, "                           ", 26
      segmentValue = string(stringDate1996(lp.Second1996), lp.microsecond, FORMAT="(a, '.', i6.6)")
      strput, line, segmentValue, 26
      strput, line, "                       ", 56
      segmentValue = string(lp.ClockCycle, FORMAT="(' S/C Clock: ', i10.10, ' ')")
      strput, line, segmentValue, 56
      printf, lunit, line
   line = template[1]
      strput, line, "                         ", 0
      segmentValue = string(lp.QualityNumberEvents, FORMAT="(' QualityNumberEvents: ', z2.2, ' ')")
      strput, line, segmentValue, 0
      printf, lunit, line
   line = template[2]
      printf, lunit, line
   line = template[3]
      printf, lunit, line
   line = template[4]
      strput, line, "            ", 4
      segmentValue = string(lp.NumberEvents[0], lp.EventBuffer[0], lp.QualityEventBuffer[0], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.NumberEvents[16], lp.EventBuffer[16], lp.QualityEventBuffer[16], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.NumberEvents[32], lp.EventBuffer[32], lp.QualityEventBuffer[32], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.NumberEvents[48], lp.EventBuffer[48], lp.QualityEventBuffer[48], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[5]
      strput, line, "            ", 4
      segmentValue = string(lp.NumberEvents[1], lp.EventBuffer[1], lp.QualityEventBuffer[1], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.NumberEvents[17], lp.EventBuffer[17], lp.QualityEventBuffer[17], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.NumberEvents[33], lp.EventBuffer[33], lp.QualityEventBuffer[33], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.NumberEvents[49], lp.EventBuffer[49], lp.QualityEventBuffer[49], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[6]
      strput, line, "            ", 4
      segmentValue = string(lp.NumberEvents[2], lp.EventBuffer[2], lp.QualityEventBuffer[2], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.NumberEvents[18], lp.EventBuffer[18], lp.QualityEventBuffer[18], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.NumberEvents[34], lp.EventBuffer[34], lp.QualityEventBuffer[34], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.NumberEvents[50], lp.EventBuffer[50], lp.QualityEventBuffer[50], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[7]
      strput, line, "            ", 4
      segmentValue = string(lp.NumberEvents[3], lp.EventBuffer[3], lp.QualityEventBuffer[3], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.NumberEvents[19], lp.EventBuffer[19], lp.QualityEventBuffer[19], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.NumberEvents[35], lp.EventBuffer[35], lp.QualityEventBuffer[35], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.NumberEvents[51], lp.EventBuffer[51], lp.QualityEventBuffer[51], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[8]
      strput, line, "            ", 4
      segmentValue = string(lp.NumberEvents[4], lp.EventBuffer[4], lp.QualityEventBuffer[4], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.NumberEvents[20], lp.EventBuffer[20], lp.QualityEventBuffer[20], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.NumberEvents[36], lp.EventBuffer[36], lp.QualityEventBuffer[36], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.NumberEvents[52], lp.EventBuffer[52], lp.QualityEventBuffer[52], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[9]
      strput, line, "            ", 4
      segmentValue = string(lp.NumberEvents[5], lp.EventBuffer[5], lp.QualityEventBuffer[5], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.NumberEvents[21], lp.EventBuffer[21], lp.QualityEventBuffer[21], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.NumberEvents[37], lp.EventBuffer[37], lp.QualityEventBuffer[37], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.NumberEvents[53], lp.EventBuffer[53], lp.QualityEventBuffer[53], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[10]
      strput, line, "            ", 4
      segmentValue = string(lp.NumberEvents[6], lp.EventBuffer[6], lp.QualityEventBuffer[6], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.NumberEvents[22], lp.EventBuffer[22], lp.QualityEventBuffer[22], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.NumberEvents[38], lp.EventBuffer[38], lp.QualityEventBuffer[38], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.NumberEvents[54], lp.EventBuffer[54], lp.QualityEventBuffer[54], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[11]
      strput, line, "            ", 4
      segmentValue = string(lp.NumberEvents[7], lp.EventBuffer[7], lp.QualityEventBuffer[7], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.NumberEvents[23], lp.EventBuffer[23], lp.QualityEventBuffer[23], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.NumberEvents[39], lp.EventBuffer[39], lp.QualityEventBuffer[39], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.NumberEvents[55], lp.EventBuffer[55], lp.QualityEventBuffer[55], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[12]
      strput, line, "            ", 4
      segmentValue = string(lp.NumberEvents[8], lp.EventBuffer[8], lp.QualityEventBuffer[8], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.NumberEvents[24], lp.EventBuffer[24], lp.QualityEventBuffer[24], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.NumberEvents[40], lp.EventBuffer[40], lp.QualityEventBuffer[40], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.NumberEvents[56], lp.EventBuffer[56], lp.QualityEventBuffer[56], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[13]
      strput, line, "            ", 4
      segmentValue = string(lp.NumberEvents[9], lp.EventBuffer[9], lp.QualityEventBuffer[9], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.NumberEvents[25], lp.EventBuffer[25], lp.QualityEventBuffer[25], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.NumberEvents[41], lp.EventBuffer[41], lp.QualityEventBuffer[41], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.NumberEvents[57], lp.EventBuffer[57], lp.QualityEventBuffer[57], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[14]
      strput, line, "            ", 4
      segmentValue = string(lp.NumberEvents[10], lp.EventBuffer[10], lp.QualityEventBuffer[10], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.NumberEvents[26], lp.EventBuffer[26], lp.QualityEventBuffer[26], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.NumberEvents[42], lp.EventBuffer[42], lp.QualityEventBuffer[42], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.NumberEvents[58], lp.EventBuffer[58], lp.QualityEventBuffer[58], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[15]
      strput, line, "            ", 4
      segmentValue = string(lp.NumberEvents[11], lp.EventBuffer[11], lp.QualityEventBuffer[11], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.NumberEvents[27], lp.EventBuffer[27], lp.QualityEventBuffer[27], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.NumberEvents[43], lp.EventBuffer[43], lp.QualityEventBuffer[43], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.NumberEvents[59], lp.EventBuffer[59], lp.QualityEventBuffer[59], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[16]
      strput, line, "            ", 4
      segmentValue = string(lp.NumberEvents[12], lp.EventBuffer[12], lp.QualityEventBuffer[12], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.NumberEvents[28], lp.EventBuffer[28], lp.QualityEventBuffer[28], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.NumberEvents[44], lp.EventBuffer[44], lp.QualityEventBuffer[44], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.NumberEvents[60], lp.EventBuffer[60], lp.QualityEventBuffer[60], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[17]
      strput, line, "            ", 4
      segmentValue = string(lp.NumberEvents[13], lp.EventBuffer[13], lp.QualityEventBuffer[13], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.NumberEvents[29], lp.EventBuffer[29], lp.QualityEventBuffer[29], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.NumberEvents[45], lp.EventBuffer[45], lp.QualityEventBuffer[45], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.NumberEvents[61], lp.EventBuffer[61], lp.QualityEventBuffer[61], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[18]
      strput, line, "            ", 4
      segmentValue = string(lp.NumberEvents[14], lp.EventBuffer[14], lp.QualityEventBuffer[14], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.NumberEvents[30], lp.EventBuffer[30], lp.QualityEventBuffer[30], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.NumberEvents[46], lp.EventBuffer[46], lp.QualityEventBuffer[46], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.NumberEvents[62], lp.EventBuffer[62], lp.QualityEventBuffer[62], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[19]
      strput, line, "            ", 4
      segmentValue = string(lp.NumberEvents[15], lp.EventBuffer[15], lp.QualityEventBuffer[15], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.NumberEvents[31], lp.EventBuffer[31], lp.QualityEventBuffer[31], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.NumberEvents[47], lp.EventBuffer[47], lp.QualityEventBuffer[47], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.NumberEvents[63], lp.EventBuffer[63], lp.QualityEventBuffer[63], FORMAT="(' ', i3, ' ', i3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line

end
