; $Id: fetchl1_1sishskpfield.pro,v 1.1 1998/05/04 20:32:41 rgr Exp $

; $RCSfile: fetchl1_1sishskpfield.pro,v $
; $Author: rgr $
; $Date: 1998/05/04 20:32:41 $
; $Revision: 1.1 $

pro FetchL1_1SisHskpField, fieldname,                        $
                                    sec1996_0,               $
                                    sec1996_1,               $
                                    value,                   $
                                    ndata

   common SbFetchL1_1SisHskpField, sec0, sec1, hskp

   if (n_elements(sec0) eq 0) then begin
      sec0 = sec1996_0
      sec1 = sec1996_1
      hskp = get_group_hskps_se(sec0, sec1)
   endif
   
   if ((sec1996_0 ne sec0) or (sec1996_1 ne sec1)) then begin
      sec0 = sec1996_0
      sec1 = sec1996_1
      hskp = get_group_hskps_se(sec0, sec1)
   endif

   ndata = n_elements(hskp) - 1
   if (ndata eq 0) then return

   nsub = 0
   field = fieldname
   SubBeg = strpos(fieldname, '[')
   if (SubBeg gt 0) then begin
      SubEnd = strpos(fieldname, ']')
      field = strmid(fieldname, 0, SubBeg)
      subs = strmid(fieldname, SubBeg+1, SubEnd - (SubBeg+1))
      dummy = byte(subs)
      dummy1 = byte(',')
      dummy2 = where(dummy eq dummy1(0), nsub)
      nsub = nsub + 1
      if (nsub eq 1) then reads, subs, sub0
      if (nsub eq 2) then reads, subs, sub0, sub1
      if (nsub eq 3) then reads, subs, sub0, sub1, sub2
   end

   name = tag_names(hskp(0))
   index = where(name eq strupcase(field), count)
   if (count eq 0) then begin
      print, 'L1_1SisHskp does not contain the field ', field
      ndata = 0
      return
   endif

   case nsub of
         0: value = hskp(0:ndata-1).(index(0))
         1: value = hskp(0:ndata-1).(index(0))(sub0)
         2: value = hskp(0:ndata-1).(index(0))(sub0, sub1)
         3: value = hskp(0:ndata-1).(index(0))(sub0, sub1, sub2)
      else: ndata = 0
   endcase

   if (ndata gt 0) then value = reform(value, ndata, /overwrite)

end
