; $Id: fetchl1sissummaryunits.pro,v 1.1 1998/05/04 20:32:49 rgr Exp $

; $RCSfile: fetchl1sissummaryunits.pro,v $
; $Author: rgr $
; $Date: 1998/05/04 20:32:49 $
; $Revision: 1.1 $

pro FetchL1SisSummaryUnits, fieldname, units

   field = strupcase(fieldname) 
   case field of
                'CLOCKMINOFRAME' : units = ''
                    'SECOND1996' : units = 'Seconds of 1996'
                   'MICROSECOND' : units = 'microsecond'
                       'QUALITY' : units = 'f,mnf,clk,s,ct,cy,L0,L1'
                'MAINBUSVOLTAGE' : units = 'ADC'
                    'SISCURRENT' : units = 'ADC'
       'SISINTERNALTEMPERATURE1' : units = 'ADC'
       'SISINTERNALTEMPERATURE2' : units = 'ADC'
       'SISINTERFACETEMPERATURE' : units = 'ADC'
                           else  : units = ''
   endcase
end
