; $Id: dumpl1_1sisevent.pro,v 1.2 1998/07/27 14:10:43 rgr Exp $

; $RCSfile: dumpl1_1sisevent.pro,v $
; $Author: rgr $
; $Date: 1998/07/27 14:10:43 $
; $Revision: 1.2 $


pro dumpL1_1SisEvent, evt, LUN=lun

   lunit = -1
   if (keyword_set(lun)) then lunit = lun

   template = strarr(39)

   template[00] = "SIS Normal Event - <start time               >"
   template[01] = ""
   template[02] = "                                m1-  m1-    m1+  m1+    m2-  m2-    m2+  m2+"
   template[03] = "<EventNo.: xxxxxxxxxx>  00/32 <m1-{0}  >  <m1+{0}  >  <m2-{0}  >  <m2+{0}  >"
   template[04] = "<EventOffset: xxx>      01/33 <m1-{1}  >  <m1+{1}  >  <m2-{1}  >  <m2+{1}  >"
   template[05] = "                        02/34 <m1-{2}  >  <m1+{2}  >  <m2-{2}  >  <m2+{2}  >"
   template[06] = "       <BufferId: xxx>  03/35 <m1-{3}  >  <m1+{3}  >  <m2-{3}  >  <m2+{3}  >"
   template[07] = "<Stimulated Flag: x>    04/36 <m1-{4}  >  <m1+{4}  >  <m2-{4}  >  <m2+{4}  >"
   template[08] = "     <Maybe Flag: x>    05/37 <m1-{5}  >  <m1+{5}  >  <m2-{5}  >  <m2+{5}  >"
   template[09] = "    <Hazard Flag: x>    06/38 <m1-{6}  >  <m1+{6}  >  <m2-{6}  >  <m2+{6}  >"
   template[10] = " <Peak Time Flag: x>    07/39 <m1-{7}  >  <m1+{7}  >  <m2-{7}  >  <m2+{7}  >"
   template[11] = "                        08/40 <m1-{8}  >  <m1+{8}  >  <m2-{8}  >  <m2+{8}  >"
   template[12] = "   <Status/Range A: x/x>09/41 <m1-{9}  >  <m1+{9}  >  <m2-{9}  >  <m2+{9}  >"
   template[13] = "   <Status/Range B: x/x>10/42 <m1-{10} >  <m1+{10} >  <m2-{10} >  <m2+{10} >"
   template[14] = "         <Time Tag: x>  11/43 <m1-{11} >  <m1+{11} >  <m2-{11} >  <m2+{11} >"
   template[15] = "            <Phase: xx> 12/44 <m1-{12} >  <m1+{12} >  <m2-{12} >  <m2+{12} >"
   template[16] = "  <NumMatrixStrips: xx> 13/45 <m1-{13} >  <m1+{13} >  <m2-{13} >  <m2+{13} >"
   template[17] = "<OtherMatrixGroups: x>  14/46 <m1-{14} >  <m1+{14} >  <m2-{14} >  <m2+{14} >"
   template[18] = "     <Peak Time M1: xx> 15/47 <m1-{15} >  <m1+{15} >  <m2-{15} >  <m2+{15} >"
   template[19] = "     <Peak time M2: xx> 16/48 <m1-{16} >  <m1+{16} >  <m2-{16} >  <m2+{16} >"
   template[20] = "     <Peak Time T1: xx> 17/49 <m1-{17} >  <m1+{17} >  <m2-{17} >  <m2+{17} >"
   template[21] = "  <M1GndSideOffset: xx> 18/50 <m1-{18} >  <m1+{18} >  <m2-{18} >  <m2+{18} >"
   template[22] = "   <M1HvSideOffset: xx> 19/51 <m1-{19} >  <m1+{19} >  <m2-{19} >  <m2+{19} >"
   template[23] = "  <M2GndSideOffset: xx> 20/52 <m1-{20} >  <m1+{20} >  <m2-{20} >  <m2+{20} >"
   template[24] = "   <M2HvSideOffset: xx> 21/53 <m1-{21} >  <m1+{21} >  <m2-{21} >  <m2+{21} >"
   template[25] = "                        22/54 <m1-{22} >  <m1+{22} >  <m2-{22} >  <m2+{22} >"
   template[26] = "<t1a: xxxx><t1b: xxxx>  23/55 <m1-{23} >  <m1+{23} >  <m2-{23} >  <m2+{23} >"
   template[27] = "<t1a: xxxx><t1b: xxxx>  24/56 <m1-{24} >  <m1+{24} >  <m2-{24} >  <m2+{24} >"
   template[28] = "<t2a: xxxx><t2b: xxxx>  25/57 <m1-{25} >  <m1+{25} >  <m2-{25} >  <m2+{25} >"
   template[29] = "<t3a: xxxx><t3b: xxxx>  26/58 <m1-{26} >  <m1+{26} >  <m2-{26} >  <m2+{26} >"
   template[30] = "<t4a: xxxx><t4b: xxxx>  27/59 <m1-{27} >  <m1+{27} >  <m2-{27} >  <m2+{27} >"
   template[31] = "<t5a: xxxx><t5b: xxxx>  28/60 <m1-{28} >  <m1+{28} >  <m2-{28} >  <m2+{28} >"
   template[32] = "<t6a: xxxx><t6b: xxxx>  29/61 <m1-{29} >  <m1+{29} >  <m2-{29} >  <m2+{29} >"
   template[33] = "<t7a: xxxx><t7b: xxxx>  30/62 <m1-{30} >  <m1+{30} >  <m2-{30} >  <m2+{30} >"
   template[34] = "<t8a: xxxx><t8b: xxxx>  31/63 <m1-{31} >  <m1+{31} >  <m2-{31} >  <m2+{31} >"
   template[35] = ""
   template[36] = "    <Stim Mask: XXXX>   <MatrixGndSide: xxx>  <vref: xxx> <gain_f1: xxx>"
   template[37] = " <Cal Sequence: xxxxx>  <AMatrixHvSide: xxx> <vref1: xxx> <gain_f2: xxx>"
   template[38] = "                        <BMatrixHvSide: xxx> <vref2: xxx>"

   line = template[0]
      strput, line, "                           ", 19
      segmentValue = string(stringDate1996(evt.Second1996), evt.microsecond, FORMAT="(a, '.', i6.6)")
      strput, line, segmentValue, 19
      printf, lunit, line
   line = template[1]
      printf, lunit, line
   line = template[2]
      printf, lunit, line
   line = template[3]
      strput, line, "                      ", 0
      segmentValue = string(evt.EventNumber, FORMAT="(' EventNo.: ', i10.10, ' ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 30
      segmentValue = string(evt.M1GndPha[0], evt.M1GndPha[0+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(evt.M1FloatPha[0], evt.M1FloatPha[0+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(evt.M2GndPha[0], evt.M2GndPha[0+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(evt.M2FloatPha[0], evt.M2FloatPha[0+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[4]
      strput, line, "                  ", 0
      segmentValue = string(evt.EventOffset, FORMAT="(' EventOffset: ', i3.3, ' ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 30
      segmentValue = string(evt.M1GndPha[1], evt.M1GndPha[1+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(evt.M1FloatPha[1], evt.M1FloatPha[1+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(evt.M2GndPha[1], evt.M2GndPha[1+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(evt.M2FloatPha[1], evt.M2FloatPha[1+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[5]
      strput, line, "          ", 30
      segmentValue = string(evt.M1GndPha[2], evt.M1GndPha[2+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(evt.M1FloatPha[2], evt.M1FloatPha[2+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(evt.M2GndPha[2], evt.M2GndPha[2+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(evt.M2FloatPha[2], evt.M2FloatPha[2+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[6]
      strput, line, "               ", 7
      segmentValue = string(evt.BufferId, FORMAT="(' BufferId: ', i3.3, ' ')")
      strput, line, segmentValue, 7
      strput, line, "          ", 30
      segmentValue = string(evt.M1GndPha[3], evt.M1GndPha[3+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(evt.M1FloatPha[3], evt.M1FloatPha[3+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(evt.M2GndPha[3], evt.M2GndPha[3+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(evt.M2FloatPha[3], evt.M2FloatPha[3+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[7]
      strput, line, "                    ", 0
      segmentValue = string(evt.flag.stimulated, FORMAT="(' Stimulated Flag: ', i1, ' ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 30
      segmentValue = string(evt.M1GndPha[4], evt.M1GndPha[4+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(evt.M1FloatPha[4], evt.M1FloatPha[4+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(evt.M2GndPha[4], evt.M2GndPha[4+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(evt.M2FloatPha[4], evt.M2FloatPha[4+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[8]
      strput, line, "               ", 5
      segmentValue = string(evt.flag.maybe, FORMAT="(' Maybe Flag: ', i1, ' ')")
      strput, line, segmentValue, 5
      strput, line, "          ", 30
      segmentValue = string(evt.M1GndPha[5], evt.M1GndPha[5+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(evt.M1FloatPha[5], evt.M1FloatPha[5+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(evt.M2GndPha[5], evt.M2GndPha[5+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(evt.M2FloatPha[5], evt.M2FloatPha[5+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[9]
      strput, line, "                ", 4
      segmentValue = string(evt.flag.hazard, FORMAT="(' Hazard Flag: ', i1, ' ')")
      strput, line, segmentValue, 4
      strput, line, "          ", 30
      segmentValue = string(evt.M1GndPha[6], evt.M1GndPha[6+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(evt.M1FloatPha[6], evt.M1FloatPha[6+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(evt.M2GndPha[6], evt.M2GndPha[6+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(evt.M2FloatPha[6], evt.M2FloatPha[6+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[10]
      strput, line, "                   ", 1
      segmentValue = string(evt.flag.PeakTime, FORMAT="(' Peak Time Flag: ', i1, ' ')")
      strput, line, segmentValue, 1
      strput, line, "          ", 30
      segmentValue = string(evt.M1GndPha[7], evt.M1GndPha[7+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(evt.M1FloatPha[7], evt.M1FloatPha[7+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(evt.M2GndPha[7], evt.M2GndPha[7+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(evt.M2FloatPha[7], evt.M2FloatPha[7+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[11]
      strput, line, "          ", 30
      segmentValue = string(evt.M1GndPha[8], evt.M1GndPha[8+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(evt.M1FloatPha[8], evt.M1FloatPha[8+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(evt.M2GndPha[8], evt.M2GndPha[8+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(evt.M2FloatPha[8], evt.M2FloatPha[8+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[12]
      strput, line, "                     ", 3
      segmentValue = string(evt.StackAStatus, evt.RangeA, FORMAT="(' Status/Range A: ', i1, '/', i1, ' ')")
      strput, line, segmentValue, 3
      strput, line, "          ", 30
      segmentValue = string(evt.M1GndPha[9], evt.M1GndPha[9+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(evt.M1FloatPha[9], evt.M1FloatPha[9+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(evt.M2GndPha[9], evt.M2GndPha[9+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(evt.M2FloatPha[9], evt.M2FloatPha[9+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[13]
      strput, line, "                     ", 3
      segmentValue = string(evt.StackBStatus, evt.RangeB, FORMAT="(' Status/Range B: ', i1, '/', i1, ' ')")
      strput, line, segmentValue, 3
      strput, line, "          ", 30
      segmentValue = string(evt.M1GndPha[10], evt.M1GndPha[10+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(evt.M1FloatPha[10], evt.M1FloatPha[10+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(evt.M2GndPha[10], evt.M2GndPha[10+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(evt.M2FloatPha[10], evt.M2FloatPha[10+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[14]
      strput, line, "             ", 9
      segmentValue = string(evt.TimeTag, FORMAT="(' Time Tag: ', i1, ' ')")
      strput, line, segmentValue, 9
      strput, line, "          ", 30
      segmentValue = string(evt.M1GndPha[11], evt.M1GndPha[11+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(evt.M1FloatPha[11], evt.M1FloatPha[11+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(evt.M2GndPha[11], evt.M2GndPha[11+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(evt.M2FloatPha[11], evt.M2FloatPha[11+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[15]
      strput, line, "           ", 12
      segmentValue = string(evt.phase, FORMAT="(' Phase: ', i2.2, ' ')")
      strput, line, segmentValue, 12
      strput, line, "          ", 30
      segmentValue = string(evt.M1GndPha[12], evt.M1GndPha[12+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(evt.M1FloatPha[12], evt.M1FloatPha[12+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(evt.M2GndPha[12], evt.M2GndPha[12+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(evt.M2FloatPha[12], evt.M2FloatPha[12+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[16]
      strput, line, "                     ", 2
      segmentValue = string(evt.NumberMatrixStrips, FORMAT="(' NumMatrixStrips: ', i2.2, ' ')")
      strput, line, segmentValue, 2
      strput, line, "          ", 30
      segmentValue = string(evt.M1GndPha[13], evt.M1GndPha[13+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(evt.M1FloatPha[13], evt.M1FloatPha[13+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(evt.M2GndPha[13], evt.M2GndPha[13+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(evt.M2FloatPha[13], evt.M2FloatPha[13+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[17]
      strput, line, "                      ", 0
      segmentValue = string(evt.OtherMatrixGroups, FORMAT="(' OtherMatrixGroups: ', i1, ' ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 30
      segmentValue = string(evt.M1GndPha[14], evt.M1GndPha[14+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(evt.M1FloatPha[14], evt.M1FloatPha[14+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(evt.M2GndPha[14], evt.M2GndPha[14+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(evt.M2FloatPha[14], evt.M2FloatPha[14+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[18]
      strput, line, "                  ", 5
      segmentValue = string(evt.PeakTimeM1, FORMAT="(' Peak Time M1: ', i2.2, ' ')")
      strput, line, segmentValue, 5
      strput, line, "          ", 30
      segmentValue = string(evt.M1GndPha[15], evt.M1GndPha[15+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(evt.M1FloatPha[15], evt.M1FloatPha[15+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(evt.M2GndPha[15], evt.M2GndPha[15+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(evt.M2FloatPha[15], evt.M2FloatPha[15+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[19]
      strput, line, "                  ", 5
      segmentValue = string(evt.PeakTimeM2, FORMAT="(' Peak time M2: ', i2.2, ' ')")
      strput, line, segmentValue, 5
      strput, line, "          ", 30
      segmentValue = string(evt.M1GndPha[16], evt.M1GndPha[16+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(evt.M1FloatPha[16], evt.M1FloatPha[16+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(evt.M2GndPha[16], evt.M2GndPha[16+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(evt.M2FloatPha[16], evt.M2FloatPha[16+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[20]
      strput, line, "                  ", 5
      segmentValue = string(evt.PeakTimeT1, FORMAT="(' Peak Time T1: ', i2.2, ' ')")
      strput, line, segmentValue, 5
      strput, line, "          ", 30
      segmentValue = string(evt.M1GndPha[17], evt.M1GndPha[17+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(evt.M1FloatPha[17], evt.M1FloatPha[17+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(evt.M2GndPha[17], evt.M2GndPha[17+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(evt.M2FloatPha[17], evt.M2FloatPha[17+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[21]
      strput, line, "                     ", 2
      segmentValue = string(evt.M1GndSideOffset, FORMAT="(' M1GndSideOffset: ', i2.2, ' ')")
      strput, line, segmentValue, 2
      strput, line, "          ", 30
      segmentValue = string(evt.M1GndPha[18], evt.M1GndPha[18+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(evt.M1FloatPha[18], evt.M1FloatPha[18+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(evt.M2GndPha[18], evt.M2GndPha[18+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(evt.M2FloatPha[18], evt.M2FloatPha[18+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[22]
      strput, line, "                    ", 3
      segmentValue = string(evt.M1HvSideOffset, FORMAT="(' M1HvSideOffset: ', i2.2, ' ')")
      strput, line, segmentValue, 3
      strput, line, "          ", 30
      segmentValue = string(evt.M1GndPha[19], evt.M1GndPha[19+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(evt.M1FloatPha[19], evt.M1FloatPha[19+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(evt.M2GndPha[19], evt.M2GndPha[19+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(evt.M2FloatPha[19], evt.M2FloatPha[19+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[23]
      strput, line, "                     ", 2
      segmentValue = string(evt.M2GndSideOffset, FORMAT="(' M2GndSideOffset: ', i2.2, ' ')")
      strput, line, segmentValue, 2
      strput, line, "          ", 30
      segmentValue = string(evt.M1GndPha[20], evt.M1GndPha[20+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(evt.M1FloatPha[20], evt.M1FloatPha[20+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(evt.M2GndPha[20], evt.M2GndPha[20+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(evt.M2FloatPha[20], evt.M2FloatPha[20+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[24]
      strput, line, "                    ", 3
      segmentValue = string(evt.M2HvSideOffset, FORMAT="(' M2HvSideOffset: ', i2.2, ' ')")
      strput, line, segmentValue, 3
      strput, line, "          ", 30
      segmentValue = string(evt.M1GndPha[21], evt.M1GndPha[21+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(evt.M1FloatPha[21], evt.M1FloatPha[21+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(evt.M2GndPha[21], evt.M2GndPha[21+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(evt.M2FloatPha[21], evt.M2FloatPha[21+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[25]
      strput, line, "          ", 30
      segmentValue = string(evt.M1GndPha[22], evt.M1GndPha[22+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(evt.M1FloatPha[22], evt.M1FloatPha[22+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(evt.M2GndPha[22], evt.M2GndPha[22+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(evt.M2FloatPha[22], evt.M2FloatPha[22+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[26]
      strput, line, "           ", 0
      segmentValue = string(evt.StackA[0], FORMAT="(' t1a: ', i4, ' ')")
      strput, line, segmentValue, 0
      strput, line, "           ", 11
      segmentValue = string(evt.StackB[0], FORMAT="(' t1b: ', i4, ' ')")
      strput, line, segmentValue, 11
      strput, line, "          ", 30
      segmentValue = string(evt.M1GndPha[23], evt.M1GndPha[23+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(evt.M1FloatPha[23], evt.M1FloatPha[23+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(evt.M2GndPha[23], evt.M2GndPha[23+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(evt.M2FloatPha[23], evt.M2FloatPha[23+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[27]
      strput, line, "           ", 0
      segmentValue = string(evt.StackA[0], FORMAT="(' t1a: ', i4, ' ')")
      strput, line, segmentValue, 0
      strput, line, "           ", 11
      segmentValue = string(evt.StackB[0], FORMAT="(' t1b: ', i4, ' ')")
      strput, line, segmentValue, 11
      strput, line, "          ", 30
      segmentValue = string(evt.M1GndPha[24], evt.M1GndPha[24+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(evt.M1FloatPha[24], evt.M1FloatPha[24+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(evt.M2GndPha[24], evt.M2GndPha[24+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(evt.M2FloatPha[24], evt.M2FloatPha[24+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[28]
      strput, line, "           ", 0
      segmentValue = string(evt.StackA[1], FORMAT="(' t2a: ', i4, ' ')")
      strput, line, segmentValue, 0
      strput, line, "           ", 11
      segmentValue = string(evt.StackB[1], FORMAT="(' t2b: ', i4, ' ')")
      strput, line, segmentValue, 11
      strput, line, "          ", 30
      segmentValue = string(evt.M1GndPha[25], evt.M1GndPha[25+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(evt.M1FloatPha[25], evt.M1FloatPha[25+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(evt.M2GndPha[25], evt.M2GndPha[25+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(evt.M2FloatPha[25], evt.M2FloatPha[25+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[29]
      strput, line, "           ", 0
      segmentValue = string(evt.StackA[2], FORMAT="(' t3a: ', i4, ' ')")
      strput, line, segmentValue, 0
      strput, line, "           ", 11
      segmentValue = string(evt.StackB[2], FORMAT="(' t3b: ', i4, ' ')")
      strput, line, segmentValue, 11
      strput, line, "          ", 30
      segmentValue = string(evt.M1GndPha[26], evt.M1GndPha[26+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(evt.M1FloatPha[26], evt.M1FloatPha[26+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(evt.M2GndPha[26], evt.M2GndPha[26+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(evt.M2FloatPha[26], evt.M2FloatPha[26+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[30]
      strput, line, "           ", 0
      segmentValue = string(evt.StackA[3], FORMAT="(' t4a: ', i4, ' ')")
      strput, line, segmentValue, 0
      strput, line, "           ", 11
      segmentValue = string(evt.StackB[3], FORMAT="(' t4b: ', i4, ' ')")
      strput, line, segmentValue, 11
      strput, line, "          ", 30
      segmentValue = string(evt.M1GndPha[27], evt.M1GndPha[27+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(evt.M1FloatPha[27], evt.M1FloatPha[27+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(evt.M2GndPha[27], evt.M2GndPha[27+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(evt.M2FloatPha[27], evt.M2FloatPha[27+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[31]
      strput, line, "           ", 0
      segmentValue = string(evt.StackA[4], FORMAT="(' t5a: ', i4, ' ')")
      strput, line, segmentValue, 0
      strput, line, "           ", 11
      segmentValue = string(evt.StackB[4], FORMAT="(' t5b: ', i4, ' ')")
      strput, line, segmentValue, 11
      strput, line, "          ", 30
      segmentValue = string(evt.M1GndPha[28], evt.M1GndPha[28+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(evt.M1FloatPha[28], evt.M1FloatPha[28+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(evt.M2GndPha[28], evt.M2GndPha[28+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(evt.M2FloatPha[28], evt.M2FloatPha[28+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[32]
      strput, line, "           ", 0
      segmentValue = string(evt.StackA[5], FORMAT="(' t6a: ', i4, ' ')")
      strput, line, segmentValue, 0
      strput, line, "           ", 11
      segmentValue = string(evt.StackB[5], FORMAT="(' t6b: ', i4, ' ')")
      strput, line, segmentValue, 11
      strput, line, "          ", 30
      segmentValue = string(evt.M1GndPha[29], evt.M1GndPha[29+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(evt.M1FloatPha[29], evt.M1FloatPha[29+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(evt.M2GndPha[29], evt.M2GndPha[29+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(evt.M2FloatPha[29], evt.M2FloatPha[29+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[33]
      strput, line, "           ", 0
      segmentValue = string(evt.StackA[6], FORMAT="(' t7a: ', i4, ' ')")
      strput, line, segmentValue, 0
      strput, line, "           ", 11
      segmentValue = string(evt.StackB[6], FORMAT="(' t7b: ', i4, ' ')")
      strput, line, segmentValue, 11
      strput, line, "          ", 30
      segmentValue = string(evt.M1GndPha[30], evt.M1GndPha[30+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(evt.M1FloatPha[30], evt.M1FloatPha[30+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(evt.M2GndPha[30], evt.M2GndPha[30+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(evt.M2FloatPha[30], evt.M2FloatPha[30+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[34]
      strput, line, "           ", 0
      segmentValue = string(evt.StackA[7], FORMAT="(' t8a: ', i4, ' ')")
      strput, line, segmentValue, 0
      strput, line, "           ", 11
      segmentValue = string(evt.StackB[7], FORMAT="(' t8b: ', i4, ' ')")
      strput, line, segmentValue, 11
      strput, line, "          ", 30
      segmentValue = string(evt.M1GndPha[31], evt.M1GndPha[31+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(evt.M1FloatPha[31], evt.M1FloatPha[31+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(evt.M2GndPha[31], evt.M2GndPha[31+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(evt.M2FloatPha[31], evt.M2FloatPha[31+32], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[35]
      printf, lunit, line
   line = template[36]
      strput, line, "                 ", 4
      segmentValue = string(expandUint16(evt.stimulated.stmask), FORMAT="(' Stim Mask: ', z4.4, ' ')")
      strput, line, segmentValue, 4
      strput, line, "                    ", 24
      segmentValue = string(evt.stimulated.MatrixGndSide, FORMAT="(' MatrixGndSide: ', i3.3, ' ')")
      strput, line, segmentValue, 24
      strput, line, "           ", 46
      segmentValue = string(evt.stimulated.vref, FORMAT="(' vref: ', i3.3, ' ')")
      strput, line, segmentValue, 46
      strput, line, "              ", 58
      segmentValue = string(evt.stimulated.gain_f1, FORMAT="(' gain_f1: ', i3.3, ' ')")
      strput, line, segmentValue, 58
      printf, lunit, line
   line = template[37]
      strput, line, "                     ", 1
      segmentValue = string(expandUint16(evt.stimulated.CalSequence), FORMAT="(' Cal Sequence: ', i5.5, ' ')")
      strput, line, segmentValue, 1
      strput, line, "                    ", 24
      segmentValue = string(evt.stimulated.AMatrixHvSide, FORMAT="(' AMatrixHvSide: ', i3.3, ' ')")
      strput, line, segmentValue, 24
      strput, line, "            ", 45
      segmentValue = string(evt.stimulated.vref1, FORMAT="(' vref1: ', i3.3, ' ')")
      strput, line, segmentValue, 45
      strput, line, "              ", 58
      segmentValue = string(evt.stimulated.gain_f2, FORMAT="(' gain_f2: ', i3.3, ' ')")
      strput, line, segmentValue, 58
      printf, lunit, line
   line = template[38]
      strput, line, "                    ", 24
      segmentValue = string(evt.stimulated.BMatrixHvSide, FORMAT="(' BMatrixHvSide: ', i3.3, ' ')")
      strput, line, segmentValue, 24
      strput, line, "            ", 45
      segmentValue = string(evt.stimulated.vref2, FORMAT="(' vref2: ', i3.3, ' ')")
      strput, line, segmentValue, 45
      printf, lunit, line

end
