; $Id: dumpl1_1sislowpriorityratebuffer.pro,v 1.1 1998/05/04 20:36:01 rgr Exp $

; $RCSfile: dumpl1_1sislowpriorityratebuffer.pro,v $
; $Author: rgr $
; $Date: 1998/05/04 20:36:01 $
; $Revision: 1.1 $


pro dumpL1_1SisLowPriorityRateBuffer, lp, LUN=lun

   lunit = -1
   if (keyword_set(lun)) then lunit = lun

   template = strarr(99)

   template[00] = "SIS Low Priority Rates - <start time               >   <S/C Clock: xx.xxxxxxx>"
   template[01] = ""
   template[02] = "     Buf Rate Evt Rate  ----------Class Rates----------     ------Quality------"
   template[03] = "  32 <buffer{0}       ><class{0}      ><Class{0}      >    <b{0} ><c{0} ><C{0} >"
   template[04] = "  33 <buffer{1}       ><class{1}      ><Class{1}      >    <b{1} ><c{1} ><C{1} >"
   template[05] = "  34 <buffer{2}       ><class{2}      ><Class{2}      >    <b{2} ><c{2} ><C{2} >"
   template[06] = "  35 <buffer{3}       ><class{3}      ><Class{3}      >    <b{3} ><c{3} ><C{3} >"
   template[07] = "  36 <buffer{4}       ><class{4}      ><Class{4}      >    <b{4} ><c{4} ><C{4} >"
   template[08] = "  37 <buffer{5}       ><class{5}      ><Class{5}      >    <b{5} ><c{5} ><C{5} >"
   template[09] = "  38 <buffer{6}       ><class{6}      ><Class{6}      >    <b{6} ><c{6} ><C{6} >"
   template[10] = "  39 <buffer{7}       ><class{7}      ><Class{7}      >    <b{7} ><c{7} ><C{7} >"
   template[11] = "  40 <buffer{8}       ><class{8}      ><Class{8}      >    <b{8} ><c{8} ><C{8} >"
   template[12] = "  41 <buffer{9}       ><class{9}      ><Class{9}      >    <b{9} ><c{9} ><C{9} >"
   template[13] = "  42 <buffer{10}      ><class{10}     ><Class{10}     >    <b{10}><c{10}><C{10}>"
   template[14] = "  43 <buffer{11}      ><class{11}     ><Class{11}     >    <b{11}><c{11}><C{11}>"
   template[15] = "  44 <buffer{12}      ><class{12}     ><Class{12}     >    <b{12}><c{12}><C{12}>"
   template[16] = "  45 <buffer{13}      ><class{13}     ><Class{13}     >    <b{13}><c{13}><C{13}>"
   template[17] = "  46 <buffer{14}      ><class{14}     ><Class{14}     >    <b{14}><c{14}><C{14}>"
   template[18] = "  47 <buffer{15}      ><class{15}     ><Class{15}     >    <b{15}><c{15}><C{15}>"
   template[19] = "  48 <buffer{16}      ><class{16}     ><Class{16}     >    <b{16}><c{16}><C{16}>"
   template[20] = "  49 <buffer{17}      ><class{17}     ><Class{17}     >    <b{17}><c{17}><C{17}>"
   template[21] = "  50 <buffer{18}      ><class{18}     ><Class{18}     >    <b{18}><c{18}><C{18}>"
   template[22] = "  51 <buffer{19}      ><class{19}     ><Class{19}     >    <b{19}><c{19}><C{19}>"
   template[23] = "  52 <buffer{20}      ><class{20}     ><Class{20}     >    <b{20}><c{20}><C{20}>"
   template[24] = "  53 <buffer{21}      ><class{21}     ><Class{21}     >    <b{21}><c{21}><C{21}>"
   template[25] = "  54 <buffer{22}      ><class{22}     ><Class{22}     >    <b{22}><c{22}><C{22}>"
   template[26] = "  55 <buffer{23}      ><class{23}     ><Class{23}     >    <b{23}><c{23}><C{23}>"
   template[27] = "  56 <buffer{24}      ><class{24}     ><Class{24}     >    <b{24}><c{24}><C{24}>"
   template[28] = "  57 <buffer{25}      ><class{25}     ><Class{25}     >    <b{25}><c{25}><C{25}>"
   template[29] = "  58 <buffer{26}      ><class{26}     ><Class{26}     >    <b{26}><c{26}><C{26}>"
   template[30] = "  59 <buffer{27}      ><class{27}     ><Class{27}     >    <b{27}><c{27}><C{27}>"
   template[31] = "  60 <buffer{28}      ><class{28}     ><Class{28}     >    <b{28}><c{28}><C{28}>"
   template[32] = "  61 <buffer{29}      ><class{29}     ><Class{29}     >    <b{29}><c{29}><C{29}>"
   template[33] = "  62 <buffer{30}      ><class{30}     ><Class{30}     >    <b{30}><c{30}><C{30}>"
   template[34] = "  63 <buffer{31}      ><class{31}     ><Class{31}     >    <b{31}><c{31}><C{31}>"
   template[35] = "  64 <buffer{32}      ><class{32}     ><Class{32}     >    <b{32}><c{32}><C{32}>"
   template[36] = "  65 <buffer{33}      ><class{33}     ><Class{33}     >    <b{33}><c{33}><C{33}>"
   template[37] = "  66 <buffer{34}      ><class{34}     ><Class{34}     >    <b{34}><c{34}><C{34}>"
   template[38] = "  67 <buffer{35}      ><class{35}     ><Class{35}     >    <b{35}><c{35}><C{35}>"
   template[39] = "  68 <buffer{36}      ><class{36}     ><Class{36}     >    <b{36}><c{36}><C{36}>"
   template[40] = "  69 <buffer{37}      ><class{37}     ><Class{37}     >    <b{37}><c{37}><C{37}>"
   template[41] = "  70 <buffer{38}      ><class{38}     ><Class{38}     >    <b{38}><c{38}><C{38}>"
   template[42] = "  71 <buffer{39}      ><class{39}     ><Class{39}     >    <b{39}><c{39}><C{39}>"
   template[43] = "  72 <buffer{40}      ><class{40}     ><Class{40}     >    <b{40}><c{40}><C{40}>"
   template[44] = "  73 <buffer{41}      ><class{41}     ><Class{41}     >    <b{41}><c{41}><C{41}>"
   template[45] = "  74 <buffer{42}      ><class{42}     ><Class{42}     >    <b{42}><c{42}><C{42}>"
   template[46] = "  75 <buffer{43}      ><class{43}     ><Class{43}     >    <b{43}><c{43}><C{43}>"
   template[47] = "  76 <buffer{44}      ><class{44}     ><Class{44}     >    <b{44}><c{44}><C{44}>"
   template[48] = "  77 <buffer{45}      ><class{45}     ><Class{45}     >    <b{45}><c{45}><C{45}>"
   template[49] = "  78 <buffer{46}      ><class{46}     ><Class{46}     >    <b{46}><c{46}><C{46}>"
   template[50] = "  79 <buffer{47}      ><class{47}     ><Class{47}     >    <b{47}><c{47}><C{47}>"
   template[51] = "  80 <buffer{48}      ><class{48}     ><Class{48}     >    <b{48}><c{48}><C{48}>"
   template[52] = "  81 <buffer{49}      ><class{49}     ><Class{49}     >    <b{49}><c{49}><C{49}>"
   template[53] = "  82 <buffer{50}      ><class{50}     ><Class{50}     >    <b{50}><c{50}><C{50}>"
   template[54] = "  83 <buffer{51}      ><class{51}     ><Class{51}     >    <b{51}><c{51}><C{51}>"
   template[55] = "  84 <buffer{52}      ><class{52}     ><Class{52}     >    <b{52}><c{52}><C{52}>"
   template[56] = "  85 <buffer{53}      ><class{53}     ><Class{53}     >    <b{53}><c{53}><C{53}>"
   template[57] = "  86 <buffer{54}      ><class{54}     ><Class{54}     >    <b{54}><c{54}><C{54}>"
   template[58] = "  87 <buffer{55}      ><class{55}     ><Class{55}     >    <b{55}><c{55}><C{55}>"
   template[59] = "  88 <buffer{56}      ><class{56}     ><Class{56}     >    <b{56}><c{56}><C{56}>"
   template[60] = "  89 <buffer{57}      ><class{57}     ><Class{57}     >    <b{57}><c{57}><C{57}>"
   template[61] = "  90 <buffer{58}      ><class{58}     ><Class{58}     >    <b{58}><c{58}><C{58}>"
   template[62] = "  91 <buffer{59}      ><class{59}     ><Class{59}     >    <b{59}><c{59}><C{59}>"
   template[63] = "  92 <buffer{60}      ><class{60}     ><Class{60}     >    <b{60}><c{60}><C{60}>"
   template[64] = "  93 <buffer{61}      ><class{61}     ><Class{61}     >    <b{61}><c{61}><C{61}>"
   template[65] = "  94 <buffer{62}      ><class{62}     ><Class{62}     >    <b{62}><c{62}><C{62}>"
   template[66] = "  95 <buffer{63}      ><class{63}     ><Class{63}     >    <b{63}><c{63}><C{63}>"
   template[67] = "  96 <buffer{64}      ><class{64}     ><Class{64}     >    <b{64}><c{64}><C{64}>"
   template[68] = "  97 <buffer{65}      ><class{65}     ><Class{65}     >    <b{65}><c{65}><C{65}>"
   template[69] = "  98 <buffer{66}      ><class{66}     ><Class{66}     >    <b{66}><c{66}><C{66}>"
   template[70] = "  99 <buffer{67}      ><class{67}     ><Class{67}     >    <b{67}><c{67}><C{67}>"
   template[71] = " 100 <buffer{68}      ><class{68}     ><Class{68}     >    <b{68}><c{68}><C{68}>"
   template[72] = " 101 <buffer{69}      ><class{69}     ><Class{69}     >    <b{69}><c{69}><C{69}>"
   template[73] = " 102 <buffer{70}      ><class{70}     ><Class{70}     >    <b{70}><c{70}><C{70}>"
   template[74] = " 103 <buffer{71}      ><class{71}     ><Class{71}     >    <b{71}><c{71}><C{71}>"
   template[75] = " 104 <buffer{72}      ><class{72}     ><Class{72}     >    <b{72}><c{72}><C{72}>"
   template[76] = " 105 <buffer{73}      ><class{73}     ><Class{73}     >    <b{73}><c{73}><C{73}>"
   template[77] = " 106 <buffer{74}      ><class{74}     ><Class{74}     >    <b{74}><c{74}><C{74}>"
   template[78] = " 107 <buffer{75}      ><class{75}     ><Class{75}     >    <b{75}><c{75}><C{75}>"
   template[79] = " 108 <buffer{76}      ><class{76}     ><Class{76}     >    <b{76}><c{76}><C{76}>"
   template[80] = " 109 <buffer{77}      ><class{77}     ><Class{77}     >    <b{77}><c{77}><C{77}>"
   template[81] = " 110 <buffer{78}      ><class{78}     ><Class{78}     >    <b{78}><c{78}><C{78}>"
   template[82] = " 111 <buffer{79}      ><class{79}     ><Class{79}     >    <b{79}><c{79}><C{79}>"
   template[83] = " 112 <buffer{80}      ><class{80}     ><Class{80}     >    <b{80}><c{80}><C{80}>"
   template[84] = " 113 <buffer{81}      ><class{81}     ><Class{81}     >    <b{81}><c{81}><C{81}>"
   template[85] = " 114 <buffer{82}      ><class{82}     ><Class{82}     >    <b{82}><c{82}><C{82}>"
   template[86] = " 115 <buffer{83}      ><class{83}     ><Class{83}     >    <b{83}><c{83}><C{83}>"
   template[87] = " 116 <buffer{84}      ><class{84}     ><Class{84}     >    <b{84}><c{84}><C{84}>"
   template[88] = " 117 <buffer{85}      ><class{85}     ><Class{85}     >    <b{85}><c{85}><C{85}>"
   template[89] = " 118 <buffer{86}      ><class{86}     ><Class{86}     >    <b{86}><c{86}><C{86}>"
   template[90] = " 119 <buffer{87}      ><class{87}     ><Class{87}     >    <b{87}><c{87}><C{87}>"
   template[91] = " 120 <buffer{88}      ><class{88}     ><Class{88}     >    <b{88}><c{88}><C{88}>"
   template[92] = " 121 <buffer{89}      ><class{89}     ><Class{89}     >    <b{89}><c{89}><C{89}>"
   template[93] = " 122 <buffer{90}      ><class{90}     ><Class{90}     >    <b{90}><c{90}><C{90}>"
   template[94] = " 123 <buffer{91}      ><class{91}     ><Class{91}     >    <b{91}><c{91}><C{91}>"
   template[95] = " 124 <buffer{92}      ><class{92}     ><Class{92}     >    <b{92}><c{92}><C{92}>"
   template[96] = " 125 <buffer{93}      ><class{93}     ><Class{93}     >    <b{93}><c{93}><C{93}>"
   template[97] = " 126 <buffer{94}      ><class{94}     ><Class{94}     >    <b{94}><c{94}><C{94}>"
   template[98] = " 127 <buffer{95}      ><class{95}     ><Class{95}     >    <b{95}><c{95}><C{95}>"

   line = template[0]
      strput, line, "                           ", 25
      segmentValue = string(stringDate1996(lp.Second1996), lp.microsecond, FORMAT="(a, '.', i6.6)")
      strput, line, segmentValue, 25
      strput, line, "                       ", 55
      segmentValue = string(lp.ClockCycle, FORMAT="(' S/C Clock: ', i10.10, ' ')")
      strput, line, segmentValue, 55
      printf, lunit, line
   line = template[1]
      printf, lunit, line
   line = template[2]
      printf, lunit, line
   line = template[3]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[0], lp.DataBufferRate[0], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 0], lp.DataClassRate[1, 0], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 0], lp.DataClassRate[3, 0], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[0], lp.QualityDataBufferRate[0], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 0], lp.QualityDataClassRate[1, 0], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 0], lp.QualityDataClassRate[3, 0], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[4]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[1], lp.DataBufferRate[1], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 1], lp.DataClassRate[1, 1], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 1], lp.DataClassRate[3, 1], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[1], lp.QualityDataBufferRate[1], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 1], lp.QualityDataClassRate[1, 1], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 1], lp.QualityDataClassRate[3, 1], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[5]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[2], lp.DataBufferRate[2], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 2], lp.DataClassRate[1, 2], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 2], lp.DataClassRate[3, 2], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[2], lp.QualityDataBufferRate[2], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 2], lp.QualityDataClassRate[1, 2], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 2], lp.QualityDataClassRate[3, 2], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[6]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[3], lp.DataBufferRate[3], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 3], lp.DataClassRate[1, 3], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 3], lp.DataClassRate[3, 3], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[3], lp.QualityDataBufferRate[3], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 3], lp.QualityDataClassRate[1, 3], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 3], lp.QualityDataClassRate[3, 3], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[7]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[4], lp.DataBufferRate[4], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 4], lp.DataClassRate[1, 4], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 4], lp.DataClassRate[3, 4], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[4], lp.QualityDataBufferRate[4], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 4], lp.QualityDataClassRate[1, 4], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 4], lp.QualityDataClassRate[3, 4], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[8]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[5], lp.DataBufferRate[5], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 5], lp.DataClassRate[1, 5], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 5], lp.DataClassRate[3, 5], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[5], lp.QualityDataBufferRate[5], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 5], lp.QualityDataClassRate[1, 5], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 5], lp.QualityDataClassRate[3, 5], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[9]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[6], lp.DataBufferRate[6], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 6], lp.DataClassRate[1, 6], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 6], lp.DataClassRate[3, 6], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[6], lp.QualityDataBufferRate[6], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 6], lp.QualityDataClassRate[1, 6], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 6], lp.QualityDataClassRate[3, 6], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[10]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[7], lp.DataBufferRate[7], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 7], lp.DataClassRate[1, 7], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 7], lp.DataClassRate[3, 7], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[7], lp.QualityDataBufferRate[7], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 7], lp.QualityDataClassRate[1, 7], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 7], lp.QualityDataClassRate[3, 7], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[11]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[8], lp.DataBufferRate[8], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 8], lp.DataClassRate[1, 8], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 8], lp.DataClassRate[3, 8], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[8], lp.QualityDataBufferRate[8], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 8], lp.QualityDataClassRate[1, 8], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 8], lp.QualityDataClassRate[3, 8], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[12]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[9], lp.DataBufferRate[9], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 9], lp.DataClassRate[1, 9], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 9], lp.DataClassRate[3, 9], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[9], lp.QualityDataBufferRate[9], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 9], lp.QualityDataClassRate[1, 9], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 9], lp.QualityDataClassRate[3, 9], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[13]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[10], lp.DataBufferRate[10], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 10], lp.DataClassRate[1, 10], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 10], lp.DataClassRate[3, 10], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[10], lp.QualityDataBufferRate[10], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 10], lp.QualityDataClassRate[1, 10], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 10], lp.QualityDataClassRate[3, 10], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[14]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[11], lp.DataBufferRate[11], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 11], lp.DataClassRate[1, 11], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 11], lp.DataClassRate[3, 11], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[11], lp.QualityDataBufferRate[11], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 11], lp.QualityDataClassRate[1, 11], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 11], lp.QualityDataClassRate[3, 11], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[15]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[12], lp.DataBufferRate[12], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 12], lp.DataClassRate[1, 12], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 12], lp.DataClassRate[3, 12], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[12], lp.QualityDataBufferRate[12], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 12], lp.QualityDataClassRate[1, 12], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 12], lp.QualityDataClassRate[3, 12], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[16]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[13], lp.DataBufferRate[13], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 13], lp.DataClassRate[1, 13], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 13], lp.DataClassRate[3, 13], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[13], lp.QualityDataBufferRate[13], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 13], lp.QualityDataClassRate[1, 13], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 13], lp.QualityDataClassRate[3, 13], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[17]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[14], lp.DataBufferRate[14], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 14], lp.DataClassRate[1, 14], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 14], lp.DataClassRate[3, 14], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[14], lp.QualityDataBufferRate[14], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 14], lp.QualityDataClassRate[1, 14], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 14], lp.QualityDataClassRate[3, 14], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[18]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[15], lp.DataBufferRate[15], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 15], lp.DataClassRate[1, 15], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 15], lp.DataClassRate[3, 15], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[15], lp.QualityDataBufferRate[15], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 15], lp.QualityDataClassRate[1, 15], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 15], lp.QualityDataClassRate[3, 15], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[19]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[16], lp.DataBufferRate[16], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 16], lp.DataClassRate[1, 16], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 16], lp.DataClassRate[3, 16], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[16], lp.QualityDataBufferRate[16], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 16], lp.QualityDataClassRate[1, 16], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 16], lp.QualityDataClassRate[3, 16], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[20]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[17], lp.DataBufferRate[17], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 17], lp.DataClassRate[1, 17], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 17], lp.DataClassRate[3, 17], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[17], lp.QualityDataBufferRate[17], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 17], lp.QualityDataClassRate[1, 17], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 17], lp.QualityDataClassRate[3, 17], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[21]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[18], lp.DataBufferRate[18], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 18], lp.DataClassRate[1, 18], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 18], lp.DataClassRate[3, 18], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[18], lp.QualityDataBufferRate[18], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 18], lp.QualityDataClassRate[1, 18], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 18], lp.QualityDataClassRate[3, 18], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[22]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[19], lp.DataBufferRate[19], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 19], lp.DataClassRate[1, 19], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 19], lp.DataClassRate[3, 19], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[19], lp.QualityDataBufferRate[19], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 19], lp.QualityDataClassRate[1, 19], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 19], lp.QualityDataClassRate[3, 19], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[23]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[20], lp.DataBufferRate[20], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 20], lp.DataClassRate[1, 20], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 20], lp.DataClassRate[3, 20], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[20], lp.QualityDataBufferRate[20], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 20], lp.QualityDataClassRate[1, 20], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 20], lp.QualityDataClassRate[3, 20], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[24]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[21], lp.DataBufferRate[21], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 21], lp.DataClassRate[1, 21], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 21], lp.DataClassRate[3, 21], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[21], lp.QualityDataBufferRate[21], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 21], lp.QualityDataClassRate[1, 21], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 21], lp.QualityDataClassRate[3, 21], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[25]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[22], lp.DataBufferRate[22], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 22], lp.DataClassRate[1, 22], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 22], lp.DataClassRate[3, 22], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[22], lp.QualityDataBufferRate[22], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 22], lp.QualityDataClassRate[1, 22], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 22], lp.QualityDataClassRate[3, 22], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[26]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[23], lp.DataBufferRate[23], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 23], lp.DataClassRate[1, 23], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 23], lp.DataClassRate[3, 23], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[23], lp.QualityDataBufferRate[23], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 23], lp.QualityDataClassRate[1, 23], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 23], lp.QualityDataClassRate[3, 23], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[27]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[24], lp.DataBufferRate[24], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 24], lp.DataClassRate[1, 24], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 24], lp.DataClassRate[3, 24], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[24], lp.QualityDataBufferRate[24], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 24], lp.QualityDataClassRate[1, 24], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 24], lp.QualityDataClassRate[3, 24], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[28]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[25], lp.DataBufferRate[25], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 25], lp.DataClassRate[1, 25], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 25], lp.DataClassRate[3, 25], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[25], lp.QualityDataBufferRate[25], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 25], lp.QualityDataClassRate[1, 25], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 25], lp.QualityDataClassRate[3, 25], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[29]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[26], lp.DataBufferRate[26], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 26], lp.DataClassRate[1, 26], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 26], lp.DataClassRate[3, 26], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[26], lp.QualityDataBufferRate[26], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 26], lp.QualityDataClassRate[1, 26], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 26], lp.QualityDataClassRate[3, 26], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[30]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[27], lp.DataBufferRate[27], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 27], lp.DataClassRate[1, 27], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 27], lp.DataClassRate[3, 27], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[27], lp.QualityDataBufferRate[27], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 27], lp.QualityDataClassRate[1, 27], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 27], lp.QualityDataClassRate[3, 27], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[31]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[28], lp.DataBufferRate[28], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 28], lp.DataClassRate[1, 28], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 28], lp.DataClassRate[3, 28], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[28], lp.QualityDataBufferRate[28], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 28], lp.QualityDataClassRate[1, 28], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 28], lp.QualityDataClassRate[3, 28], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[32]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[29], lp.DataBufferRate[29], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 29], lp.DataClassRate[1, 29], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 29], lp.DataClassRate[3, 29], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[29], lp.QualityDataBufferRate[29], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 29], lp.QualityDataClassRate[1, 29], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 29], lp.QualityDataClassRate[3, 29], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[33]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[30], lp.DataBufferRate[30], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 30], lp.DataClassRate[1, 30], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 30], lp.DataClassRate[3, 30], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[30], lp.QualityDataBufferRate[30], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 30], lp.QualityDataClassRate[1, 30], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 30], lp.QualityDataClassRate[3, 30], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[34]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[31], lp.DataBufferRate[31], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 31], lp.DataClassRate[1, 31], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 31], lp.DataClassRate[3, 31], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[31], lp.QualityDataBufferRate[31], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 31], lp.QualityDataClassRate[1, 31], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 31], lp.QualityDataClassRate[3, 31], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[35]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[32], lp.DataBufferRate[32], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 32], lp.DataClassRate[1, 32], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 32], lp.DataClassRate[3, 32], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[32], lp.QualityDataBufferRate[32], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 32], lp.QualityDataClassRate[1, 32], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 32], lp.QualityDataClassRate[3, 32], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[36]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[33], lp.DataBufferRate[33], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 33], lp.DataClassRate[1, 33], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 33], lp.DataClassRate[3, 33], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[33], lp.QualityDataBufferRate[33], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 33], lp.QualityDataClassRate[1, 33], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 33], lp.QualityDataClassRate[3, 33], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[37]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[34], lp.DataBufferRate[34], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 34], lp.DataClassRate[1, 34], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 34], lp.DataClassRate[3, 34], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[34], lp.QualityDataBufferRate[34], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 34], lp.QualityDataClassRate[1, 34], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 34], lp.QualityDataClassRate[3, 34], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[38]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[35], lp.DataBufferRate[35], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 35], lp.DataClassRate[1, 35], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 35], lp.DataClassRate[3, 35], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[35], lp.QualityDataBufferRate[35], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 35], lp.QualityDataClassRate[1, 35], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 35], lp.QualityDataClassRate[3, 35], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[39]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[36], lp.DataBufferRate[36], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 36], lp.DataClassRate[1, 36], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 36], lp.DataClassRate[3, 36], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[36], lp.QualityDataBufferRate[36], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 36], lp.QualityDataClassRate[1, 36], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 36], lp.QualityDataClassRate[3, 36], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[40]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[37], lp.DataBufferRate[37], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 37], lp.DataClassRate[1, 37], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 37], lp.DataClassRate[3, 37], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[37], lp.QualityDataBufferRate[37], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 37], lp.QualityDataClassRate[1, 37], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 37], lp.QualityDataClassRate[3, 37], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[41]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[38], lp.DataBufferRate[38], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 38], lp.DataClassRate[1, 38], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 38], lp.DataClassRate[3, 38], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[38], lp.QualityDataBufferRate[38], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 38], lp.QualityDataClassRate[1, 38], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 38], lp.QualityDataClassRate[3, 38], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[42]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[39], lp.DataBufferRate[39], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 39], lp.DataClassRate[1, 39], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 39], lp.DataClassRate[3, 39], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[39], lp.QualityDataBufferRate[39], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 39], lp.QualityDataClassRate[1, 39], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 39], lp.QualityDataClassRate[3, 39], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[43]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[40], lp.DataBufferRate[40], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 40], lp.DataClassRate[1, 40], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 40], lp.DataClassRate[3, 40], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[40], lp.QualityDataBufferRate[40], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 40], lp.QualityDataClassRate[1, 40], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 40], lp.QualityDataClassRate[3, 40], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[44]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[41], lp.DataBufferRate[41], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 41], lp.DataClassRate[1, 41], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 41], lp.DataClassRate[3, 41], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[41], lp.QualityDataBufferRate[41], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 41], lp.QualityDataClassRate[1, 41], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 41], lp.QualityDataClassRate[3, 41], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[45]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[42], lp.DataBufferRate[42], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 42], lp.DataClassRate[1, 42], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 42], lp.DataClassRate[3, 42], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[42], lp.QualityDataBufferRate[42], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 42], lp.QualityDataClassRate[1, 42], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 42], lp.QualityDataClassRate[3, 42], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[46]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[43], lp.DataBufferRate[43], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 43], lp.DataClassRate[1, 43], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 43], lp.DataClassRate[3, 43], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[43], lp.QualityDataBufferRate[43], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 43], lp.QualityDataClassRate[1, 43], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 43], lp.QualityDataClassRate[3, 43], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[47]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[44], lp.DataBufferRate[44], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 44], lp.DataClassRate[1, 44], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 44], lp.DataClassRate[3, 44], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[44], lp.QualityDataBufferRate[44], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 44], lp.QualityDataClassRate[1, 44], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 44], lp.QualityDataClassRate[3, 44], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[48]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[45], lp.DataBufferRate[45], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 45], lp.DataClassRate[1, 45], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 45], lp.DataClassRate[3, 45], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[45], lp.QualityDataBufferRate[45], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 45], lp.QualityDataClassRate[1, 45], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 45], lp.QualityDataClassRate[3, 45], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[49]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[46], lp.DataBufferRate[46], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 46], lp.DataClassRate[1, 46], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 46], lp.DataClassRate[3, 46], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[46], lp.QualityDataBufferRate[46], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 46], lp.QualityDataClassRate[1, 46], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 46], lp.QualityDataClassRate[3, 46], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[50]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[47], lp.DataBufferRate[47], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 47], lp.DataClassRate[1, 47], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 47], lp.DataClassRate[3, 47], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[47], lp.QualityDataBufferRate[47], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 47], lp.QualityDataClassRate[1, 47], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 47], lp.QualityDataClassRate[3, 47], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[51]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[48], lp.DataBufferRate[48], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 48], lp.DataClassRate[1, 48], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 48], lp.DataClassRate[3, 48], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[48], lp.QualityDataBufferRate[48], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 48], lp.QualityDataClassRate[1, 48], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 48], lp.QualityDataClassRate[3, 48], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[52]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[49], lp.DataBufferRate[49], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 49], lp.DataClassRate[1, 49], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 49], lp.DataClassRate[3, 49], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[49], lp.QualityDataBufferRate[49], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 49], lp.QualityDataClassRate[1, 49], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 49], lp.QualityDataClassRate[3, 49], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[53]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[50], lp.DataBufferRate[50], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 50], lp.DataClassRate[1, 50], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 50], lp.DataClassRate[3, 50], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[50], lp.QualityDataBufferRate[50], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 50], lp.QualityDataClassRate[1, 50], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 50], lp.QualityDataClassRate[3, 50], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[54]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[51], lp.DataBufferRate[51], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 51], lp.DataClassRate[1, 51], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 51], lp.DataClassRate[3, 51], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[51], lp.QualityDataBufferRate[51], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 51], lp.QualityDataClassRate[1, 51], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 51], lp.QualityDataClassRate[3, 51], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[55]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[52], lp.DataBufferRate[52], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 52], lp.DataClassRate[1, 52], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 52], lp.DataClassRate[3, 52], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[52], lp.QualityDataBufferRate[52], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 52], lp.QualityDataClassRate[1, 52], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 52], lp.QualityDataClassRate[3, 52], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[56]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[53], lp.DataBufferRate[53], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 53], lp.DataClassRate[1, 53], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 53], lp.DataClassRate[3, 53], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[53], lp.QualityDataBufferRate[53], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 53], lp.QualityDataClassRate[1, 53], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 53], lp.QualityDataClassRate[3, 53], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[57]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[54], lp.DataBufferRate[54], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 54], lp.DataClassRate[1, 54], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 54], lp.DataClassRate[3, 54], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[54], lp.QualityDataBufferRate[54], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 54], lp.QualityDataClassRate[1, 54], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 54], lp.QualityDataClassRate[3, 54], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[58]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[55], lp.DataBufferRate[55], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 55], lp.DataClassRate[1, 55], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 55], lp.DataClassRate[3, 55], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[55], lp.QualityDataBufferRate[55], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 55], lp.QualityDataClassRate[1, 55], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 55], lp.QualityDataClassRate[3, 55], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[59]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[56], lp.DataBufferRate[56], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 56], lp.DataClassRate[1, 56], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 56], lp.DataClassRate[3, 56], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[56], lp.QualityDataBufferRate[56], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 56], lp.QualityDataClassRate[1, 56], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 56], lp.QualityDataClassRate[3, 56], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[60]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[57], lp.DataBufferRate[57], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 57], lp.DataClassRate[1, 57], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 57], lp.DataClassRate[3, 57], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[57], lp.QualityDataBufferRate[57], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 57], lp.QualityDataClassRate[1, 57], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 57], lp.QualityDataClassRate[3, 57], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[61]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[58], lp.DataBufferRate[58], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 58], lp.DataClassRate[1, 58], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 58], lp.DataClassRate[3, 58], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[58], lp.QualityDataBufferRate[58], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 58], lp.QualityDataClassRate[1, 58], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 58], lp.QualityDataClassRate[3, 58], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[62]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[59], lp.DataBufferRate[59], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 59], lp.DataClassRate[1, 59], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 59], lp.DataClassRate[3, 59], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[59], lp.QualityDataBufferRate[59], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 59], lp.QualityDataClassRate[1, 59], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 59], lp.QualityDataClassRate[3, 59], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[63]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[60], lp.DataBufferRate[60], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 60], lp.DataClassRate[1, 60], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 60], lp.DataClassRate[3, 60], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[60], lp.QualityDataBufferRate[60], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 60], lp.QualityDataClassRate[1, 60], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 60], lp.QualityDataClassRate[3, 60], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[64]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[61], lp.DataBufferRate[61], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 61], lp.DataClassRate[1, 61], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 61], lp.DataClassRate[3, 61], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[61], lp.QualityDataBufferRate[61], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 61], lp.QualityDataClassRate[1, 61], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 61], lp.QualityDataClassRate[3, 61], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[65]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[62], lp.DataBufferRate[62], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 62], lp.DataClassRate[1, 62], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 62], lp.DataClassRate[3, 62], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[62], lp.QualityDataBufferRate[62], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 62], lp.QualityDataClassRate[1, 62], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 62], lp.QualityDataClassRate[3, 62], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[66]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[63], lp.DataBufferRate[63], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 63], lp.DataClassRate[1, 63], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 63], lp.DataClassRate[3, 63], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[63], lp.QualityDataBufferRate[63], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 63], lp.QualityDataClassRate[1, 63], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 63], lp.QualityDataClassRate[3, 63], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[67]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[64], lp.DataBufferRate[64], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 64], lp.DataClassRate[1, 64], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 64], lp.DataClassRate[3, 64], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[64], lp.QualityDataBufferRate[64], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 64], lp.QualityDataClassRate[1, 64], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 64], lp.QualityDataClassRate[3, 64], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[68]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[65], lp.DataBufferRate[65], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 65], lp.DataClassRate[1, 65], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 65], lp.DataClassRate[3, 65], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[65], lp.QualityDataBufferRate[65], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 65], lp.QualityDataClassRate[1, 65], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 65], lp.QualityDataClassRate[3, 65], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[69]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[66], lp.DataBufferRate[66], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 66], lp.DataClassRate[1, 66], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 66], lp.DataClassRate[3, 66], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[66], lp.QualityDataBufferRate[66], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 66], lp.QualityDataClassRate[1, 66], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 66], lp.QualityDataClassRate[3, 66], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[70]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[67], lp.DataBufferRate[67], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 67], lp.DataClassRate[1, 67], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 67], lp.DataClassRate[3, 67], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[67], lp.QualityDataBufferRate[67], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 67], lp.QualityDataClassRate[1, 67], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 67], lp.QualityDataClassRate[3, 67], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[71]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[68], lp.DataBufferRate[68], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 68], lp.DataClassRate[1, 68], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 68], lp.DataClassRate[3, 68], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[68], lp.QualityDataBufferRate[68], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 68], lp.QualityDataClassRate[1, 68], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 68], lp.QualityDataClassRate[3, 68], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[72]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[69], lp.DataBufferRate[69], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 69], lp.DataClassRate[1, 69], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 69], lp.DataClassRate[3, 69], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[69], lp.QualityDataBufferRate[69], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 69], lp.QualityDataClassRate[1, 69], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 69], lp.QualityDataClassRate[3, 69], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[73]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[70], lp.DataBufferRate[70], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 70], lp.DataClassRate[1, 70], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 70], lp.DataClassRate[3, 70], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[70], lp.QualityDataBufferRate[70], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 70], lp.QualityDataClassRate[1, 70], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 70], lp.QualityDataClassRate[3, 70], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[74]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[71], lp.DataBufferRate[71], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 71], lp.DataClassRate[1, 71], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 71], lp.DataClassRate[3, 71], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[71], lp.QualityDataBufferRate[71], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 71], lp.QualityDataClassRate[1, 71], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 71], lp.QualityDataClassRate[3, 71], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[75]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[72], lp.DataBufferRate[72], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 72], lp.DataClassRate[1, 72], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 72], lp.DataClassRate[3, 72], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[72], lp.QualityDataBufferRate[72], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 72], lp.QualityDataClassRate[1, 72], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 72], lp.QualityDataClassRate[3, 72], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[76]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[73], lp.DataBufferRate[73], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 73], lp.DataClassRate[1, 73], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 73], lp.DataClassRate[3, 73], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[73], lp.QualityDataBufferRate[73], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 73], lp.QualityDataClassRate[1, 73], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 73], lp.QualityDataClassRate[3, 73], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[77]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[74], lp.DataBufferRate[74], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 74], lp.DataClassRate[1, 74], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 74], lp.DataClassRate[3, 74], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[74], lp.QualityDataBufferRate[74], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 74], lp.QualityDataClassRate[1, 74], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 74], lp.QualityDataClassRate[3, 74], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[78]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[75], lp.DataBufferRate[75], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 75], lp.DataClassRate[1, 75], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 75], lp.DataClassRate[3, 75], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[75], lp.QualityDataBufferRate[75], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 75], lp.QualityDataClassRate[1, 75], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 75], lp.QualityDataClassRate[3, 75], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[79]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[76], lp.DataBufferRate[76], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 76], lp.DataClassRate[1, 76], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 76], lp.DataClassRate[3, 76], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[76], lp.QualityDataBufferRate[76], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 76], lp.QualityDataClassRate[1, 76], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 76], lp.QualityDataClassRate[3, 76], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[80]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[77], lp.DataBufferRate[77], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 77], lp.DataClassRate[1, 77], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 77], lp.DataClassRate[3, 77], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[77], lp.QualityDataBufferRate[77], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 77], lp.QualityDataClassRate[1, 77], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 77], lp.QualityDataClassRate[3, 77], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[81]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[78], lp.DataBufferRate[78], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 78], lp.DataClassRate[1, 78], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 78], lp.DataClassRate[3, 78], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[78], lp.QualityDataBufferRate[78], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 78], lp.QualityDataClassRate[1, 78], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 78], lp.QualityDataClassRate[3, 78], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[82]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[79], lp.DataBufferRate[79], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 79], lp.DataClassRate[1, 79], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 79], lp.DataClassRate[3, 79], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[79], lp.QualityDataBufferRate[79], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 79], lp.QualityDataClassRate[1, 79], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 79], lp.QualityDataClassRate[3, 79], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[83]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[80], lp.DataBufferRate[80], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 80], lp.DataClassRate[1, 80], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 80], lp.DataClassRate[3, 80], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[80], lp.QualityDataBufferRate[80], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 80], lp.QualityDataClassRate[1, 80], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 80], lp.QualityDataClassRate[3, 80], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[84]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[81], lp.DataBufferRate[81], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 81], lp.DataClassRate[1, 81], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 81], lp.DataClassRate[3, 81], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[81], lp.QualityDataBufferRate[81], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 81], lp.QualityDataClassRate[1, 81], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 81], lp.QualityDataClassRate[3, 81], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[85]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[82], lp.DataBufferRate[82], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 82], lp.DataClassRate[1, 82], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 82], lp.DataClassRate[3, 82], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[82], lp.QualityDataBufferRate[82], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 82], lp.QualityDataClassRate[1, 82], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 82], lp.QualityDataClassRate[3, 82], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[86]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[83], lp.DataBufferRate[83], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 83], lp.DataClassRate[1, 83], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 83], lp.DataClassRate[3, 83], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[83], lp.QualityDataBufferRate[83], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 83], lp.QualityDataClassRate[1, 83], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 83], lp.QualityDataClassRate[3, 83], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[87]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[84], lp.DataBufferRate[84], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 84], lp.DataClassRate[1, 84], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 84], lp.DataClassRate[3, 84], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[84], lp.QualityDataBufferRate[84], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 84], lp.QualityDataClassRate[1, 84], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 84], lp.QualityDataClassRate[3, 84], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[88]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[85], lp.DataBufferRate[85], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 85], lp.DataClassRate[1, 85], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 85], lp.DataClassRate[3, 85], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[85], lp.QualityDataBufferRate[85], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 85], lp.QualityDataClassRate[1, 85], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 85], lp.QualityDataClassRate[3, 85], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[89]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[86], lp.DataBufferRate[86], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 86], lp.DataClassRate[1, 86], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 86], lp.DataClassRate[3, 86], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[86], lp.QualityDataBufferRate[86], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 86], lp.QualityDataClassRate[1, 86], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 86], lp.QualityDataClassRate[3, 86], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[90]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[87], lp.DataBufferRate[87], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 87], lp.DataClassRate[1, 87], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 87], lp.DataClassRate[3, 87], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[87], lp.QualityDataBufferRate[87], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 87], lp.QualityDataClassRate[1, 87], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 87], lp.QualityDataClassRate[3, 87], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[91]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[88], lp.DataBufferRate[88], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 88], lp.DataClassRate[1, 88], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 88], lp.DataClassRate[3, 88], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[88], lp.QualityDataBufferRate[88], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 88], lp.QualityDataClassRate[1, 88], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 88], lp.QualityDataClassRate[3, 88], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[92]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[89], lp.DataBufferRate[89], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 89], lp.DataClassRate[1, 89], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 89], lp.DataClassRate[3, 89], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[89], lp.QualityDataBufferRate[89], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 89], lp.QualityDataClassRate[1, 89], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 89], lp.QualityDataClassRate[3, 89], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[93]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[90], lp.DataBufferRate[90], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 90], lp.DataClassRate[1, 90], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 90], lp.DataClassRate[3, 90], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[90], lp.QualityDataBufferRate[90], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 90], lp.QualityDataClassRate[1, 90], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 90], lp.QualityDataClassRate[3, 90], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[94]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[91], lp.DataBufferRate[91], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 91], lp.DataClassRate[1, 91], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 91], lp.DataClassRate[3, 91], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[91], lp.QualityDataBufferRate[91], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 91], lp.QualityDataClassRate[1, 91], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 91], lp.QualityDataClassRate[3, 91], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[95]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[92], lp.DataBufferRate[92], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 92], lp.DataClassRate[1, 92], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 92], lp.DataClassRate[3, 92], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[92], lp.QualityDataBufferRate[92], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 92], lp.QualityDataClassRate[1, 92], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 92], lp.QualityDataClassRate[3, 92], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[96]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[93], lp.DataBufferRate[93], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 93], lp.DataClassRate[1, 93], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 93], lp.DataClassRate[3, 93], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[93], lp.QualityDataBufferRate[93], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 93], lp.QualityDataClassRate[1, 93], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 93], lp.QualityDataClassRate[3, 93], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[97]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[94], lp.DataBufferRate[94], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 94], lp.DataClassRate[1, 94], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 94], lp.DataClassRate[3, 94], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[94], lp.QualityDataBufferRate[94], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 94], lp.QualityDataClassRate[1, 94], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 94], lp.QualityDataClassRate[3, 94], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line
   line = template[98]
      strput, line, "                  ", 5
      segmentValue = string(lp.EventBufferRate[95], lp.DataBufferRate[95], FORMAT="(f7.3, ' ', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 23
      segmentValue = string(lp.DataClassRate[0, 95], lp.DataClassRate[1, 95], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 23
      strput, line, "                ", 39
      segmentValue = string(lp.DataClassRate[2, 95], lp.DataClassRate[3, 95], FORMAT="(f7.3, ' ', f7.3)")
      strput, line, segmentValue, 39
      strput, line, "       ", 59
      segmentValue = string(lp.QualityEventBufferRate[95], lp.QualityDataBufferRate[95], FORMAT="(' ', z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      strput, line, "       ", 66
      segmentValue = string(lp.QualityDataClassRate[0, 95], lp.QualityDataClassRate[1, 95], FORMAT="(' ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 66
      strput, line, "       ", 73
      segmentValue = string(lp.QualityDataClassRate[2, 95], lp.QualityDataClassRate[3, 95], FORMAT="(z2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 73
      printf, lunit, line

end
