; $Id: dumpl1_1sislowpriorityratesingle.pro,v 1.1 1998/05/04 20:36:02 rgr Exp $

; $RCSfile: dumpl1_1sislowpriorityratesingle.pro,v $
; $Author: rgr $
; $Date: 1998/05/04 20:36:02 $
; $Revision: 1.1 $


pro dumpL1_1SisLowPriorityRateSingle, lp, LUN=lun

   lunit = -1
   if (keyword_set(lun)) then lunit = lun

   template = strarr(57)

   template[00] = "SIS Low Priority Rates - <start time               >   <S/C Clock: xx.xxxxxxx>"
   template[01] = ""
   template[02] = "     <livetim: xxx.xx xx>   <ntagint: xxxxx.xx xx>    <nbadid: xxxxx.xx xx>"
   template[03] = "     <helivet: xxx.xx xx>   <nvldint: xxxxx.xx xx>   <ncebful: xxxx.xxx xx>"
   template[04] = "     <hylivet: xxx.xx xx>   <nevproc: xxxxx.xx xx>   <nrebful: xxxx.xxx xx>"
   template[05] = "                            <nrtproc: xxxxx.xx xx>   <nhdwrej: xxxxxx.x xx>"
   template[06] = ""
   template[07] = "Reject Rates(c/s):"
   template[08] = " <MaybeHiza: xx.xxx xx>                  <MaybeHizb: xx.xxx xx>"
   template[09] = "  <MaybeZ2a: xx.xxx xx> <m1a: xx.xxx xx>  <MaybeZ2b: xx.xxx xx> <m1b: xx.xxx xx>"
   template[10] = "  <MaybeZ1a: xx.xxx xx> <m2a: xx.xxx xx>  <MaybeZ1b: xx.xxx xx> <m2b: xx.xxx xx>"
   template[11] = "      <hiza: xx.xxx xx> <t1a: xx.xxx xx>      <hizb: xx.xxx xx> <t1b: xx.xxx xx>"
   template[12] = "       <z2a: xx.xxx xx> <t2a: xx.xxx xx>       <z2b: xx.xxx xx> <t2b: xx.xxx xx>"
   template[13] = "     <adc2a: xx.xxx xx> <t3a: xx.xxx xx>     <adc2b: xx.xxx xx> <t3b: xx.xxx xx>"
   template[14] = "     <adc3a: xx.xxx xx> <t4a: xx.xxx xx>     <adc3b: xx.xxx xx> <t4b: xx.xxx xx>"
   template[15] = "      <mora: xx.xxx xx> <t5a: xx.xxx xx>      <morb: xx.xxx xx> <t5b: xx.xxx xx>"
   template[16] = "      <hora: xx.xxx xx> <t6a: xx.xxx xx>      <horb: xx.xxx xx> <t6b: xx.xxx xx>"
   template[17] = "      <m12a: xx.xxx xx> <t7a: xx.xxx xx>      <m12b: xx.xxx xx> <t7b: xx.xxx xx>"
   template[18] = "      <m1ha: xx.xxx xx> <t8a: xxx.xx xx>      <m1hb: xx.xxx xx> <t8b: xxx.xx xx>"
   template[19] = "      <m2ha: xx.xxx xx>                       <m2hb: xx.xxx xx>"
   template[20] = " "
   template[21] = "  <CoinRate0: xx.xxx xx>     <CoinRate1: xx.xxx xx>     <StimCoin: xx.xxx xx>"
   template[22] = "     <hazard: xxx.xx xx>                                 <RejFast: xxx.xx xx>"
   template[23] = ""
   template[24] = "Valid Rates(c/s):"
   template[25] = " <MaybeHiza: yy.yyy yy>                  <MaybeHizb: yy.yyy yy>"
   template[26] = "  <MaybeZ2a: yy.yyy yy> <m1a: yy.yyy yy>  <MaybeZ2b: yy.yyy yy> <m1b: yy.yyy yy>"
   template[27] = "  <MaybeZ1a: yy.yyy yy> <m2a: yy.yyy yy>  <MaybeZ1b: yy.yyy yy> <m2b: yy.yyy yy>"
   template[28] = "      <hiza: yy.yyy yy> <t1a: yy.yyy yy>      <hizb: yy.yyy yy> <t1b: yy.yyy yy>"
   template[29] = "       <z2a: yy.yyy yy> <t2a: yy.yyy yy>       <z2b: yy.yyy yy> <t2b: yy.yyy yy>"
   template[30] = "     <adc2a: yy.yyy yy> <t3a: yy.yyy yy>     <adc2b: yy.yyy yy> <t3b: yy.yyy yy>"
   template[31] = "     <adc3a: yy.yyy yy> <t4a: yy.yyy yy>     <adc3b: yy.yyy yy> <t4b: yy.yyy yy>"
   template[32] = "      <mora: yy.yyy yy> <t5a: yy.yyy yy>      <morb: yy.yyy yy> <t5b: yy.yyy yy>"
   template[33] = "      <hora: yy.yyy yy> <t6a: yy.yyy yy>      <horb: yy.yyy yy> <t6b: yy.yyy yy>"
   template[34] = "      <m12a: yy.yyy yy> <t7a: yy.yyy yy>      <m12b: yy.yyy yy> <t7b: yy.yyy yy>"
   template[35] = "      <m1ha: yy.yyy yy> <t8a: yyy.yy yy>      <m1hb: yy.yyy yy> <t8b: yyy.yy yy>"
   template[36] = "      <m2ha: yy.yyy yy>                       <m2hb: yy.yyy yy>"
   template[37] = " "
   template[38] = "  <CoinRate0: yy.yyy yy>     <CoinRate1: yy.yyy yy>     <StimCoin: yy.yyy yy>"
   template[39] = "     <hazard: yyy.yy yy>                                 <RejFast: yyy.yy yy>"
   template[40] = ""
   template[41] = "Single Rates(c/s):"
   template[42] = " <MaybeHiza: zz.zzz zz>                  <MaybeHizb: zz.zzz zz>"
   template[43] = "  <MaybeZ2a: zz.zzz zz> <m1a: zz.zzz zz>  <MaybeZ2b: zz.zzz zz> <m1b: zz.zzz zz>"
   template[44] = "  <MaybeZ1a: zz.zzz zz> <m2a: zz.zzz zz>  <MaybeZ1b: zz.zzz zz> <m2b: zz.zzz zz>"
   template[45] = "      <hiza: zz.zzz zz> <t1a: zz.zzz zz>      <hizb: zz.zzz zz> <t1b: zz.zzz zz>"
   template[46] = "       <z2a: zz.zzz zz> <t2a: zz.zzz zz>       <z2b: zz.zzz zz> <t2b: zz.zzz zz>"
   template[47] = "     <adc2a: zz.zzz zz> <t3a: zz.zzz zz>     <adc2b: zz.zzz zz> <t3b: zz.zzz zz>"
   template[48] = "     <adc3a: zz.zzz zz> <t4a: zz.zzz zz>     <adc3b: zz.zzz zz> <t4b: zz.zzz zz>"
   template[49] = "      <mora: zz.zzz zz> <t5a: zz.zzz zz>      <morb: zz.zzz zz> <t5b: zz.zzz zz>"
   template[50] = "      <hora: zz.zzz zz> <t6a: zz.zzz zz>      <horb: zz.zzz zz> <t6b: zz.zzz zz>"
   template[51] = "      <m12a: zz.zzz zz> <t7a: zz.zzz zz>      <m12b: zz.zzz zz> <t7b: zz.zzz zz>"
   template[52] = "      <m1ha: zz.zzz zz> <t8a: zzz.zz zz>      <m1hb: zz.zzz zz> <t8b: zzz.zz zz>"
   template[53] = "      <m2ha: zz.zzz zz>                       <m2hb: zz.zzz zz>"
   template[54] = " "
   template[55] = "  <CoinRate0: zz.zzz zz>     <CoinRate1: zz.zzz zz>     <StimCoin: zz.zzz zz>"
   template[56] = "     <hazard: zzz.zz zz>                                 <RejFast: zzz.zz zz>"

   line = template[0]
      strput, line, "                           ", 25
      segmentValue = string(stringDate1996(lp.Second1996), lp.microsecond, FORMAT="(a, '.', i6.6)")
      strput, line, segmentValue, 25
      strput, line, "                       ", 55
      segmentValue = string(lp.ClockCycle, FORMAT="(' S/C Clock: ', i10.10, ' ')")
      strput, line, segmentValue, 55
      printf, lunit, line
   line = template[1]
      printf, lunit, line
   line = template[2]
      strput, line, "                    ", 5
      segmentValue = string(lp.livetim, lp.QualityLivetim, FORMAT="('livetim:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                      ", 28
      segmentValue = string(lp.ntagint, lp.QualityNtagint, FORMAT="('ntagint:', f9.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 28
      strput, line, "                     ", 54
      segmentValue = string(lp.nbadid,  lp.QualityNbadid, FORMAT="('nbadid:', f9.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 54
      printf, lunit, line
   line = template[3]
      strput, line, "                    ", 5
      segmentValue = string(lp.helivet, lp.QualityHelivet, FORMAT="('helivet:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                      ", 28
      segmentValue = string(lp.nvldint, lp.QualityNvldint, FORMAT="('nvldint:', f9.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 28
      strput, line, "                      ", 53
      segmentValue = string(lp.ncebful, lp.QualityNcebful, FORMAT="('ncebful:', f9.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 53
      printf, lunit, line
   line = template[4]
      strput, line, "                    ", 5
      segmentValue = string(lp.hylivet, lp.QualityHylivet, FORMAT="('hylivet:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                      ", 28
      segmentValue = string(lp.nevproc, lp.QualityNevproc, FORMAT="('nevproc:', f9.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 28
      strput, line, "                      ", 53
      segmentValue = string(lp.nrebful, lp.QualityNrebful, FORMAT="('nrebful:', f9.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 53
      printf, lunit, line
   line = template[5]
      strput, line, "                      ", 28
      segmentValue = string(lp.nrtproc, lp.QualityNrtproc, FORMAT="('nrtproc:', f9.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 28
      strput, line, "                      ", 53
      segmentValue = string(lp.nhdwrej, lp.QualityNhdwrej, FORMAT="('nhdwrej:', f9.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 53
      printf, lunit, line
   line = template[6]
      printf, lunit, line
   line = template[7]
      printf, lunit, line
   line = template[8]
      strput, line, "                      ", 1
      segmentValue = string(lp.RejectRate.MaybeHiza, lp.QualityRejectRate.MaybeHiza, FORMAT="('MaybeHiza:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 1
      strput, line, "                      ", 41
      segmentValue = string(lp.RejectRate.MaybeHizb, lp.QualityRejectRate.MaybeHizb, FORMAT="('MaybeHizb:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 41
      printf, lunit, line
   line = template[9]
      strput, line, "                     ", 2
      segmentValue = string(lp.RejectRate.MaybeZ2a, lp.QualityRejectRate.MaybeZ2a, FORMAT="('MaybeZ2a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 2
      strput, line, "                ", 24
      segmentValue = string(lp.RejectRate.m1a, lp.QualityRejectRate.m1a, FORMAT="('m1a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                     ", 42
      segmentValue = string(lp.RejectRate.MaybeZ2b, lp.QualityRejectRate.MaybeZ2b, FORMAT="('MaybeZ2b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 42
      strput, line, "                ", 64
      segmentValue = string(lp.RejectRate.m1b, lp.QualityRejectRate.m1b, FORMAT="('m1b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[10]
      strput, line, "                     ", 2
      segmentValue = string(lp.RejectRate.MaybeZ1a, lp.QualityRejectRate.MaybeZ1a, FORMAT="('MaybeZ1a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 2
      strput, line, "                ", 24
      segmentValue = string(lp.RejectRate.m2a, lp.QualityRejectRate.m2a, FORMAT="('m2a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                     ", 42
      segmentValue = string(lp.RejectRate.MaybeZ1b, lp.QualityRejectRate.MaybeZ1b, FORMAT="('MaybeZ1b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 42
      strput, line, "                ", 64
      segmentValue = string(lp.RejectRate.m2b, lp.QualityRejectRate.m2b, FORMAT="('m2b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[11]
      strput, line, "                 ", 6
      segmentValue = string(lp.RejectRate.hiza, lp.QualityRejectRate.hiza, FORMAT="('hiza:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 6
      strput, line, "                ", 24
      segmentValue = string(lp.RejectRate.t1a, lp.QualityRejectRate.t1a, FORMAT="('t1a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                 ", 46
      segmentValue = string(lp.RejectRate.hizb, lp.QualityRejectRate.hizb, FORMAT="('hizb:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "                ", 64
      segmentValue = string(lp.RejectRate.t1b, lp.QualityRejectRate.t1b, FORMAT="('t1b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[12]
      strput, line, "                ", 7
      segmentValue = string(lp.RejectRate.z2a, lp.QualityRejectRate.z2a, FORMAT="('z2a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 7
      strput, line, "                ", 24
      segmentValue = string(lp.RejectRate.t2a, lp.QualityRejectRate.t2a, FORMAT="('t2a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                ", 47
      segmentValue = string(lp.RejectRate.z2b, lp.QualityRejectRate.z2b, FORMAT="('z2b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 47
      strput, line, "                ", 64
      segmentValue = string(lp.RejectRate.t2b, lp.QualityRejectRate.t2b, FORMAT="('t2b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[13]
      strput, line, "                  ", 5
      segmentValue = string(lp.RejectRate.adc2a, lp.QualityRejectRate.adc2a, FORMAT="('adc2a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 24
      segmentValue = string(lp.RejectRate.t3a, lp.QualityRejectRate.t3a, FORMAT="('t3a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                  ", 45
      segmentValue = string(lp.RejectRate.adc2b, lp.QualityRejectRate.adc2b, FORMAT="('adc2b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 45
      strput, line, "                ", 64
      segmentValue = string(lp.RejectRate.t3b, lp.QualityRejectRate.t3b, FORMAT="('t3b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[14]
      strput, line, "                  ", 5
      segmentValue = string(lp.RejectRate.adc3a, lp.QualityRejectRate.adc3a, FORMAT="('adc3a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 24
      segmentValue = string(lp.RejectRate.t4a, lp.QualityRejectRate.t4a, FORMAT="('t4a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                  ", 45
      segmentValue = string(lp.RejectRate.adc3b, lp.QualityRejectRate.adc3b, FORMAT="('adc3b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 45
      strput, line, "                ", 64
      segmentValue = string(lp.RejectRate.t4b, lp.QualityRejectRate.t4b, FORMAT="('t4b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[15]
      strput, line, "                 ", 6
      segmentValue = string(lp.RejectRate.mora, lp.QualityRejectRate.mora, FORMAT="('mora:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 6
      strput, line, "                ", 24
      segmentValue = string(lp.RejectRate.t5a, lp.QualityRejectRate.t5a, FORMAT="('t5a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                 ", 46
      segmentValue = string(lp.RejectRate.morb, lp.QualityRejectRate.morb, FORMAT="('morb:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "                ", 64
      segmentValue = string(lp.RejectRate.t5b, lp.QualityRejectRate.t5b, FORMAT="('t5b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[16]
      strput, line, "                 ", 6
      segmentValue = string(lp.RejectRate.hora, lp.QualityRejectRate.hora, FORMAT="('hora:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 6
      strput, line, "                ", 24
      segmentValue = string(lp.RejectRate.t6a, lp.QualityRejectRate.t6a, FORMAT="('t6a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                 ", 46
      segmentValue = string(lp.RejectRate.horb, lp.QualityRejectRate.horb, FORMAT="('horb:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "                ", 64
      segmentValue = string(lp.RejectRate.t6b, lp.QualityRejectRate.t6b, FORMAT="('t6b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[17]
      strput, line, "                 ", 6
      segmentValue = string(lp.RejectRate.m12a, lp.QualityRejectRate.m12a, FORMAT="('m12a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 6
      strput, line, "                ", 24
      segmentValue = string(lp.RejectRate.t7a, lp.QualityRejectRate.t7a, FORMAT="('t7a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                 ", 46
      segmentValue = string(lp.RejectRate.m12b, lp.QualityRejectRate.m12b, FORMAT="('m12b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "                ", 64
      segmentValue = string(lp.RejectRate.t7b, lp.QualityRejectRate.t7b, FORMAT="('t7b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[18]
      strput, line, "                 ", 6
      segmentValue = string(lp.RejectRate.m1ha, lp.QualityRejectRate.m1ha, FORMAT="('m1ha:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 6
      strput, line, "                ", 24
      segmentValue = string(lp.RejectRate.t8a, lp.QualityRejectRate.t8a, FORMAT="('t8a:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                 ", 46
      segmentValue = string(lp.RejectRate.m1hb, lp.QualityRejectRate.m1hb, FORMAT="('m1hb:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "                ", 64
      segmentValue = string(lp.RejectRate.t8b, lp.QualityRejectRate.t8b, FORMAT="('t8b:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[19]
      strput, line, "                 ", 6
      segmentValue = string(lp.RejectRate.m2ha, lp.QualityRejectRate.m2ha, FORMAT="('m2ha:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 6
      strput, line, "                 ", 46
      segmentValue = string(lp.RejectRate.m2hb, lp.QualityRejectRate.m2hb, FORMAT="('m2hb:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      printf, lunit, line
   line = template[20]
      printf, lunit, line
   line = template[21]
      strput, line, "                      ", 2
      segmentValue = string(lp.RejectRate.CoinRate0, lp.QualityRejectRate.CoinRate0, FORMAT="('CoinRate0:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 2
      strput, line, "                      ", 29
      segmentValue = string(lp.RejectRate.CoinRate1, lp.QualityRejectRate.CoinRate1, FORMAT="('CoinRate1:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 29
      strput, line, "                     ", 56
      segmentValue = string(lp.RejectRate.StimCoin, lp.QualityRejectRate.StimCoin, FORMAT="('StimCoin:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 56
      printf, lunit, line
   line = template[22]
      strput, line, "                   ", 5
      segmentValue = string(lp.RejectRate.hazard, lp.QualityRejectRate.hazard, FORMAT="('hazard:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                    ", 57
      segmentValue = string(lp.RejectRate.RejFast, lp.QualityRejectRate.RejFast, FORMAT="('RejFast:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 57
      printf, lunit, line
   line = template[23]
      printf, lunit, line
   line = template[24]
      printf, lunit, line
   line = template[25]
      strput, line, "                      ", 1
      segmentValue = string(lp.ValidRate.MaybeHiza, lp.QualityValidRate.MaybeHiza, FORMAT="('MaybeHiza:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 1
      strput, line, "                      ", 41
      segmentValue = string(lp.ValidRate.MaybeHizb, lp.QualityValidRate.MaybeHizb, FORMAT="('MaybeHizb:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 41
      printf, lunit, line
   line = template[26]
      strput, line, "                     ", 2
      segmentValue = string(lp.ValidRate.MaybeZ2a, lp.QualityValidRate.MaybeZ2a, FORMAT="('MaybeZ2a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 2
      strput, line, "                ", 24
      segmentValue = string(lp.ValidRate.m1a, lp.QualityValidRate.m1a, FORMAT="('m1a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                     ", 42
      segmentValue = string(lp.ValidRate.MaybeZ2b, lp.QualityValidRate.MaybeZ2b, FORMAT="('MaybeZ2b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 42
      strput, line, "                ", 64
      segmentValue = string(lp.ValidRate.m1b, lp.QualityValidRate.m1b, FORMAT="('m1b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[27]
      strput, line, "                     ", 2
      segmentValue = string(lp.ValidRate.MaybeZ1a, lp.QualityValidRate.MaybeZ1a, FORMAT="('MaybeZ1a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 2
      strput, line, "                ", 24
      segmentValue = string(lp.ValidRate.m2a, lp.QualityValidRate.m2a, FORMAT="('m2a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                     ", 42
      segmentValue = string(lp.ValidRate.MaybeZ1b, lp.QualityValidRate.MaybeZ1b, FORMAT="('MaybeZ1b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 42
      strput, line, "                ", 64
      segmentValue = string(lp.ValidRate.m2b, lp.QualityValidRate.m2b, FORMAT="('m2b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[28]
      strput, line, "                 ", 6
      segmentValue = string(lp.ValidRate.hiza, lp.QualityValidRate.hiza, FORMAT="('hiza:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 6
      strput, line, "                ", 24
      segmentValue = string(lp.ValidRate.t1a, lp.QualityValidRate.t1a, FORMAT="('t1a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                 ", 46
      segmentValue = string(lp.ValidRate.hizb, lp.QualityValidRate.hizb, FORMAT="('hizb:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "                ", 64
      segmentValue = string(lp.ValidRate.t1b, lp.QualityValidRate.t1b, FORMAT="('t1b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[29]
      strput, line, "                ", 7
      segmentValue = string(lp.ValidRate.z2a, lp.QualityValidRate.z2a, FORMAT="('z2a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 7
      strput, line, "                ", 24
      segmentValue = string(lp.ValidRate.t2a, lp.QualityValidRate.t2a, FORMAT="('t2a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                ", 47
      segmentValue = string(lp.ValidRate.z2b, lp.QualityValidRate.z2b, FORMAT="('z2b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 47
      strput, line, "                ", 64
      segmentValue = string(lp.ValidRate.t2b, lp.QualityValidRate.t2b, FORMAT="('t2b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[30]
      strput, line, "                  ", 5
      segmentValue = string(lp.ValidRate.adc2a, lp.QualityValidRate.adc2a, FORMAT="('adc2a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 24
      segmentValue = string(lp.ValidRate.t3a, lp.QualityValidRate.t3a, FORMAT="('t3a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                  ", 45
      segmentValue = string(lp.ValidRate.adc2b, lp.QualityValidRate.adc2b, FORMAT="('adc2b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 45
      strput, line, "                ", 64
      segmentValue = string(lp.ValidRate.t3b, lp.QualityValidRate.t3b, FORMAT="('t3b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[31]
      strput, line, "                  ", 5
      segmentValue = string(lp.ValidRate.adc3a, lp.QualityValidRate.adc3a, FORMAT="('adc3a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 24
      segmentValue = string(lp.ValidRate.t4a, lp.QualityValidRate.t4a, FORMAT="('t4a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                  ", 45
      segmentValue = string(lp.ValidRate.adc3b, lp.QualityValidRate.adc3b, FORMAT="('adc3b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 45
      strput, line, "                ", 64
      segmentValue = string(lp.ValidRate.t4b, lp.QualityValidRate.t4b, FORMAT="('t4b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[32]
      strput, line, "                 ", 6
      segmentValue = string(lp.ValidRate.mora, lp.QualityValidRate.mora, FORMAT="('mora:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 6
      strput, line, "                ", 24
      segmentValue = string(lp.ValidRate.t5a, lp.QualityValidRate.t5a, FORMAT="('t5a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                 ", 46
      segmentValue = string(lp.ValidRate.morb, lp.QualityValidRate.morb, FORMAT="('morb:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "                ", 64
      segmentValue = string(lp.ValidRate.t5b, lp.QualityValidRate.t5b, FORMAT="('t5b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[33]
      strput, line, "                 ", 6
      segmentValue = string(lp.ValidRate.hora, lp.QualityValidRate.hora, FORMAT="('hora:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 6
      strput, line, "                ", 24
      segmentValue = string(lp.ValidRate.t6a, lp.QualityValidRate.t6a, FORMAT="('t6a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                 ", 46
      segmentValue = string(lp.ValidRate.horb, lp.QualityValidRate.horb, FORMAT="('horb:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "                ", 64
      segmentValue = string(lp.ValidRate.t6b, lp.QualityValidRate.t6b, FORMAT="('t6b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[34]
      strput, line, "                 ", 6
      segmentValue = string(lp.ValidRate.m12a, lp.QualityValidRate.m12a, FORMAT="('m12a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 6
      strput, line, "                ", 24
      segmentValue = string(lp.ValidRate.t7a, lp.QualityValidRate.t7a, FORMAT="('t7a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                 ", 46
      segmentValue = string(lp.ValidRate.m12b, lp.QualityValidRate.m12b, FORMAT="('m12b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "                ", 64
      segmentValue = string(lp.ValidRate.t7b, lp.QualityValidRate.t7b, FORMAT="('t7b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[35]
      strput, line, "                 ", 6
      segmentValue = string(lp.ValidRate.m1ha, lp.QualityValidRate.m1ha, FORMAT="('m1ha:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 6
      strput, line, "                ", 24
      segmentValue = string(lp.ValidRate.t8a, lp.QualityValidRate.t8a, FORMAT="('t8a:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                 ", 46
      segmentValue = string(lp.ValidRate.m1hb, lp.QualityValidRate.m1hb, FORMAT="('m1hb:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "                ", 64
      segmentValue = string(lp.ValidRate.t8b, lp.QualityValidRate.t8b, FORMAT="('t8b:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[36]
      strput, line, "                 ", 6
      segmentValue = string(lp.ValidRate.m2ha, lp.QualityValidRate.m2ha, FORMAT="('m2ha:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 6
      strput, line, "                 ", 46
      segmentValue = string(lp.ValidRate.m2hb, lp.QualityValidRate.m2hb, FORMAT="('m2hb:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      printf, lunit, line
   line = template[37]
      printf, lunit, line
   line = template[38]
      strput, line, "                      ", 2
      segmentValue = string(lp.ValidRate.CoinRate0, lp.QualityValidRate.CoinRate0, FORMAT="('CoinRate0:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 2
      strput, line, "                      ", 29
      segmentValue = string(lp.ValidRate.CoinRate1, lp.QualityValidRate.CoinRate1, FORMAT="('CoinRate1:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 29
      strput, line, "                     ", 56
      segmentValue = string(lp.ValidRate.StimCoin, lp.QualityValidRate.StimCoin, FORMAT="('StimCoin:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 56
      printf, lunit, line
   line = template[39]
      strput, line, "                   ", 5
      segmentValue = string(lp.ValidRate.hazard, lp.QualityValidRate.hazard, FORMAT="('hazard:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                    ", 57
      segmentValue = string(lp.ValidRate.RejFast, lp.QualityValidRate.RejFast, FORMAT="('RejFast:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 57
      printf, lunit, line
   line = template[40]
      printf, lunit, line
   line = template[41]
      printf, lunit, line
   line = template[42]
      strput, line, "                      ", 1
      segmentValue = string(lp.SingleRate.MaybeHiza, lp.QualitySingleRate.MaybeHiza, FORMAT="('MaybeHiza:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 1
      strput, line, "                      ", 41
      segmentValue = string(lp.SingleRate.MaybeHizb, lp.QualitySingleRate.MaybeHizb, FORMAT="('MaybeHizb:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 41
      printf, lunit, line
   line = template[43]
      strput, line, "                     ", 2
      segmentValue = string(lp.SingleRate.MaybeZ2a, lp.QualitySingleRate.MaybeZ2a, FORMAT="('MaybeZ2a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 2
      strput, line, "                ", 24
      segmentValue = string(lp.SingleRate.m1a, lp.QualitySingleRate.m1a, FORMAT="('m1a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                     ", 42
      segmentValue = string(lp.SingleRate.MaybeZ2b, lp.QualitySingleRate.MaybeZ2b, FORMAT="('MaybeZ2b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 42
      strput, line, "                ", 64
      segmentValue = string(lp.SingleRate.m1b, lp.QualitySingleRate.m1b, FORMAT="('m1b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[44]
      strput, line, "                     ", 2
      segmentValue = string(lp.SingleRate.MaybeZ1a, lp.QualitySingleRate.MaybeZ1a, FORMAT="('MaybeZ1a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 2
      strput, line, "                ", 24
      segmentValue = string(lp.SingleRate.m2a, lp.QualitySingleRate.m2a, FORMAT="('m2a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                     ", 42
      segmentValue = string(lp.SingleRate.MaybeZ1b, lp.QualitySingleRate.MaybeZ1b, FORMAT="('MaybeZ1b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 42
      strput, line, "                ", 64
      segmentValue = string(lp.SingleRate.m2b, lp.QualitySingleRate.m2b, FORMAT="('m2b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[45]
      strput, line, "                 ", 6
      segmentValue = string(lp.SingleRate.hiza, lp.QualitySingleRate.hiza, FORMAT="('hiza:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 6
      strput, line, "                ", 24
      segmentValue = string(lp.SingleRate.t1a, lp.QualitySingleRate.t1a, FORMAT="('t1a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                 ", 46
      segmentValue = string(lp.SingleRate.hizb, lp.QualitySingleRate.hizb, FORMAT="('hizb:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "                ", 64
      segmentValue = string(lp.SingleRate.t1b, lp.QualitySingleRate.t1b, FORMAT="('t1b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[46]
      strput, line, "                ", 7
      segmentValue = string(lp.SingleRate.z2a, lp.QualitySingleRate.z2a, FORMAT="('z2a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 7
      strput, line, "                ", 24
      segmentValue = string(lp.SingleRate.t2a, lp.QualitySingleRate.t2a, FORMAT="('t2a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                ", 47
      segmentValue = string(lp.SingleRate.z2b, lp.QualitySingleRate.z2b, FORMAT="('z2b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 47
      strput, line, "                ", 64
      segmentValue = string(lp.SingleRate.t2b, lp.QualitySingleRate.t2b, FORMAT="('t2b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[47]
      strput, line, "                  ", 5
      segmentValue = string(lp.SingleRate.adc2a, lp.QualitySingleRate.adc2a, FORMAT="('adc2a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 24
      segmentValue = string(lp.SingleRate.t3a, lp.QualitySingleRate.t3a, FORMAT="('t3a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                  ", 45
      segmentValue = string(lp.SingleRate.adc2b, lp.QualitySingleRate.adc2b, FORMAT="('adc2b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 45
      strput, line, "                ", 64
      segmentValue = string(lp.SingleRate.t3b, lp.QualitySingleRate.t3b, FORMAT="('t3b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[48]
      strput, line, "                  ", 5
      segmentValue = string(lp.SingleRate.adc3a, lp.QualitySingleRate.adc3a, FORMAT="('adc3a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                ", 24
      segmentValue = string(lp.SingleRate.t4a, lp.QualitySingleRate.t4a, FORMAT="('t4a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                  ", 45
      segmentValue = string(lp.SingleRate.adc3b, lp.QualitySingleRate.adc3b, FORMAT="('adc3b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 45
      strput, line, "                ", 64
      segmentValue = string(lp.SingleRate.t4b, lp.QualitySingleRate.t4b, FORMAT="('t4b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[49]
      strput, line, "                 ", 6
      segmentValue = string(lp.SingleRate.mora, lp.QualitySingleRate.mora, FORMAT="('mora:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 6
      strput, line, "                ", 24
      segmentValue = string(lp.SingleRate.t5a, lp.QualitySingleRate.t5a, FORMAT="('t5a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                 ", 46
      segmentValue = string(lp.SingleRate.morb, lp.QualitySingleRate.morb, FORMAT="('morb:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "                ", 64
      segmentValue = string(lp.SingleRate.t5b, lp.QualitySingleRate.t5b, FORMAT="('t5b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[50]
      strput, line, "                 ", 6
      segmentValue = string(lp.SingleRate.hora, lp.QualitySingleRate.hora, FORMAT="('hora:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 6
      strput, line, "                ", 24
      segmentValue = string(lp.SingleRate.t6a, lp.QualitySingleRate.t6a, FORMAT="('t6a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                 ", 46
      segmentValue = string(lp.SingleRate.horb, lp.QualitySingleRate.horb, FORMAT="('horb:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "                ", 64
      segmentValue = string(lp.SingleRate.t6b, lp.QualitySingleRate.t6b, FORMAT="('t6b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[51]
      strput, line, "                 ", 6
      segmentValue = string(lp.SingleRate.m12a, lp.QualitySingleRate.m12a, FORMAT="('m12a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 6
      strput, line, "                ", 24
      segmentValue = string(lp.SingleRate.t7a, lp.QualitySingleRate.t7a, FORMAT="('t7a:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                 ", 46
      segmentValue = string(lp.SingleRate.m12b, lp.QualitySingleRate.m12b, FORMAT="('m12b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "                ", 64
      segmentValue = string(lp.SingleRate.t7b, lp.QualitySingleRate.t7b, FORMAT="('t7b:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[52]
      strput, line, "                 ", 6
      segmentValue = string(lp.SingleRate.m1ha, lp.QualitySingleRate.m1ha, FORMAT="('m1ha:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 6
      strput, line, "                ", 24
      segmentValue = string(lp.SingleRate.t8a, lp.QualitySingleRate.t8a, FORMAT="('t8a:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                 ", 46
      segmentValue = string(lp.SingleRate.m1hb, lp.QualitySingleRate.m1hb, FORMAT="('m1hb:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "                ", 64
      segmentValue = string(lp.SingleRate.t8b, lp.QualitySingleRate.t8b, FORMAT="('t8b:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[53]
      strput, line, "                 ", 6
      segmentValue = string(lp.SingleRate.m2ha, lp.QualitySingleRate.m2ha, FORMAT="('m2ha:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 6
      strput, line, "                 ", 46
      segmentValue = string(lp.SingleRate.m2hb, lp.QualitySingleRate.m2hb, FORMAT="('m2hb:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      printf, lunit, line
   line = template[54]
      printf, lunit, line
   line = template[55]
      strput, line, "                      ", 2
      segmentValue = string(lp.SingleRate.CoinRate0, lp.QualitySingleRate.CoinRate0, FORMAT="('CoinRate0:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 2
      strput, line, "                      ", 29
      segmentValue = string(lp.SingleRate.CoinRate1, lp.QualitySingleRate.CoinRate1, FORMAT="('CoinRate1:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 29
      strput, line, "                     ", 56
      segmentValue = string(lp.SingleRate.StimCoin, lp.QualitySingleRate.StimCoin, FORMAT="('StimCoin:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 56
      printf, lunit, line
   line = template[56]
      strput, line, "                   ", 5
      segmentValue = string(lp.SingleRate.hazard, lp.QualitySingleRate.hazard, FORMAT="('hazard:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                    ", 57
      segmentValue = string(lp.SingleRate.RejFast, lp.QualitySingleRate.RejFast, FORMAT="('RejFast:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 57
      printf, lunit, line

end
