; $Id: dumpl1sishighpriorityrate.pro,v 1.2 1998/07/31 01:38:53 rgr Exp $

; $RCSfile: dumpl1sishighpriorityrate.pro,v $
; $Author: rgr $
; $Date: 1998/07/31 01:38:53 $
; $Revision: 1.2 $


pro dumpL1SisHighPriorityRate, hp, LUN=lun

   lunit = -1
   if (keyword_set(lun)) then lunit = lun

   template = strarr(22)

   template[00] = "SIS High Priority Rates"
   template[01] = "<start time               >      <S/C Clock: xxxxxxxxxx>"
   template[02] = ""
   template[03] = "Quality           Rate"
   template[04] = "<q{0} >  0. <rate{0} >"
   template[05] = "<q{1} >  1. <rate{1} >"
   template[06] = "<q{2} >  2. <rate{2} >"
   template[07] = "<q{3} >  3. <rate{3} >"
   template[08] = "<q{4} >  4. <rate{4} >"
   template[09] = "<q{5} >  5. <rate{5} >"
   template[10] = "<q{6} >  6. <rate{6} >"
   template[11] = "<q{7} >  7. <rate{7} >"
   template[12] = "<q{8} >  8. <rate{8} >"
   template[13] = "<q{9} >  9. <rate{9} >"
   template[14] = "<q{10}> 10. <rate{10}>"
   template[15] = "<q{11}> 11. <rate{11}>"
   template[16] = "<q{12}> 12. <rate{12}>"
   template[17] = "<q{13}> 13. <rate{13}>"
   template[18] = "<q{14}> 14. <rate{14}>"
   template[19] = "<q{15}> 15. <rate{15}>"
   template[20] = "<q{16}> 16. <rate{16}>"
   template[21] = "<q{17}> 17. <rate{17}>"

   line = template[0]
      printf, lunit, line
   line = template[1]
      strput, line, "                           ", 0
      segmentValue = string(stringDate1996(hp.Second1996), hp.microsecond, FORMAT="(a, '.', i6.6)")
      strput, line, segmentValue, 0
      strput, line, "                       ", 33
      segmentValue = string(hp.ClockMinorFrame, FORMAT="(' S/C Clock: ', i10.10, ' ')")
      strput, line, segmentValue, 33
      printf, lunit, line
   line = template[2]
      printf, lunit, line
   line = template[3]
      printf, lunit, line
   line = template[4]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[0], FORMAT="('  ', z2.2, '   ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(uncompressSisValue(hp.hp[0]), FORMAT="(f10.1)")
      strput, line, segmentValue, 12
      printf, lunit, line
   line = template[5]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[1], FORMAT="('  ', z2.2, '   ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(uncompressSisValue(hp.hp[1]), FORMAT="(f10.1)")
      strput, line, segmentValue, 12
      printf, lunit, line
   line = template[6]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[2], FORMAT="('  ', z2.2, '   ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(uncompressSisValue(hp.hp[2]), FORMAT="(f10.1)")
      strput, line, segmentValue, 12
      printf, lunit, line
   line = template[7]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[3], FORMAT="('  ', z2.2, '   ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(uncompressSisValue(hp.hp[3]), FORMAT="(f10.1)")
      strput, line, segmentValue, 12
      printf, lunit, line
   line = template[8]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[4], FORMAT="('  ', z2.2, '   ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(uncompressSisValue(hp.hp[4]), FORMAT="(f10.1)")
      strput, line, segmentValue, 12
      printf, lunit, line
   line = template[9]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[5], FORMAT="('  ', z2.2, '   ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(uncompressSisValue(hp.hp[5]), FORMAT="(f10.1)")
      strput, line, segmentValue, 12
      printf, lunit, line
   line = template[10]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[6], FORMAT="('  ', z2.2, '   ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(uncompressSisValue(hp.hp[6]), FORMAT="(f10.1)")
      strput, line, segmentValue, 12
      printf, lunit, line
   line = template[11]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[7], FORMAT="('  ', z2.2, '   ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(uncompressSisValue(hp.hp[7]), FORMAT="(f10.1)")
      strput, line, segmentValue, 12
      printf, lunit, line
   line = template[12]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[8], FORMAT="('  ', z2.2, '   ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(uncompressSisValue(hp.hp[8]), FORMAT="(f10.1)")
      strput, line, segmentValue, 12
      printf, lunit, line
   line = template[13]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[9], FORMAT="('  ', z2.2, '   ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(uncompressSisValue(hp.hp[9]), FORMAT="(f10.1)")
      strput, line, segmentValue, 12
      printf, lunit, line
   line = template[14]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[10], FORMAT="('  ', z2.2, '   ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(uncompressSisValue(hp.hp[10]), FORMAT="(f10.1)")
      strput, line, segmentValue, 12
      printf, lunit, line
   line = template[15]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[11], FORMAT="('  ', z2.2, '   ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(uncompressSisValue(hp.hp[11]), FORMAT="(f10.1)")
      strput, line, segmentValue, 12
      printf, lunit, line
   line = template[16]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[12], FORMAT="('  ', z2.2, '   ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(uncompressSisValue(hp.hp[12]), FORMAT="(f10.1)")
      strput, line, segmentValue, 12
      printf, lunit, line
   line = template[17]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[13], FORMAT="('  ', z2.2, '   ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(uncompressSisValue(hp.hp[13]), FORMAT="(f10.1)")
      strput, line, segmentValue, 12
      printf, lunit, line
   line = template[18]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[14], FORMAT="('  ', z2.2, '   ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(uncompressSisValue(hp.hp[14]), FORMAT="(f10.1)")
      strput, line, segmentValue, 12
      printf, lunit, line
   line = template[19]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[15], FORMAT="('  ', z2.2, '   ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(uncompressSisValue(hp.hp[15]), FORMAT="(f10.1)")
      strput, line, segmentValue, 12
      printf, lunit, line
   line = template[20]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[16], FORMAT="('  ', z2.2, '   ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(uncompressSisValue(hp.hp[16]), FORMAT="(f10.1)")
      strput, line, segmentValue, 12
      printf, lunit, line
   line = template[21]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[17], FORMAT="('  ', z2.2, '   ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(uncompressSisValue(hp.hp[17]), FORMAT="(f10.1)")
      strput, line, segmentValue, 12
      printf, lunit, line

end
