; $Id: dumpl1sislowpriorityratebuffer.pro,v 1.1 1998/05/04 20:36:16 rgr Exp $

; $RCSfile: dumpl1sislowpriorityratebuffer.pro,v $
; $Author: rgr $
; $Date: 1998/05/04 20:36:16 $
; $Revision: 1.1 $


pro dumpL1SisLowPriorityRateBuffer, lp, LUN=lun

   lunit = -1
   if (keyword_set(lun)) then lunit = lun

   template = strarr(41)

   template[00] = "SIS Low Priority Rates - <start time               >   <S/C Clock: xx.xxxxxxx>"
   template[01] = "<QualityNumberEvents: xx>"
   template[02] = ""
   template[03] = "<clastot[0]: xxxxx.x xx>         <clasacc[0]: xxxxx.x xx>"
   template[04] = "<clastot[1]: xxxxx.x xx>         <clasacc[1]: xxxxx.x xx>"
   template[05] = "<clastot[2]: xxxxx.x xx>         <clasacc[2]: xxxxx.x xx>"
   template[06] = "<clastot[3]: xxxxx.x xx>         <clasacc[3]: xxxxx.x xx>"
   template[07] = ""
   template[08] = "        Buf ---Class---           Buf ---Class---           Buf ---Class---"
   template[09] = "  32<b{0} ><class{0}  >     64<b{32}><class{32} >     96<b{64}><class{64} > "
   template[10] = "  33<b{1} ><class{1}  >     65<b{33}><class{33} >     97<b{65}><class{65} > "
   template[11] = "  34<b{2} ><class{2}  >     66<b{34}><class{34} >     98<b{66}><class{66} > "
   template[12] = "  35<b{3} ><class{3}  >     67<b{35}><class{35} >     99<b{67}><class{67} > "
   template[13] = "  36<b{4} ><class{4}  >     68<b{36}><class{36} >    100<b{68}><class{68} > "
   template[14] = "  37<b{5} ><class{5}  >     69<b{37}><class{37} >    101<b{69}><class{69} > "
   template[15] = "  38<b{7} ><class{7}  >     70<b{38}><class{38} >    102<b{70}><class{70} > "
   template[16] = "  39<b{7} ><class{7}  >     71<b{39}><class{39} >    103<b{71}><class{71} > "
   template[17] = "  40<b{8} ><class{8}  >     72<b{30}><class{30} >    104<b{72}><class{72} > "
   template[18] = "  41<b{9} ><class{9}  >     73<b{31}><class{31} >    105<b{73}><class{73} > "
   template[19] = "  42<b{10}><class{10} >     74<b{32}><class{32} >    106<b{74}><class{74} > "
   template[20] = "  43<b{11}><class{11} >     75<b{33}><class{33} >    107<b{75}><class{75} > "
   template[21] = "  44<b{12}><class{12} >     76<b{34}><class{34} >    108<b{76}><class{76} > "
   template[22] = "  45<b{13}><class{13} >     77<b{35}><class{35} >    109<b{77}><class{77} > "
   template[23] = "  46<b{14}><class{14} >     78<b{36}><class{36} >    110<b{78}><class{78} > "
   template[24] = "  47<b{15}><class{15} >     79<b{37}><class{37} >    111<b{79}><class{79} > "
   template[25] = "  48<b{16}><class{16} >     80<b{38}><class{38} >    112<b{80}><class{80} > "
   template[26] = "  49<b{17}><class{17} >     81<b{39}><class{39} >    113<b{81}><class{81} > "
   template[27] = "  50<b{18}><class{18} >     82<b{40}><class{40} >    114<b{82}><class{82} > "
   template[28] = "  51<b{19}><class{19} >     83<b{41}><class{41} >    115<b{83}><class{83} > "
   template[29] = "  52<b{20}><class{20} >     84<b{42}><class{42} >    116<b{84}><class{84} > "
   template[30] = "  53<b{21}><class{21} >     85<b{43}><class{43} >    117<b{85}><class{85} > "
   template[31] = "  54<b{22}><class{22} >     86<b{44}><class{44} >    118<b{86}><class{86} > "
   template[32] = "  55<b{23}><class{23} >     87<b{45}><class{45} >    119<b{87}><class{87} > "
   template[33] = "  56<b{24}><class{24} >     88<b{46}><class{46} >    120<b{88}><class{88} > "
   template[34] = "  57<b{25}><class{25} >     89<b{47}><class{47} >    121<b{89}><class{89} > "
   template[35] = "  58<b{26}><class{26} >     90<b{48}><class{48} >    122<b{90}><class{90} > "
   template[36] = "  59<b{27}><class{27} >     91<b{49}><class{49} >    123<b{91}><class{91} > "
   template[37] = "  60<b{28}><class{28} >     92<b{50}><class{50} >    124<b{92}><class{92} > "
   template[38] = "  61<b{29}><class{29} >     93<b{51}><class{51} >    125<b{93}><class{93} > "
   template[39] = "  62<b{30}><class{30} >     94<b{52}><class{52} >    126<b{94}><class{94} > "
   template[40] = "  63<b{31}><class{31} >     95<b{53}><class{53} >    127<b{95}><class{95} > "

   line = template[0]
      strput, line, "                           ", 25
      segmentValue = string(stringDate1996(lp.Second1996), lp.microsecond, FORMAT="(a, '.', i6.6)")
      strput, line, segmentValue, 25
      strput, line, "                       ", 55
      segmentValue = string(lp.ClockCycle, FORMAT="(' S/C Clock: ', i10.10, ' ')")
      strput, line, segmentValue, 55
      printf, lunit, line
   line = template[1]
      strput, line, "                         ", 0
      segmentValue = string(lp.QualityNumberEvents, FORMAT="(' QualityNumberEvents: ', z2.2, ' ')")
      strput, line, segmentValue, 0
      printf, lunit, line
   line = template[2]
      printf, lunit, line
   line = template[3]
      strput, line, "                        ", 0
      segmentValue = string(uncompressSisValue(lp.clastot[0]), lp.QualityClastot[0], FORMAT="(' clastot[0]:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "                        ", 33
      segmentValue = string(uncompressSisValue(lp.clasacc[0]), lp.QualityClasacc[0], FORMAT="(' clasacc[0]:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 33
      printf, lunit, line
   line = template[4]
      strput, line, "                        ", 0
      segmentValue = string(uncompressSisValue(lp.clastot[1]), lp.QualityClastot[1], FORMAT="(' clastot[1]:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "                        ", 33
      segmentValue = string(uncompressSisValue(lp.clasacc[1]), lp.QualityClasacc[1], FORMAT="(' clasacc[1]:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 33
      printf, lunit, line
   line = template[5]
      strput, line, "                        ", 0
      segmentValue = string(uncompressSisValue(lp.clastot[2]), lp.QualityClastot[2], FORMAT="(' clastot[2]:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "                        ", 33
      segmentValue = string(uncompressSisValue(lp.clasacc[2]), lp.QualityClasacc[2], FORMAT="(' clasacc[2]:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 33
      printf, lunit, line
   line = template[6]
      strput, line, "                        ", 0
      segmentValue = string(uncompressSisValue(lp.clastot[3]), lp.QualityClastot[3], FORMAT="(' clastot[3]:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "                        ", 33
      segmentValue = string(uncompressSisValue(lp.clasacc[3]), lp.QualityClasacc[3], FORMAT="(' clasacc[3]:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 33
      printf, lunit, line
   line = template[7]
      printf, lunit, line
   line = template[8]
      printf, lunit, line
   line = template[9]
      strput, line, "       ", 4
      segmentValue = string(lp.QualityEventBuffer[0], lp.EventBuffer[0], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 4
      strput, line, "            ", 11
      segmentValue = string(lp.NumberEvents[0, 0], lp.NumberEvents[1, 0], lp.NumberEvents[2, 0], lp.NumberEvents[3, 0], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 11
      strput, line, "       ", 30
      segmentValue = string(lp.QualityEventBuffer[32], lp.EventBuffer[32], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 30
      strput, line, "            ", 37
      segmentValue = string(lp.NumberEvents[0, 32], lp.NumberEvents[1, 32], lp.NumberEvents[2, 32], lp.NumberEvents[3, 32], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 37
      strput, line, "       ", 56
      segmentValue = string(lp.QualityEventBuffer[64], lp.EventBuffer[64], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 56
      strput, line, "            ", 63
      segmentValue = string(lp.NumberEvents[0, 64], lp.NumberEvents[1, 64], lp.NumberEvents[2, 64], lp.NumberEvents[3, 64], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[10]
      strput, line, "       ", 4
      segmentValue = string(lp.QualityEventBuffer[1], lp.EventBuffer[1], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 4
      strput, line, "            ", 11
      segmentValue = string(lp.NumberEvents[0, 1], lp.NumberEvents[1, 1], lp.NumberEvents[2, 1], lp.NumberEvents[3, 1], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 11
      strput, line, "       ", 30
      segmentValue = string(lp.QualityEventBuffer[33], lp.EventBuffer[33], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 30
      strput, line, "            ", 37
      segmentValue = string(lp.NumberEvents[0, 33], lp.NumberEvents[1, 33], lp.NumberEvents[2, 33], lp.NumberEvents[3, 33], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 37
      strput, line, "       ", 56
      segmentValue = string(lp.QualityEventBuffer[65], lp.EventBuffer[65], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 56
      strput, line, "            ", 63
      segmentValue = string(lp.NumberEvents[0, 65], lp.NumberEvents[1, 65], lp.NumberEvents[2, 65], lp.NumberEvents[3, 65], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[11]
      strput, line, "       ", 4
      segmentValue = string(lp.QualityEventBuffer[2], lp.EventBuffer[2], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 4
      strput, line, "            ", 11
      segmentValue = string(lp.NumberEvents[0, 2], lp.NumberEvents[1, 2], lp.NumberEvents[2, 2], lp.NumberEvents[3, 2], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 11
      strput, line, "       ", 30
      segmentValue = string(lp.QualityEventBuffer[34], lp.EventBuffer[34], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 30
      strput, line, "            ", 37
      segmentValue = string(lp.NumberEvents[0, 34], lp.NumberEvents[1, 34], lp.NumberEvents[2, 34], lp.NumberEvents[3, 34], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 37
      strput, line, "       ", 56
      segmentValue = string(lp.QualityEventBuffer[66], lp.EventBuffer[66], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 56
      strput, line, "            ", 63
      segmentValue = string(lp.NumberEvents[0, 66], lp.NumberEvents[1, 66], lp.NumberEvents[2, 66], lp.NumberEvents[3, 66], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[12]
      strput, line, "       ", 4
      segmentValue = string(lp.QualityEventBuffer[3], lp.EventBuffer[3], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 4
      strput, line, "            ", 11
      segmentValue = string(lp.NumberEvents[0, 3], lp.NumberEvents[1, 3], lp.NumberEvents[2, 3], lp.NumberEvents[3, 3], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 11
      strput, line, "       ", 30
      segmentValue = string(lp.QualityEventBuffer[35], lp.EventBuffer[35], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 30
      strput, line, "            ", 37
      segmentValue = string(lp.NumberEvents[0, 35], lp.NumberEvents[1, 35], lp.NumberEvents[2, 35], lp.NumberEvents[3, 35], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 37
      strput, line, "       ", 56
      segmentValue = string(lp.QualityEventBuffer[67], lp.EventBuffer[67], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 56
      strput, line, "            ", 63
      segmentValue = string(lp.NumberEvents[0, 67], lp.NumberEvents[1, 67], lp.NumberEvents[2, 67], lp.NumberEvents[3, 67], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[13]
      strput, line, "       ", 4
      segmentValue = string(lp.QualityEventBuffer[4], lp.EventBuffer[4], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 4
      strput, line, "            ", 11
      segmentValue = string(lp.NumberEvents[0, 4], lp.NumberEvents[1, 4], lp.NumberEvents[2, 4], lp.NumberEvents[3, 4], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 11
      strput, line, "       ", 30
      segmentValue = string(lp.QualityEventBuffer[36], lp.EventBuffer[36], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 30
      strput, line, "            ", 37
      segmentValue = string(lp.NumberEvents[0, 36], lp.NumberEvents[1, 36], lp.NumberEvents[2, 36], lp.NumberEvents[3, 36], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 37
      strput, line, "       ", 56
      segmentValue = string(lp.QualityEventBuffer[68], lp.EventBuffer[68], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 56
      strput, line, "            ", 63
      segmentValue = string(lp.NumberEvents[0, 68], lp.NumberEvents[1, 68], lp.NumberEvents[2, 68], lp.NumberEvents[3, 68], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[14]
      strput, line, "       ", 4
      segmentValue = string(lp.QualityEventBuffer[5], lp.EventBuffer[5], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 4
      strput, line, "            ", 11
      segmentValue = string(lp.NumberEvents[0, 5], lp.NumberEvents[1, 5], lp.NumberEvents[2, 5], lp.NumberEvents[3, 5], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 11
      strput, line, "       ", 30
      segmentValue = string(lp.QualityEventBuffer[37], lp.EventBuffer[37], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 30
      strput, line, "            ", 37
      segmentValue = string(lp.NumberEvents[0, 37], lp.NumberEvents[1, 37], lp.NumberEvents[2, 37], lp.NumberEvents[3, 37], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 37
      strput, line, "       ", 56
      segmentValue = string(lp.QualityEventBuffer[69], lp.EventBuffer[69], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 56
      strput, line, "            ", 63
      segmentValue = string(lp.NumberEvents[0, 69], lp.NumberEvents[1, 69], lp.NumberEvents[2, 69], lp.NumberEvents[3, 69], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[15]
      strput, line, "       ", 4
      segmentValue = string(lp.QualityEventBuffer[7], lp.EventBuffer[7], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 4
      strput, line, "            ", 11
      segmentValue = string(lp.NumberEvents[0, 7], lp.NumberEvents[1, 7], lp.NumberEvents[2, 7], lp.NumberEvents[3, 7], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 11
      strput, line, "       ", 30
      segmentValue = string(lp.QualityEventBuffer[38], lp.EventBuffer[38], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 30
      strput, line, "            ", 37
      segmentValue = string(lp.NumberEvents[0, 38], lp.NumberEvents[1, 38], lp.NumberEvents[2, 38], lp.NumberEvents[3, 38], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 37
      strput, line, "       ", 56
      segmentValue = string(lp.QualityEventBuffer[70], lp.EventBuffer[70], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 56
      strput, line, "            ", 63
      segmentValue = string(lp.NumberEvents[0, 70], lp.NumberEvents[1, 70], lp.NumberEvents[2, 70], lp.NumberEvents[3, 70], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[16]
      strput, line, "       ", 4
      segmentValue = string(lp.QualityEventBuffer[7], lp.EventBuffer[7], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 4
      strput, line, "            ", 11
      segmentValue = string(lp.NumberEvents[0, 7], lp.NumberEvents[1, 7], lp.NumberEvents[2, 7], lp.NumberEvents[3, 7], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 11
      strput, line, "       ", 30
      segmentValue = string(lp.QualityEventBuffer[39], lp.EventBuffer[39], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 30
      strput, line, "            ", 37
      segmentValue = string(lp.NumberEvents[0, 39], lp.NumberEvents[1, 39], lp.NumberEvents[2, 39], lp.NumberEvents[3, 39], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 37
      strput, line, "       ", 56
      segmentValue = string(lp.QualityEventBuffer[71], lp.EventBuffer[71], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 56
      strput, line, "            ", 63
      segmentValue = string(lp.NumberEvents[0, 71], lp.NumberEvents[1, 71], lp.NumberEvents[2, 71], lp.NumberEvents[3, 71], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[17]
      strput, line, "       ", 4
      segmentValue = string(lp.QualityEventBuffer[8], lp.EventBuffer[8], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 4
      strput, line, "            ", 11
      segmentValue = string(lp.NumberEvents[0, 8], lp.NumberEvents[1, 8], lp.NumberEvents[2, 8], lp.NumberEvents[3, 8], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 11
      strput, line, "       ", 30
      segmentValue = string(lp.QualityEventBuffer[30], lp.EventBuffer[30], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 30
      strput, line, "            ", 37
      segmentValue = string(lp.NumberEvents[0, 30], lp.NumberEvents[1, 30], lp.NumberEvents[2, 30], lp.NumberEvents[3, 30], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 37
      strput, line, "       ", 56
      segmentValue = string(lp.QualityEventBuffer[72], lp.EventBuffer[72], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 56
      strput, line, "            ", 63
      segmentValue = string(lp.NumberEvents[0, 72], lp.NumberEvents[1, 72], lp.NumberEvents[2, 72], lp.NumberEvents[3, 72], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[18]
      strput, line, "       ", 4
      segmentValue = string(lp.QualityEventBuffer[9], lp.EventBuffer[9], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 4
      strput, line, "            ", 11
      segmentValue = string(lp.NumberEvents[0, 9], lp.NumberEvents[1, 9], lp.NumberEvents[2, 9], lp.NumberEvents[3, 9], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 11
      strput, line, "       ", 30
      segmentValue = string(lp.QualityEventBuffer[31], lp.EventBuffer[31], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 30
      strput, line, "            ", 37
      segmentValue = string(lp.NumberEvents[0, 31], lp.NumberEvents[1, 31], lp.NumberEvents[2, 31], lp.NumberEvents[3, 31], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 37
      strput, line, "       ", 56
      segmentValue = string(lp.QualityEventBuffer[73], lp.EventBuffer[73], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 56
      strput, line, "            ", 63
      segmentValue = string(lp.NumberEvents[0, 73], lp.NumberEvents[1, 73], lp.NumberEvents[2, 73], lp.NumberEvents[3, 73], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[19]
      strput, line, "       ", 4
      segmentValue = string(lp.QualityEventBuffer[10], lp.EventBuffer[10], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 4
      strput, line, "            ", 11
      segmentValue = string(lp.NumberEvents[0, 10], lp.NumberEvents[1, 10], lp.NumberEvents[2, 10], lp.NumberEvents[3, 10], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 11
      strput, line, "       ", 30
      segmentValue = string(lp.QualityEventBuffer[32], lp.EventBuffer[32], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 30
      strput, line, "            ", 37
      segmentValue = string(lp.NumberEvents[0, 32], lp.NumberEvents[1, 32], lp.NumberEvents[2, 32], lp.NumberEvents[3, 32], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 37
      strput, line, "       ", 56
      segmentValue = string(lp.QualityEventBuffer[74], lp.EventBuffer[74], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 56
      strput, line, "            ", 63
      segmentValue = string(lp.NumberEvents[0, 74], lp.NumberEvents[1, 74], lp.NumberEvents[2, 74], lp.NumberEvents[3, 74], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[20]
      strput, line, "       ", 4
      segmentValue = string(lp.QualityEventBuffer[11], lp.EventBuffer[11], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 4
      strput, line, "            ", 11
      segmentValue = string(lp.NumberEvents[0, 11], lp.NumberEvents[1, 11], lp.NumberEvents[2, 11], lp.NumberEvents[3, 11], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 11
      strput, line, "       ", 30
      segmentValue = string(lp.QualityEventBuffer[33], lp.EventBuffer[33], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 30
      strput, line, "            ", 37
      segmentValue = string(lp.NumberEvents[0, 33], lp.NumberEvents[1, 33], lp.NumberEvents[2, 33], lp.NumberEvents[3, 33], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 37
      strput, line, "       ", 56
      segmentValue = string(lp.QualityEventBuffer[75], lp.EventBuffer[75], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 56
      strput, line, "            ", 63
      segmentValue = string(lp.NumberEvents[0, 75], lp.NumberEvents[1, 75], lp.NumberEvents[2, 75], lp.NumberEvents[3, 75], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[21]
      strput, line, "       ", 4
      segmentValue = string(lp.QualityEventBuffer[12], lp.EventBuffer[12], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 4
      strput, line, "            ", 11
      segmentValue = string(lp.NumberEvents[0, 12], lp.NumberEvents[1, 12], lp.NumberEvents[2, 12], lp.NumberEvents[3, 12], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 11
      strput, line, "       ", 30
      segmentValue = string(lp.QualityEventBuffer[34], lp.EventBuffer[34], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 30
      strput, line, "            ", 37
      segmentValue = string(lp.NumberEvents[0, 34], lp.NumberEvents[1, 34], lp.NumberEvents[2, 34], lp.NumberEvents[3, 34], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 37
      strput, line, "       ", 56
      segmentValue = string(lp.QualityEventBuffer[76], lp.EventBuffer[76], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 56
      strput, line, "            ", 63
      segmentValue = string(lp.NumberEvents[0, 76], lp.NumberEvents[1, 76], lp.NumberEvents[2, 76], lp.NumberEvents[3, 76], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[22]
      strput, line, "       ", 4
      segmentValue = string(lp.QualityEventBuffer[13], lp.EventBuffer[13], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 4
      strput, line, "            ", 11
      segmentValue = string(lp.NumberEvents[0, 13], lp.NumberEvents[1, 13], lp.NumberEvents[2, 13], lp.NumberEvents[3, 13], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 11
      strput, line, "       ", 30
      segmentValue = string(lp.QualityEventBuffer[35], lp.EventBuffer[35], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 30
      strput, line, "            ", 37
      segmentValue = string(lp.NumberEvents[0, 35], lp.NumberEvents[1, 35], lp.NumberEvents[2, 35], lp.NumberEvents[3, 35], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 37
      strput, line, "       ", 56
      segmentValue = string(lp.QualityEventBuffer[77], lp.EventBuffer[77], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 56
      strput, line, "            ", 63
      segmentValue = string(lp.NumberEvents[0, 77], lp.NumberEvents[1, 77], lp.NumberEvents[2, 77], lp.NumberEvents[3, 77], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[23]
      strput, line, "       ", 4
      segmentValue = string(lp.QualityEventBuffer[14], lp.EventBuffer[14], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 4
      strput, line, "            ", 11
      segmentValue = string(lp.NumberEvents[0, 14], lp.NumberEvents[1, 14], lp.NumberEvents[2, 14], lp.NumberEvents[3, 14], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 11
      strput, line, "       ", 30
      segmentValue = string(lp.QualityEventBuffer[36], lp.EventBuffer[36], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 30
      strput, line, "            ", 37
      segmentValue = string(lp.NumberEvents[0, 36], lp.NumberEvents[1, 36], lp.NumberEvents[2, 36], lp.NumberEvents[3, 36], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 37
      strput, line, "       ", 56
      segmentValue = string(lp.QualityEventBuffer[78], lp.EventBuffer[78], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 56
      strput, line, "            ", 63
      segmentValue = string(lp.NumberEvents[0, 78], lp.NumberEvents[1, 78], lp.NumberEvents[2, 78], lp.NumberEvents[3, 78], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[24]
      strput, line, "       ", 4
      segmentValue = string(lp.QualityEventBuffer[15], lp.EventBuffer[15], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 4
      strput, line, "            ", 11
      segmentValue = string(lp.NumberEvents[0, 15], lp.NumberEvents[1, 15], lp.NumberEvents[2, 15], lp.NumberEvents[3, 15], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 11
      strput, line, "       ", 30
      segmentValue = string(lp.QualityEventBuffer[37], lp.EventBuffer[37], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 30
      strput, line, "            ", 37
      segmentValue = string(lp.NumberEvents[0, 37], lp.NumberEvents[1, 37], lp.NumberEvents[2, 37], lp.NumberEvents[3, 37], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 37
      strput, line, "       ", 56
      segmentValue = string(lp.QualityEventBuffer[79], lp.EventBuffer[79], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 56
      strput, line, "            ", 63
      segmentValue = string(lp.NumberEvents[0, 79], lp.NumberEvents[1, 79], lp.NumberEvents[2, 79], lp.NumberEvents[3, 79], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[25]
      strput, line, "       ", 4
      segmentValue = string(lp.QualityEventBuffer[16], lp.EventBuffer[16], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 4
      strput, line, "            ", 11
      segmentValue = string(lp.NumberEvents[0, 16], lp.NumberEvents[1, 16], lp.NumberEvents[2, 16], lp.NumberEvents[3, 16], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 11
      strput, line, "       ", 30
      segmentValue = string(lp.QualityEventBuffer[38], lp.EventBuffer[38], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 30
      strput, line, "            ", 37
      segmentValue = string(lp.NumberEvents[0, 38], lp.NumberEvents[1, 38], lp.NumberEvents[2, 38], lp.NumberEvents[3, 38], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 37
      strput, line, "       ", 56
      segmentValue = string(lp.QualityEventBuffer[80], lp.EventBuffer[80], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 56
      strput, line, "            ", 63
      segmentValue = string(lp.NumberEvents[0, 80], lp.NumberEvents[1, 80], lp.NumberEvents[2, 80], lp.NumberEvents[3, 80], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[26]
      strput, line, "       ", 4
      segmentValue = string(lp.QualityEventBuffer[17], lp.EventBuffer[17], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 4
      strput, line, "            ", 11
      segmentValue = string(lp.NumberEvents[0, 17], lp.NumberEvents[1, 17], lp.NumberEvents[2, 17], lp.NumberEvents[3, 17], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 11
      strput, line, "       ", 30
      segmentValue = string(lp.QualityEventBuffer[39], lp.EventBuffer[39], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 30
      strput, line, "            ", 37
      segmentValue = string(lp.NumberEvents[0, 39], lp.NumberEvents[1, 39], lp.NumberEvents[2, 39], lp.NumberEvents[3, 39], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 37
      strput, line, "       ", 56
      segmentValue = string(lp.QualityEventBuffer[81], lp.EventBuffer[81], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 56
      strput, line, "            ", 63
      segmentValue = string(lp.NumberEvents[0, 81], lp.NumberEvents[1, 81], lp.NumberEvents[2, 81], lp.NumberEvents[3, 81], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[27]
      strput, line, "       ", 4
      segmentValue = string(lp.QualityEventBuffer[18], lp.EventBuffer[18], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 4
      strput, line, "            ", 11
      segmentValue = string(lp.NumberEvents[0, 18], lp.NumberEvents[1, 18], lp.NumberEvents[2, 18], lp.NumberEvents[3, 18], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 11
      strput, line, "       ", 30
      segmentValue = string(lp.QualityEventBuffer[40], lp.EventBuffer[40], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 30
      strput, line, "            ", 37
      segmentValue = string(lp.NumberEvents[0, 40], lp.NumberEvents[1, 40], lp.NumberEvents[2, 40], lp.NumberEvents[3, 40], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 37
      strput, line, "       ", 56
      segmentValue = string(lp.QualityEventBuffer[82], lp.EventBuffer[82], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 56
      strput, line, "            ", 63
      segmentValue = string(lp.NumberEvents[0, 82], lp.NumberEvents[1, 82], lp.NumberEvents[2, 82], lp.NumberEvents[3, 82], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[28]
      strput, line, "       ", 4
      segmentValue = string(lp.QualityEventBuffer[19], lp.EventBuffer[19], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 4
      strput, line, "            ", 11
      segmentValue = string(lp.NumberEvents[0, 19], lp.NumberEvents[1, 19], lp.NumberEvents[2, 19], lp.NumberEvents[3, 19], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 11
      strput, line, "       ", 30
      segmentValue = string(lp.QualityEventBuffer[41], lp.EventBuffer[41], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 30
      strput, line, "            ", 37
      segmentValue = string(lp.NumberEvents[0, 41], lp.NumberEvents[1, 41], lp.NumberEvents[2, 41], lp.NumberEvents[3, 41], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 37
      strput, line, "       ", 56
      segmentValue = string(lp.QualityEventBuffer[83], lp.EventBuffer[83], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 56
      strput, line, "            ", 63
      segmentValue = string(lp.NumberEvents[0, 83], lp.NumberEvents[1, 83], lp.NumberEvents[2, 83], lp.NumberEvents[3, 83], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[29]
      strput, line, "       ", 4
      segmentValue = string(lp.QualityEventBuffer[20], lp.EventBuffer[20], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 4
      strput, line, "            ", 11
      segmentValue = string(lp.NumberEvents[0, 20], lp.NumberEvents[1, 20], lp.NumberEvents[2, 20], lp.NumberEvents[3, 20], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 11
      strput, line, "       ", 30
      segmentValue = string(lp.QualityEventBuffer[42], lp.EventBuffer[42], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 30
      strput, line, "            ", 37
      segmentValue = string(lp.NumberEvents[0, 42], lp.NumberEvents[1, 42], lp.NumberEvents[2, 42], lp.NumberEvents[3, 42], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 37
      strput, line, "       ", 56
      segmentValue = string(lp.QualityEventBuffer[84], lp.EventBuffer[84], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 56
      strput, line, "            ", 63
      segmentValue = string(lp.NumberEvents[0, 84], lp.NumberEvents[1, 84], lp.NumberEvents[2, 84], lp.NumberEvents[3, 84], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[30]
      strput, line, "       ", 4
      segmentValue = string(lp.QualityEventBuffer[21], lp.EventBuffer[21], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 4
      strput, line, "            ", 11
      segmentValue = string(lp.NumberEvents[0, 21], lp.NumberEvents[1, 21], lp.NumberEvents[2, 21], lp.NumberEvents[3, 21], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 11
      strput, line, "       ", 30
      segmentValue = string(lp.QualityEventBuffer[43], lp.EventBuffer[43], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 30
      strput, line, "            ", 37
      segmentValue = string(lp.NumberEvents[0, 43], lp.NumberEvents[1, 43], lp.NumberEvents[2, 43], lp.NumberEvents[3, 43], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 37
      strput, line, "       ", 56
      segmentValue = string(lp.QualityEventBuffer[85], lp.EventBuffer[85], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 56
      strput, line, "            ", 63
      segmentValue = string(lp.NumberEvents[0, 85], lp.NumberEvents[1, 85], lp.NumberEvents[2, 85], lp.NumberEvents[3, 85], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[31]
      strput, line, "       ", 4
      segmentValue = string(lp.QualityEventBuffer[22], lp.EventBuffer[22], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 4
      strput, line, "            ", 11
      segmentValue = string(lp.NumberEvents[0, 22], lp.NumberEvents[1, 22], lp.NumberEvents[2, 22], lp.NumberEvents[3, 22], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 11
      strput, line, "       ", 30
      segmentValue = string(lp.QualityEventBuffer[44], lp.EventBuffer[44], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 30
      strput, line, "            ", 37
      segmentValue = string(lp.NumberEvents[0, 44], lp.NumberEvents[1, 44], lp.NumberEvents[2, 44], lp.NumberEvents[3, 44], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 37
      strput, line, "       ", 56
      segmentValue = string(lp.QualityEventBuffer[86], lp.EventBuffer[86], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 56
      strput, line, "            ", 63
      segmentValue = string(lp.NumberEvents[0, 86], lp.NumberEvents[1, 86], lp.NumberEvents[2, 86], lp.NumberEvents[3, 86], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[32]
      strput, line, "       ", 4
      segmentValue = string(lp.QualityEventBuffer[23], lp.EventBuffer[23], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 4
      strput, line, "            ", 11
      segmentValue = string(lp.NumberEvents[0, 23], lp.NumberEvents[1, 23], lp.NumberEvents[2, 23], lp.NumberEvents[3, 23], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 11
      strput, line, "       ", 30
      segmentValue = string(lp.QualityEventBuffer[45], lp.EventBuffer[45], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 30
      strput, line, "            ", 37
      segmentValue = string(lp.NumberEvents[0, 45], lp.NumberEvents[1, 45], lp.NumberEvents[2, 45], lp.NumberEvents[3, 45], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 37
      strput, line, "       ", 56
      segmentValue = string(lp.QualityEventBuffer[87], lp.EventBuffer[87], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 56
      strput, line, "            ", 63
      segmentValue = string(lp.NumberEvents[0, 87], lp.NumberEvents[1, 87], lp.NumberEvents[2, 87], lp.NumberEvents[3, 87], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[33]
      strput, line, "       ", 4
      segmentValue = string(lp.QualityEventBuffer[24], lp.EventBuffer[24], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 4
      strput, line, "            ", 11
      segmentValue = string(lp.NumberEvents[0, 24], lp.NumberEvents[1, 24], lp.NumberEvents[2, 24], lp.NumberEvents[3, 24], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 11
      strput, line, "       ", 30
      segmentValue = string(lp.QualityEventBuffer[46], lp.EventBuffer[46], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 30
      strput, line, "            ", 37
      segmentValue = string(lp.NumberEvents[0, 46], lp.NumberEvents[1, 46], lp.NumberEvents[2, 46], lp.NumberEvents[3, 46], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 37
      strput, line, "       ", 56
      segmentValue = string(lp.QualityEventBuffer[88], lp.EventBuffer[88], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 56
      strput, line, "            ", 63
      segmentValue = string(lp.NumberEvents[0, 88], lp.NumberEvents[1, 88], lp.NumberEvents[2, 88], lp.NumberEvents[3, 88], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[34]
      strput, line, "       ", 4
      segmentValue = string(lp.QualityEventBuffer[25], lp.EventBuffer[25], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 4
      strput, line, "            ", 11
      segmentValue = string(lp.NumberEvents[0, 25], lp.NumberEvents[1, 25], lp.NumberEvents[2, 25], lp.NumberEvents[3, 25], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 11
      strput, line, "       ", 30
      segmentValue = string(lp.QualityEventBuffer[47], lp.EventBuffer[47], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 30
      strput, line, "            ", 37
      segmentValue = string(lp.NumberEvents[0, 47], lp.NumberEvents[1, 47], lp.NumberEvents[2, 47], lp.NumberEvents[3, 47], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 37
      strput, line, "       ", 56
      segmentValue = string(lp.QualityEventBuffer[89], lp.EventBuffer[89], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 56
      strput, line, "            ", 63
      segmentValue = string(lp.NumberEvents[0, 89], lp.NumberEvents[1, 89], lp.NumberEvents[2, 89], lp.NumberEvents[3, 89], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[35]
      strput, line, "       ", 4
      segmentValue = string(lp.QualityEventBuffer[26], lp.EventBuffer[26], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 4
      strput, line, "            ", 11
      segmentValue = string(lp.NumberEvents[0, 26], lp.NumberEvents[1, 26], lp.NumberEvents[2, 26], lp.NumberEvents[3, 26], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 11
      strput, line, "       ", 30
      segmentValue = string(lp.QualityEventBuffer[48], lp.EventBuffer[48], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 30
      strput, line, "            ", 37
      segmentValue = string(lp.NumberEvents[0, 48], lp.NumberEvents[1, 48], lp.NumberEvents[2, 48], lp.NumberEvents[3, 48], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 37
      strput, line, "       ", 56
      segmentValue = string(lp.QualityEventBuffer[90], lp.EventBuffer[90], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 56
      strput, line, "            ", 63
      segmentValue = string(lp.NumberEvents[0, 90], lp.NumberEvents[1, 90], lp.NumberEvents[2, 90], lp.NumberEvents[3, 90], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[36]
      strput, line, "       ", 4
      segmentValue = string(lp.QualityEventBuffer[27], lp.EventBuffer[27], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 4
      strput, line, "            ", 11
      segmentValue = string(lp.NumberEvents[0, 27], lp.NumberEvents[1, 27], lp.NumberEvents[2, 27], lp.NumberEvents[3, 27], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 11
      strput, line, "       ", 30
      segmentValue = string(lp.QualityEventBuffer[49], lp.EventBuffer[49], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 30
      strput, line, "            ", 37
      segmentValue = string(lp.NumberEvents[0, 49], lp.NumberEvents[1, 49], lp.NumberEvents[2, 49], lp.NumberEvents[3, 49], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 37
      strput, line, "       ", 56
      segmentValue = string(lp.QualityEventBuffer[91], lp.EventBuffer[91], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 56
      strput, line, "            ", 63
      segmentValue = string(lp.NumberEvents[0, 91], lp.NumberEvents[1, 91], lp.NumberEvents[2, 91], lp.NumberEvents[3, 91], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[37]
      strput, line, "       ", 4
      segmentValue = string(lp.QualityEventBuffer[28], lp.EventBuffer[28], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 4
      strput, line, "            ", 11
      segmentValue = string(lp.NumberEvents[0, 28], lp.NumberEvents[1, 28], lp.NumberEvents[2, 28], lp.NumberEvents[3, 28], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 11
      strput, line, "       ", 30
      segmentValue = string(lp.QualityEventBuffer[50], lp.EventBuffer[50], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 30
      strput, line, "            ", 37
      segmentValue = string(lp.NumberEvents[0, 50], lp.NumberEvents[1, 50], lp.NumberEvents[2, 50], lp.NumberEvents[3, 50], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 37
      strput, line, "       ", 56
      segmentValue = string(lp.QualityEventBuffer[92], lp.EventBuffer[92], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 56
      strput, line, "            ", 63
      segmentValue = string(lp.NumberEvents[0, 92], lp.NumberEvents[1, 92], lp.NumberEvents[2, 92], lp.NumberEvents[3, 92], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[38]
      strput, line, "       ", 4
      segmentValue = string(lp.QualityEventBuffer[29], lp.EventBuffer[29], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 4
      strput, line, "            ", 11
      segmentValue = string(lp.NumberEvents[0, 29], lp.NumberEvents[1, 29], lp.NumberEvents[2, 29], lp.NumberEvents[3, 29], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 11
      strput, line, "       ", 30
      segmentValue = string(lp.QualityEventBuffer[51], lp.EventBuffer[51], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 30
      strput, line, "            ", 37
      segmentValue = string(lp.NumberEvents[0, 51], lp.NumberEvents[1, 51], lp.NumberEvents[2, 51], lp.NumberEvents[3, 51], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 37
      strput, line, "       ", 56
      segmentValue = string(lp.QualityEventBuffer[93], lp.EventBuffer[93], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 56
      strput, line, "            ", 63
      segmentValue = string(lp.NumberEvents[0, 93], lp.NumberEvents[1, 93], lp.NumberEvents[2, 93], lp.NumberEvents[3, 93], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[39]
      strput, line, "       ", 4
      segmentValue = string(lp.QualityEventBuffer[30], lp.EventBuffer[30], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 4
      strput, line, "            ", 11
      segmentValue = string(lp.NumberEvents[0, 30], lp.NumberEvents[1, 30], lp.NumberEvents[2, 30], lp.NumberEvents[3, 30], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 11
      strput, line, "       ", 30
      segmentValue = string(lp.QualityEventBuffer[52], lp.EventBuffer[52], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 30
      strput, line, "            ", 37
      segmentValue = string(lp.NumberEvents[0, 52], lp.NumberEvents[1, 52], lp.NumberEvents[2, 52], lp.NumberEvents[3, 52], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 37
      strput, line, "       ", 56
      segmentValue = string(lp.QualityEventBuffer[94], lp.EventBuffer[94], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 56
      strput, line, "            ", 63
      segmentValue = string(lp.NumberEvents[0, 94], lp.NumberEvents[1, 94], lp.NumberEvents[2, 94], lp.NumberEvents[3, 94], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[40]
      strput, line, "       ", 4
      segmentValue = string(lp.QualityEventBuffer[31], lp.EventBuffer[31], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 4
      strput, line, "            ", 11
      segmentValue = string(lp.NumberEvents[0, 31], lp.NumberEvents[1, 31], lp.NumberEvents[2, 31], lp.NumberEvents[3, 31], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 11
      strput, line, "       ", 30
      segmentValue = string(lp.QualityEventBuffer[53], lp.EventBuffer[53], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 30
      strput, line, "            ", 37
      segmentValue = string(lp.NumberEvents[0, 53], lp.NumberEvents[1, 53], lp.NumberEvents[2, 53], lp.NumberEvents[3, 53], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 37
      strput, line, "       ", 56
      segmentValue = string(lp.QualityEventBuffer[95], lp.EventBuffer[95], FORMAT="(' ', z2.2, ' ', i3)")
      strput, line, segmentValue, 56
      strput, line, "            ", 63
      segmentValue = string(lp.NumberEvents[0, 95], lp.NumberEvents[1, 95], lp.NumberEvents[2, 95], lp.NumberEvents[3, 95], FORMAT="(i3, i3, i3, i3)")
      strput, line, segmentValue, 63
      printf, lunit, line

end
