; $Id: dumpl1sislowpriorityratesingle.pro,v 1.2 1998/07/27 14:11:27 rgr Exp $

; $RCSfile: dumpl1sislowpriorityratesingle.pro,v $
; $Author: rgr $
; $Date: 1998/07/27 14:11:27 $
; $Revision: 1.2 $


pro dumpL1SisLowPriorityRateSingle, lp, LUN=lun

   lunit = -1
   if (keyword_set(lun)) then lunit = lun

   template = strarr(40)

   template[00] = "SIS Low Priority Rates - <start time               >   <S/C Clock: xxxxxxxxxx>"
   template[01] = ""
   template[02] = "<livetim: xxxxxxxx.x xx>   <ntagint: xxxxxxxx.x xx>    <nbadid: xxxxxxxx.x xx>"
   template[03] = "<helivet: xxxxxxxx.x xx>   <nvldint: xxxxxxxx.x xx>   <ncebful: xxxxxxxx.x xx>"
   template[04] = "<hylivet: xxxxxxxx.x xx>   <nevproc: xxxxxxxx.x xx>   <nrebful: xxxxxxxx.x xx>"
   template[05] = "                           <nrtproc: xxxxxxxx.x xx>   <nhdwrej: xxxxxxxx.x xx>"
   template[06] = ""
   template[07] = "Reject Rates(counts):"
   template[08] = "<MaybeHiza: xxxx.x xx>                  <MaybeHizb: xxxx.x xx>"
   template[09] = " <MaybeZ2a: xxxx.x xx> <m1a: xxxxx.x xx> <MaybeZ2b: xxxx.x xx> <m1b: xxxxx.x xx>"
   template[10] = " <MaybeZ1a: xxxx.x xx> <m2a: xxxxx.x xx> <MaybeZ1b: xxxx.x xx> <m2b: xxxxx.x xx>"
   template[11] = "     <hiza: xxxx.x xx> <t1a: xxxxx.x xx>     <hizb: xxxx.x xx> <t1b: xxxxx.x xx>"
   template[12] = "      <z2a: xxxx.x xx> <t2a: xxxxx.x xx>      <z2b: xxxx.x xx> <t2b: xxxxx.x xx>"
   template[13] = "    <adc2a: xxxx.x xx> <t3a: xxxxx.x xx>    <adc2b: xxxx.x xx> <t3b: xxxxx.x xx>"
   template[14] = "    <adc3a: xxxx.x xx> <t4a: xxxxx.x xx>    <adc3b: xxxx.x xx> <t4b: xxxxx.x xx>"
   template[15] = "     <mora: xxxx.x xx> <t5a: xxxxx.x xx>     <morb: xxxx.x xx> <t5b: xxxxx.x xx>"
   template[16] = "     <hora: xxxx.x xx> <t6a: xxxxx.x xx>     <horb: xxxx.x xx> <t6b: xxxxx.x xx>"
   template[17] = "     <m12a: xxxx.x xx> <t7a: xxxxx.x xx>     <m12b: xxxx.x xx> <t7b: xxxxx.x xx>"
   template[18] = "     <m1ha: xxxx.x xx> <t8a: xxxxx.x xx>     <m1hb: xxxx.x xx> <t8b: xxxxx.x xx>"
   template[19] = "     <m2ha: xxxx.x xx>                       <m2hb: xxxx.x xx>"
   template[20] = ""
   template[21] = "  <CoinRate0: xxxxxx.x xx>   <CoinRate1: xxxxxx.x xx>   <StimCoin: xxxxxx.x xx>"
   template[22] = "     <hazard: xxxxxx.x xx>                               <RejFast: xxxxxx.x xx>"
   template[23] = ""
   template[24] = "Valid Rates(counts):"
   template[25] = "<MaybeHiza: yyyy.y yy>                  <MaybeHizb: yyyy.y yy>"
   template[26] = " <MaybeZ2a: yyyy.y yy> <m1a: yyyyy.y yy> <MaybeZ2b: yyyy.y yy> <m1b: yyyyy.y yy>"
   template[27] = " <MaybeZ1a: yyyy.y yy> <m2a: yyyyy.y yy> <MaybeZ1b: yyyy.y yy> <m2b: yyyyy.y yy>"
   template[28] = "     <hiza: yyyy.y yy> <t1a: yyyyy.y yy>     <hizb: yyyy.y yy> <t1b: yyyyy.y yy>"
   template[29] = "      <z2a: yyyy.y yy> <t2a: yyyyy.y yy>      <z2b: yyyy.y yy> <t2b: yyyyy.y yy>"
   template[30] = "    <adc2a: yyyy.y yy> <t3a: yyyyy.y yy>    <adc2b: yyyy.y yy> <t3b: yyyyy.y yy>"
   template[31] = "    <adc3a: yyyy.y yy> <t4a: yyyyy.y yy>    <adc3b: yyyy.y yy> <t4b: yyyyy.y yy>"
   template[32] = "     <mora: yyyy.y yy> <t5a: yyyyy.y yy>     <morb: yyyy.y yy> <t5b: yyyyy.y yy>"
   template[33] = "     <hora: yyyy.y yy> <t6a: yyyyy.y yy>     <horb: yyyy.y yy> <t6b: yyyyy.y yy>"
   template[34] = "     <m12a: yyyy.y yy> <t7a: yyyyy.y yy>     <m12b: yyyy.y yy> <t7b: yyyyy.y yy>"
   template[35] = "     <m1ha: yyyy.y yy> <t8a: yyyyy.y yy>     <m1hb: yyyy.y yy> <t8b: yyyyy.y yy>"
   template[36] = "     <m2ha: yyyy.y yy>                       <m2hb: yyyy.y yy>"
   template[37] = ""
   template[38] = "  <CoinRate0: yyyyyy.y yy>   <CoinRate1: yyyyyy.y yy>   <StimCoin: yyyyyy.y yy>"
   template[39] = "     <hazard: yyyyyy.y yy>                               <RejFast: yyyyyy.y yy>"

   line = template[0]
      strput, line, "                           ", 25
      segmentValue = string(stringDate1996(lp.Second1996), lp.microsecond, FORMAT="(a, '.', i6.6)")
      strput, line, segmentValue, 25
      strput, line, "                       ", 55
      segmentValue = string(lp.ClockCycle, FORMAT="(' S/C Clock: ', i10.10, ' ')")
      strput, line, segmentValue, 55
      printf, lunit, line
   line = template[1]
      printf, lunit, line
   line = template[2]
      strput, line, "                        ", 0
      segmentValue = string(uncompressSisValue(lp.livetim), lp.QualityLivetim, FORMAT="('livetim:', f11.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "                        ", 27
      segmentValue = string(uncompressSisValue(lp.ntagint), lp.QualityNtagint, FORMAT="('ntagint:', f11.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 27
      strput, line, "                       ", 55
      segmentValue = string(uncompressSisValue(lp.nbadid),  lp.QualityNbadid, FORMAT="('nbadid:', f11.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 55
      printf, lunit, line
   line = template[3]
      strput, line, "                        ", 0
      segmentValue = string(uncompressSisValue(lp.helivet), lp.QualityHelivet, FORMAT="('helivet:', f11.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "                        ", 27
      segmentValue = string(uncompressSisValue(lp.nvldint), lp.QualityNvldint, FORMAT="('nvldint:', f11.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 27
      strput, line, "                        ", 54
      segmentValue = string(uncompressSisValue(lp.ncebful), lp.QualityNcebful, FORMAT="('ncebful:', f11.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 54
      printf, lunit, line
   line = template[4]
      strput, line, "                        ", 0
      segmentValue = string(uncompressSisValue(lp.hylivet), lp.QualityHylivet, FORMAT="('hylivet:', f11.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "                        ", 27
      segmentValue = string(uncompressSisValue(lp.nevproc), lp.QualityNevproc, FORMAT="('nevproc:', f11.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 27
      strput, line, "                        ", 54
      segmentValue = string(uncompressSisValue(lp.nrebful), lp.QualityNrebful, FORMAT="('nrebful:', f11.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 54
      printf, lunit, line
   line = template[5]
      strput, line, "                        ", 27
      segmentValue = string(uncompressSisValue(lp.nrtproc), lp.QualityNrtproc, FORMAT="('nrtproc:', f11.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 27
      strput, line, "                        ", 54
      segmentValue = string(uncompressSisValue(lp.nhdwrej), lp.QualityNhdwrej, FORMAT="('nhdwrej:', f11.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 54
      printf, lunit, line
   line = template[6]
      printf, lunit, line
   line = template[7]
      printf, lunit, line
   line = template[8]
      strput, line, "                      ", 0
      segmentValue = string(uncompressSisValue(lp.RejcntsMaybeHiza), lp.QualityRejcntsMaybeHiza, FORMAT="('MaybeHiza:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "                      ", 40
      segmentValue = string(uncompressSisValue(lp.RejcntsMaybeHizb), lp.QualityRejcntsMaybeHizb, FORMAT="('MaybeHizb:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 40
      printf, lunit, line
   line = template[9]
      strput, line, "                     ", 1
      segmentValue = string(uncompressSisValue(lp.RejcntsMaybeZ2a), lp.QualityRejcntsMaybeZ2a, FORMAT="('MaybeZ2a:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 1
      strput, line, "                 ", 23
      segmentValue = string(uncompressSisValue(lp.RejcntsM1a), lp.QualityRejcntsM1a, FORMAT="('m1a:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 23
      strput, line, "                     ", 41
      segmentValue = string(uncompressSisValue(lp.RejcntsMaybeZ2b), lp.QualityRejcntsMaybeZ2b, FORMAT="('MaybeZ2b:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 41
      strput, line, "                 ", 63
      segmentValue = string(uncompressSisValue(lp.RejcntsM1b), lp.QualityRejcntsM1b, FORMAT="('m1b:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[10]
      strput, line, "                     ", 1
      segmentValue = string(uncompressSisValue(lp.RejcntsMaybeZ1a), lp.QualityRejcntsMaybeZ1a, FORMAT="('MaybeZ1a:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 1
      strput, line, "                 ", 23
      segmentValue = string(uncompressSisValue(lp.RejcntsM2a), lp.QualityRejcntsM2a, FORMAT="('m2a:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 23
      strput, line, "                     ", 41
      segmentValue = string(uncompressSisValue(lp.RejcntsMaybeZ1b), lp.QualityRejcntsMaybeZ1b, FORMAT="('MaybeZ1b:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 41
      strput, line, "                 ", 63
      segmentValue = string(uncompressSisValue(lp.RejcntsM2b), lp.QualityRejcntsM2b, FORMAT="('m2b:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[11]
      strput, line, "                 ", 5
      segmentValue = string(uncompressSisValue(lp.RejcntsHiza), lp.QualityRejcntsHiza, FORMAT="('hiza:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                 ", 23
      segmentValue = string(uncompressSisValue(lp.RejcntsT1a), lp.QualityRejcntsT1a, FORMAT="('t1a:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 23
      strput, line, "                 ", 45
      segmentValue = string(uncompressSisValue(lp.RejcntsHizb), lp.QualityRejcntsHizb, FORMAT="('hizb:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 45
      strput, line, "                 ", 63
      segmentValue = string(uncompressSisValue(lp.RejcntsT1b), lp.QualityRejcntsT1b, FORMAT="('t1b:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[12]
      strput, line, "                ", 6
      segmentValue = string(uncompressSisValue(lp.RejcntsZ2a), lp.QualityRejcntsZ2a, FORMAT="('z2a:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 6
      strput, line, "                 ", 23
      segmentValue = string(uncompressSisValue(lp.RejcntsT2a), lp.QualityRejcntsT2a, FORMAT="('t2a:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 23
      strput, line, "                ", 46
      segmentValue = string(uncompressSisValue(lp.RejcntsZ2b), lp.QualityRejcntsZ2b, FORMAT="('z2b:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "                 ", 63
      segmentValue = string(uncompressSisValue(lp.RejcntsT2b), lp.QualityRejcntsT2b, FORMAT="('t2b:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[13]
      strput, line, "                  ", 4
      segmentValue = string(uncompressSisValue(lp.RejcntsAdc2a), lp.QualityRejcntsAdc2a, FORMAT="('adc2a:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "                 ", 23
      segmentValue = string(uncompressSisValue(lp.RejcntsT3a), lp.QualityRejcntsT3a, FORMAT="('t3a:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 23
      strput, line, "                  ", 44
      segmentValue = string(uncompressSisValue(lp.RejcntsAdc2b), lp.QualityRejcntsAdc2b, FORMAT="('adc2b:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 44
      strput, line, "                 ", 63
      segmentValue = string(uncompressSisValue(lp.RejcntsT3b), lp.QualityRejcntsT3b, FORMAT="('t3b:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[14]
      strput, line, "                  ", 4
      segmentValue = string(uncompressSisValue(lp.RejcntsAdc3a), lp.QualityRejcntsAdc3a, FORMAT="('adc3a:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "                 ", 23
      segmentValue = string(uncompressSisValue(lp.RejcntsT4a), lp.QualityRejcntsT4a, FORMAT="('t4a:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 23
      strput, line, "                  ", 44
      segmentValue = string(uncompressSisValue(lp.RejcntsAdc3b), lp.QualityRejcntsAdc3b, FORMAT="('adc3b:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 44
      strput, line, "                 ", 63
      segmentValue = string(uncompressSisValue(lp.RejcntsT4b), lp.QualityRejcntsT4b, FORMAT="('t4b:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[15]
      strput, line, "                 ", 5
      segmentValue = string(uncompressSisValue(lp.RejcntsMora), lp.QualityRejcntsMora, FORMAT="('mora:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                 ", 23
      segmentValue = string(uncompressSisValue(lp.RejcntsT5a), lp.QualityRejcntsT5a, FORMAT="('t5a:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 23
      strput, line, "                 ", 45
      segmentValue = string(uncompressSisValue(lp.RejcntsMorb), lp.QualityRejcntsMorb, FORMAT="('morb:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 45
      strput, line, "                 ", 63
      segmentValue = string(uncompressSisValue(lp.RejcntsT5b), lp.QualityRejcntsT5b, FORMAT="('t5b:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[16]
      strput, line, "                 ", 5
      segmentValue = string(uncompressSisValue(lp.RejcntsHora), lp.QualityRejcntsHora, FORMAT="('hora:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                 ", 23
      segmentValue = string(uncompressSisValue(lp.RejcntsT6a), lp.QualityRejcntsT6a, FORMAT="('t6a:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 23
      strput, line, "                 ", 45
      segmentValue = string(uncompressSisValue(lp.RejcntsHorb), lp.QualityRejcntsHorb, FORMAT="('horb:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 45
      strput, line, "                 ", 63
      segmentValue = string(uncompressSisValue(lp.RejcntsT6b), lp.QualityRejcntsT6b, FORMAT="('t6b:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[17]
      strput, line, "                 ", 5
      segmentValue = string(uncompressSisValue(lp.RejcntsM12a), lp.QualityRejcntsM12a, FORMAT="('m12a:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                 ", 23
      segmentValue = string(uncompressSisValue(lp.RejcntsT7a), lp.QualityRejcntsT7a, FORMAT="('t7a:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 23
      strput, line, "                 ", 45
      segmentValue = string(uncompressSisValue(lp.RejcntsM12b), lp.QualityRejcntsM12b, FORMAT="('m12b:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 45
      strput, line, "                 ", 63
      segmentValue = string(uncompressSisValue(lp.RejcntsT7b), lp.QualityRejcntsT7b, FORMAT="('t7b:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[18]
      strput, line, "                 ", 5
      segmentValue = string(uncompressSisValue(lp.RejcntsM1ha), lp.QualityRejcntsM1ha, FORMAT="('m1ha:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                 ", 23
      segmentValue = string(uncompressSisValue(lp.RejcntsT8a), lp.QualityRejcntsT8a, FORMAT="('t8a:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 23
      strput, line, "                 ", 45
      segmentValue = string(uncompressSisValue(lp.RejcntsM1hb), lp.QualityRejcntsM1hb, FORMAT="('m1hb:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 45
      strput, line, "                 ", 63
      segmentValue = string(uncompressSisValue(lp.RejcntsT8b), lp.QualityRejcntsT8b, FORMAT="('t8b:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[19]
      strput, line, "                 ", 5
      segmentValue = string(uncompressSisValue(lp.RejcntsM2ha), lp.QualityRejcntsM2ha, FORMAT="('m2ha:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                 ", 45
      segmentValue = string(uncompressSisValue(lp.RejcntsM2hb), lp.QualityRejcntsM2hb, FORMAT="('m2hb:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 45
      printf, lunit, line
   line = template[20]
      printf, lunit, line
   line = template[21]
      strput, line, "                        ", 2
      segmentValue = string(uncompressSisValue(lp.RejcntsCoinRate0), lp.QualityRejcntsCoinRate0, FORMAT="('CoinRate0:', f9.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 2
      strput, line, "                        ", 29
      segmentValue = string(uncompressSisValue(lp.RejcntsCoinRate1), lp.QualityRejcntsCoinRate1, FORMAT="('CoinRate1:', f9.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 29
      strput, line, "                       ", 56
      segmentValue = string(uncompressSisValue(lp.RejcntsStimCoin), lp.QualityRejcntsStimCoin, FORMAT="('StimCoin:', f9.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 56
      printf, lunit, line
   line = template[22]
      strput, line, "                     ", 5
      segmentValue = string(uncompressSisValue(lp.RejcntsHazard), lp.QualityRejcntsHazard, FORMAT="('hazard:', f9.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                      ", 57
      segmentValue = string(uncompressSisValue(lp.RejcntsRejFast), lp.QualityRejcntsRejFast, FORMAT="('RejFast:', f9.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 57
      printf, lunit, line
   line = template[23]
      printf, lunit, line
   line = template[24]
      printf, lunit, line
   line = template[25]
      strput, line, "                      ", 0
      segmentValue = string(uncompressSisValue(lp.VldcntsMaybeHiza), lp.QualityVldcntsMaybeHiza, FORMAT="('MaybeHiza:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "                      ", 40
      segmentValue = string(uncompressSisValue(lp.VldcntsMaybeHizb), lp.QualityVldcntsMaybeHizb, FORMAT="('MaybeHizb:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 40
      printf, lunit, line
   line = template[26]
      strput, line, "                     ", 1
      segmentValue = string(uncompressSisValue(lp.VldcntsMaybeZ2a), lp.QualityVldcntsMaybeZ2a, FORMAT="('MaybeZ2a:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 1
      strput, line, "                 ", 23
      segmentValue = string(uncompressSisValue(lp.VldcntsM1a), lp.QualityVldcntsM1a, FORMAT="('m1a:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 23
      strput, line, "                     ", 41
      segmentValue = string(uncompressSisValue(lp.VldcntsMaybeZ2b), lp.QualityVldcntsMaybeZ2b, FORMAT="('MaybeZ2b:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 41
      strput, line, "                 ", 63
      segmentValue = string(uncompressSisValue(lp.VldcntsM1b), lp.QualityVldcntsM1b, FORMAT="('m1b:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[27]
      strput, line, "                     ", 1
      segmentValue = string(uncompressSisValue(lp.VldcntsMaybeZ1a), lp.QualityVldcntsMaybeZ1a, FORMAT="('MaybeZ1a:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 1
      strput, line, "                 ", 23
      segmentValue = string(uncompressSisValue(lp.VldcntsM2a), lp.QualityVldcntsM2a, FORMAT="('m2a:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 23
      strput, line, "                     ", 41
      segmentValue = string(uncompressSisValue(lp.VldcntsMaybeZ1b), lp.QualityVldcntsMaybeZ1b, FORMAT="('MaybeZ1b:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 41
      strput, line, "                 ", 63
      segmentValue = string(uncompressSisValue(lp.VldcntsM2b), lp.QualityVldcntsM2b, FORMAT="('m2b:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[28]
      strput, line, "                 ", 5
      segmentValue = string(uncompressSisValue(lp.VldcntsHiza), lp.QualityVldcntsHiza, FORMAT="('hiza:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                 ", 23
      segmentValue = string(uncompressSisValue(lp.VldcntsT1a), lp.QualityVldcntsT1a, FORMAT="('t1a:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 23
      strput, line, "                 ", 45
      segmentValue = string(uncompressSisValue(lp.VldcntsHizb), lp.QualityVldcntsHizb, FORMAT="('hizb:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 45
      strput, line, "                 ", 63
      segmentValue = string(uncompressSisValue(lp.VldcntsT1b), lp.QualityVldcntsT1b, FORMAT="('t1b:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[29]
      strput, line, "                ", 6
      segmentValue = string(uncompressSisValue(lp.VldcntsZ2a), lp.QualityVldcntsZ2a, FORMAT="('z2a:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 6
      strput, line, "                 ", 23
      segmentValue = string(uncompressSisValue(lp.VldcntsT2a), lp.QualityVldcntsT2a, FORMAT="('t2a:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 23
      strput, line, "                ", 46
      segmentValue = string(uncompressSisValue(lp.VldcntsZ2b), lp.QualityVldcntsZ2b, FORMAT="('z2b:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "                 ", 63
      segmentValue = string(uncompressSisValue(lp.VldcntsT2b), lp.QualityVldcntsT2b, FORMAT="('t2b:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[30]
      strput, line, "                  ", 4
      segmentValue = string(uncompressSisValue(lp.VldcntsAdc2a), lp.QualityVldcntsAdc2a, FORMAT="('adc2a:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "                 ", 23
      segmentValue = string(uncompressSisValue(lp.VldcntsT3a), lp.QualityVldcntsT3a, FORMAT="('t3a:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 23
      strput, line, "                  ", 44
      segmentValue = string(uncompressSisValue(lp.VldcntsAdc2b), lp.QualityVldcntsAdc2b, FORMAT="('adc2b:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 44
      strput, line, "                 ", 63
      segmentValue = string(uncompressSisValue(lp.VldcntsT3b), lp.QualityVldcntsT3b, FORMAT="('t3b:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[31]
      strput, line, "                  ", 4
      segmentValue = string(uncompressSisValue(lp.VldcntsAdc3a), lp.QualityVldcntsAdc3a, FORMAT="('adc3a:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "                 ", 23
      segmentValue = string(uncompressSisValue(lp.VldcntsT4a), lp.QualityVldcntsT4a, FORMAT="('t4a:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 23
      strput, line, "                  ", 44
      segmentValue = string(uncompressSisValue(lp.VldcntsAdc3b), lp.QualityVldcntsAdc3b, FORMAT="('adc3b:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 44
      strput, line, "                 ", 63
      segmentValue = string(uncompressSisValue(lp.VldcntsT4b), lp.QualityVldcntsT4b, FORMAT="('t4b:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[32]
      strput, line, "                 ", 5
      segmentValue = string(uncompressSisValue(lp.VldcntsMora), lp.QualityVldcntsMora, FORMAT="('mora:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                 ", 23
      segmentValue = string(uncompressSisValue(lp.VldcntsT5a), lp.QualityVldcntsT5a, FORMAT="('t5a:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 23
      strput, line, "                 ", 45
      segmentValue = string(uncompressSisValue(lp.VldcntsMorb), lp.QualityVldcntsMorb, FORMAT="('morb:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 45
      strput, line, "                 ", 63
      segmentValue = string(uncompressSisValue(lp.VldcntsT5b), lp.QualityVldcntsT5b, FORMAT="('t5b:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[33]
      strput, line, "                 ", 5
      segmentValue = string(uncompressSisValue(lp.VldcntsHora), lp.QualityVldcntsHora, FORMAT="('hora:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                 ", 23
      segmentValue = string(uncompressSisValue(lp.VldcntsT6a), lp.QualityVldcntsT6a, FORMAT="('t6a:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 23
      strput, line, "                 ", 45
      segmentValue = string(uncompressSisValue(lp.VldcntsHorb), lp.QualityVldcntsHorb, FORMAT="('horb:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 45
      strput, line, "                 ", 63
      segmentValue = string(uncompressSisValue(lp.VldcntsT6b), lp.QualityVldcntsT6b, FORMAT="('t6b:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[34]
      strput, line, "                 ", 5
      segmentValue = string(uncompressSisValue(lp.VldcntsM12a), lp.QualityVldcntsM12a, FORMAT="('m12a:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                 ", 23
      segmentValue = string(uncompressSisValue(lp.VldcntsT7a), lp.QualityVldcntsT7a, FORMAT="('t7a:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 23
      strput, line, "                 ", 45
      segmentValue = string(uncompressSisValue(lp.VldcntsM12b), lp.QualityVldcntsM12b, FORMAT="('m12b:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 45
      strput, line, "                 ", 63
      segmentValue = string(uncompressSisValue(lp.VldcntsT7b), lp.QualityVldcntsT7b, FORMAT="('t7b:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[35]
      strput, line, "                 ", 5
      segmentValue = string(uncompressSisValue(lp.VldcntsM1ha), lp.QualityVldcntsM1ha, FORMAT="('m1ha:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                 ", 23
      segmentValue = string(uncompressSisValue(lp.VldcntsT8a), lp.QualityVldcntsT8a, FORMAT="('t8a:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 23
      strput, line, "                 ", 45
      segmentValue = string(uncompressSisValue(lp.VldcntsM1hb), lp.QualityVldcntsM1hb, FORMAT="('m1hb:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 45
      strput, line, "                 ", 63
      segmentValue = string(uncompressSisValue(lp.VldcntsT8b), lp.QualityVldcntsT8b, FORMAT="('t8b:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[36]
      strput, line, "                 ", 5
      segmentValue = string(uncompressSisValue(lp.VldcntsM2ha), lp.QualityVldcntsM2ha, FORMAT="('m2ha:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                 ", 45
      segmentValue = string(uncompressSisValue(lp.VldcntsM2hb), lp.QualityVldcntsM2hb, FORMAT="('m2hb:', f7.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 45
      printf, lunit, line
   line = template[37]
      printf, lunit, line
   line = template[38]
      strput, line, "                        ", 2
      segmentValue = string(uncompressSisValue(lp.VldcntsCoinRate0), lp.QualityVldcntsCoinRate0, FORMAT="('CoinRate0:', f9.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 2
      strput, line, "                        ", 29
      segmentValue = string(uncompressSisValue(lp.VldcntsCoinRate1), lp.QualityVldcntsCoinRate1, FORMAT="('CoinRate1:', f9.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 29
      strput, line, "                       ", 56
      segmentValue = string(uncompressSisValue(lp.VldcntsStimCoin), lp.QualityVldcntsStimCoin, FORMAT="('StimCoin:', f9.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 56
      printf, lunit, line
   line = template[39]
      strput, line, "                     ", 5
      segmentValue = string(uncompressSisValue(lp.VldcntsHazard), lp.QualityVldcntsHazard, FORMAT="('hazard:', f9.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                      ", 57
      segmentValue = string(uncompressSisValue(lp.VldcntsRejFast), lp.QualityVldcntsRejFast, FORMAT="('RejFast:', f9.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 57
      printf, lunit, line

end
