/* $Id: getEvents_c.c,v 1.2 1998/07/27 11:58:29 rgr Exp $ */

/* $RCSfile: getEvents_c.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/07/27 11:58:29 $ */
/* $Revision: 1.2 $ */

#include <stdio.h>
#include "hdfi.h"
#include "cris.h"

#include "crisGetData.h"
#include "cris/crisGetData/unpackEventCycle_c.h"


struct ce_crisEvt *getEvents_c(uint32 Second1996)
{
   static struct L1CrisEventCycle *EventCycle = NULL;
   static struct ce_crisEvt *event = NULL;

   int nevent;
   int nevt;
  
   free(EventCycle);
   free(event);
   EventCycle = getEventCycleStruct_c(Second1996, 0);
   if (!(EventCycle->Second1996)) EventCycle->NumberEvents = 0;
   nevent = EventCycle->NumberEvents;
   event = (struct ce_crisEvt *) calloc(sizeof(struct ce_crisEvt),
                                        nevent+1);
   nevt = unpackEventCycle_c(EventCycle, event);
   if (nevt != nevent) 
      printf("%d : Number of invalid events encountered\n",
             nevent-nevt);
   return event;
}
