; $Id: cvtfromsec1996_yd.pro,v 1.1 1998/01/26 17:51:05 rgr Exp $

; $RCSfile: cvtfromsec1996_yd.pro,v $
; $Author: rgr $
; $Date: 1998/01/26 17:51:05 $
; $Revision: 1.1 $

; CvtFromSec1996_yd
;
; This function takes a set of times expresed in seconds of year of
; 1996 and returns a set of AceTime_yd structures.


; Arguments
;   time = set of times to be converted - input


; Procedures used
;   CvtFromSec1996
;   CvtToSec1996


function CvtFromSec1996_yd, sec1996

   
   time = CvtfromSec1996(sec1996)
   fraction = double(3600*time.hour + 60*time.min + time.sec)/86400.0D0
   time.hour = 0L
   time.min = 0L
   time.sec = 0L
   sec = CvtToSec1996(time)
   time.month = 1L
   time.day = 1L
   sec = (sec - CvtToSec1996(time)) + 43200
   day = double(sec/86400 + 1) + fraction 

   time_yd = replicate({AceTime_yd}, n_elements(sec1996))
   time_yd.year = time.year
   time_yd.day = day
   return, time_yd

end
