; $Id: finddumpline.pro,v 1.1 1998/07/27 13:30:51 rgr Exp $

; $RCSfile: finddumpline.pro,v $
; $Author: rgr $
; $Date: 1998/07/27 13:30:51 $
; $Revision: 1.1 $

; This fuction searches the contents of the template file for the first
; occurence of a pattern.  When the pattern is found, the function
; returns the line number of the template file in which it was found.
; If the pattern is not found, the function returns -1.  The number
; system for the lines begins with 0.
;
; The search is case-insensitive.
;
;  Arguments
;     line = contents of template file stored in a string array-(input)
;     pattern = pattern to locate-(input)


function findDumpLine, line, pattern

   pat = strlowcase(pattern)

   nline = n_elements(line)
   for i=0, nline-1 do begin
      tmp = strlowcase(line[i])
      if (strpos(tmp, pat) ge 0) then return, i
   endfor
   return, -1

end
