; $Id: computecrismiscrates.pro,v 1.3 1998/07/27 13:54:12 rgr Exp $

; $RCSfile: computecrismiscrates.pro,v $
; $Author: rgr $
; $Date: 1998/07/27 13:54:12 $
; $Revision: 1.3 $

pro computeCrisMiscRates, lp, engr

   common CrisSymbols

   unit = double(G$_Cris.LiveTimeUnitMicrosecond)
   time = double(G$_Cris.NumMnfsPerCycle)

   engr.livetim = float((unit * lp.livetim) * 1.0d-6)
   engr.helivet = float((unit * lp.helivet) * 2.0d-6)
   engr.hylivet = float((unit * lp.hylivet) * 2.0d-6)
   engr.trg0rat = float(UncompressCrisRate(lp.trg0rat) / (time/4.0D))
   engr.trg1rat = float(UncompressCrisRate(lp.trg1rat) / (time/4.0D))
   engr.trg01   = float(UncompressCrisRate(lp.trg01) / (time/4.0D))
   engr.ntagint = float(lp.ntagint / time)
   engr.nvldint = float(lp.nvldint / time)
   engr.nevproc = float(lp.nevproc / time)
   engr.nrtproc = float(lp.nrtproc / time)
   engr.nsfterr = float(lp.nsfterr / time)
   engr.nbadid  = float(lp.nbadid / time)
   engr.ncebful = float(lp.ncebful / time)
   engr.nrebful = float(lp.nrebful / time)
   engr.nmacsys = float(lp.nmacsys / time)
   engr.nhdwrej = float(UncompressCrisRate(lp.nhdwrej) / time)

   engr.QualityLivetim = lp.QualityLivetim
   engr.QualityHelivet = lp.QualityHelivet
   engr.QualityHylivet = lp.QualityHylivet
   engr.QualityTrg0rat = lp.QualityTrg0rat
   engr.QualityTrg1rat = lp.QualityTrg1rat
   engr.QualityTrg01   = lp.QualityTrg01
   engr.QualityNtagint = lp.QualityNtagint
   engr.QualityNvldint = lp.QualityNvldint
   engr.QualityNevproc = lp.QualityNevproc
   engr.QualityNrtproc = lp.QualityNrtproc
   engr.QualityNsfterr = lp.QualityNsfterr
   engr.QualityNbadid  = lp.QualityNbadid
   engr.QualityNcebful = lp.QualityNcebful
   engr.QualityNrebful = lp.QualityNrebful
   engr.QualityNhdwrej = lp.QualityNhdwrej

end
