; $Id: cvtcrisadctomonitorvalue.pro,v 1.2 1998/07/27 13:57:39 rgr Exp $

; $RCSfile: cvtcrisadctomonitorvalue.pro,v $
; $Author: rgr $
; $Date: 1998/07/27 13:57:39 $
; $Revision: 1.2 $

function cvtCrisAdcToMonitorValue, AdcNumber, adc

   common CrisSymbols
   common SbCvtCrisAdcToMonitorValue, MonScaleFactor

   if (n_elements(MonScaleFactor) eq 0) then begin

      MonScaleFactor = dblarr(G$_Cris.adc.number, /nozero)
      MonScaleFactor[*] = 1.0D

      MonScaleFactor[G$_Cris.adc.MonitorP7V]  = 1.0D/4.000D
      MonScaleFactor[G$_Cris.adc.MonitorP15V] = 1.0D/4.024D
      MonScaleFactor[G$_Cris.adc.MonitorP19V] = 1.0D/4.026D
      MonScaleFactor[G$_Cris.adc.MonitorP13V] = 1.0D/4.054D
      MonScaleFactor[G$_Cris.adc.MonitorM13V] = 1.0D/4.030D
      MonScaleFactor[G$_Cris.adc.MonitorP5V]  = 1.0D/4.040D
      MonScaleFactor[G$_Cris.adc.MonitorP6V]  = 1.0D/2.003D
      MonScaleFactor[G$_Cris.adc.MonitorM6V]  = 1.0D/2.003D
      MonScaleFactor[G$_Cris.adc.MonitorP12V] = 1.0D/2.835D
      MonScaleFactor[G$_Cris.adc.MonitorM12V] = 1.0D/2.831D
      MonScaleFactor[G$_Cris.adc.MonitorM7V]  = 1.0D/3.990D

      MonScaleFactor[G$_Cris.adc.MonitorMcp1]  = 1.0D
      MonScaleFactor[G$_Cris.adc.MonitorMcp2]  = 1.0D

      MonScaleFactor[G$_Cris.adc.MonitorHvps1I]  = 1.0D
      MonScaleFactor[G$_Cris.adc.MonitorHvps2I]  = 1.0D
      MonScaleFactor[G$_Cris.adc.MonitorHvps3I]  = 1.0D
      MonScaleFactor[G$_Cris.adc.MonitorHvps4I]  = 1.0D

      MonScaleFactor[G$_Cris.adc.MonitorSoftPsaI] = 2.0D
      MonScaleFactor[G$_Cris.adc.MonitorSoftPsbI] = 2.0D
   endif

   ScaledVoltage = double(cvtCrisAdcToScaledVoltage(adc))
   return, float(ScaledVoltage / MonScaleFactor[AdcNumber])
end
