; $Id: dumpl1_1crislowpriorityratebuffer.pro,v 1.1 1998/05/04 20:09:21 rgr Exp $

; $RCSfile: dumpl1_1crislowpriorityratebuffer.pro,v $
; $Author: rgr $
; $Date: 1998/05/04 20:09:21 $
; $Revision: 1.1 $


pro dumpL1_1CrisLowPriorityRateBuffer, lp, LUN=lun

   lunit = -1
   if (keyword_set(lun)) then lunit = lun

   template = strarr(37)

   template[00] = "CRIS Low Priority Rates - <start time               >   <S/C Clock: xx.xxxxxxx>"
   template[01] = ""
   template[02] = "    Buffer(c/s)          Buffer(c/s)          Buffer(c/s)          Buffer(c/s)"
   template[03] = "  0 <buffer{0} >      16 <buffer{16}>      32 <buffer{32}>      48 <buffer{48}>"
   template[04] = "  1 <buffer{1} >      17 <buffer{17}>      33 <buffer{33}>      49 <buffer{49}>"
   template[05] = "  2 <buffer{2} >      18 <buffer{18}>      34 <buffer{34}>      50 <buffer{50}>"
   template[06] = "  3 <buffer{3} >      19 <buffer{19}>      35 <buffer{35}>      51 <buffer{51}>"
   template[07] = "  4 <buffer{4} >      20 <buffer{20}>      36 <buffer{36}>      52 <buffer{52}>"
   template[08] = "  5 <buffer{5} >      21 <buffer{21}>      37 <buffer{37}>      53 <buffer{53}>"
   template[09] = "  6 <buffer{6} >      22 <buffer{22}>      38 <buffer{38}>      54 <buffer{54}>"
   template[10] = "  7 <buffer{7} >      23 <buffer{23}>      39 <buffer{39}>      55 <buffer{55}>"
   template[11] = "  8 <buffer{8} >      24 <buffer{24}>      40 <buffer{40}>      56 <buffer{56}>"
   template[12] = "  9 <buffer{9} >      25 <buffer{25}>      41 <buffer{41}>      57 <buffer{57}>"
   template[13] = " 10 <buffer{10}>      26 <buffer{26}>      42 <buffer{42}>      58 <buffer{58}>"
   template[14] = " 11 <buffer{11}>      27 <buffer{27}>      43 <buffer{43}>      59 <buffer{59}>"
   template[15] = " 12 <buffer{12}>      28 <buffer{28}>      44 <buffer{44}>      60 <buffer{60}>"
   template[16] = " 13 <buffer{13}>      29 <buffer{29}>      45 <buffer{45}>      61 <buffer{61}>"
   template[17] = " 14 <buffer{14}>      30 <buffer{30}>      46 <buffer{46}>      62 <buffer{62}>"
   template[18] = " 15 <buffer{15}>      31 <buffer{31}>      47 <buffer{47}>      63 <buffer{63}>"
   template[19] = ""
   template[20] = "     Data(c/s)            Data(c/s)            Data(c/s)            Data(c/s)"
   template[21] = "  0 <data{0}   >      16 <data{16}  >      32 <data{32}  >      48 <data{48}  >"
   template[22] = "  1 <data{1}   >      17 <data{17}  >      33 <data{33}  >      49 <data{49}  >"
   template[23] = "  2 <data{2}   >      18 <data{18}  >      34 <data{34}  >      50 <data{50}  >"
   template[24] = "  3 <data{3}   >      19 <data{19}  >      35 <data{35}  >      51 <data{51}  >"
   template[25] = "  4 <data{4}   >      20 <data{20}  >      36 <data{36}  >      52 <data{52}  >"
   template[26] = "  5 <data{5}   >      21 <data{21}  >      37 <data{37}  >      53 <data{53}  >"
   template[27] = "  6 <data{6}   >      22 <data{22}  >      38 <data{38}  >      54 <data{54}  >"
   template[28] = "  7 <data{7}   >      23 <data{23}  >      39 <data{39}  >      55 <data{55}  >"
   template[29] = "  8 <data{8}   >      24 <data{24}  >      40 <data{40}  >      56 <data{56}  >"
   template[30] = "  9 <data{9}   >      25 <data{25}  >      41 <data{41}  >      57 <data{57}  >"
   template[31] = " 10 <data{10}  >      26 <data{26}  >      42 <data{42}  >      58 <data{58}  >"
   template[32] = " 11 <data{11}  >      27 <data{27}  >      43 <data{43}  >      59 <data{59}  >"
   template[33] = " 12 <data{12}  >      28 <data{28}  >      44 <data{44}  >      60 <data{60}  >"
   template[34] = " 13 <data{13}  >      29 <data{29}  >      45 <data{45}  >      61 <data{61}  >"
   template[35] = " 14 <data{14}  >      30 <data{30}  >      46 <data{46}  >      62 <data{62}  >"
   template[36] = " 15 <data{15}  >      31 <data{31}  >      47 <data{47}  >      63 <data{63}  >"

   line = template[0]
      strput, line, "                           ", 26
      segmentValue = string(stringDate1996(lp.Second1996), lp.microsecond, FORMAT="(a, '.', i6.6)")
      strput, line, segmentValue, 26
      strput, line, "                       ", 56
      segmentValue = string(lp.ClockCycle, FORMAT="(' S/C Clock: ', i10.10, ' ')")
      strput, line, segmentValue, 56
      printf, lunit, line
   line = template[1]
      printf, lunit, line
   line = template[2]
      printf, lunit, line
   line = template[3]
      strput, line, "            ", 4
      segmentValue = string(lp.EventBufferRate[0], lp.QualityEventBufferRate[0], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.EventBufferRate[16], lp.QualityEventBufferRate[16], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.EventBufferRate[32], lp.QualityEventBufferRate[32], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.EventBufferRate[48], lp.QualityEventBufferRate[48], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[4]
      strput, line, "            ", 4
      segmentValue = string(lp.EventBufferRate[1], lp.QualityEventBufferRate[1], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.EventBufferRate[17], lp.QualityEventBufferRate[17], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.EventBufferRate[33], lp.QualityEventBufferRate[33], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.EventBufferRate[49], lp.QualityEventBufferRate[49], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[5]
      strput, line, "            ", 4
      segmentValue = string(lp.EventBufferRate[2], lp.QualityEventBufferRate[2], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.EventBufferRate[18], lp.QualityEventBufferRate[18], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.EventBufferRate[34], lp.QualityEventBufferRate[34], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.EventBufferRate[50], lp.QualityEventBufferRate[50], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[6]
      strput, line, "            ", 4
      segmentValue = string(lp.EventBufferRate[3], lp.QualityEventBufferRate[3], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.EventBufferRate[19], lp.QualityEventBufferRate[19], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.EventBufferRate[35], lp.QualityEventBufferRate[35], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.EventBufferRate[51], lp.QualityEventBufferRate[51], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[7]
      strput, line, "            ", 4
      segmentValue = string(lp.EventBufferRate[4], lp.QualityEventBufferRate[4], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.EventBufferRate[20], lp.QualityEventBufferRate[20], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.EventBufferRate[36], lp.QualityEventBufferRate[36], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.EventBufferRate[52], lp.QualityEventBufferRate[52], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[8]
      strput, line, "            ", 4
      segmentValue = string(lp.EventBufferRate[5], lp.QualityEventBufferRate[5], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.EventBufferRate[21], lp.QualityEventBufferRate[21], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.EventBufferRate[37], lp.QualityEventBufferRate[37], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.EventBufferRate[53], lp.QualityEventBufferRate[53], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[9]
      strput, line, "            ", 4
      segmentValue = string(lp.EventBufferRate[6], lp.QualityEventBufferRate[6], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.EventBufferRate[22], lp.QualityEventBufferRate[22], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.EventBufferRate[38], lp.QualityEventBufferRate[38], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.EventBufferRate[54], lp.QualityEventBufferRate[54], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[10]
      strput, line, "            ", 4
      segmentValue = string(lp.EventBufferRate[7], lp.QualityEventBufferRate[7], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.EventBufferRate[23], lp.QualityEventBufferRate[23], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.EventBufferRate[39], lp.QualityEventBufferRate[39], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.EventBufferRate[55], lp.QualityEventBufferRate[55], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[11]
      strput, line, "            ", 4
      segmentValue = string(lp.EventBufferRate[8], lp.QualityEventBufferRate[8], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.EventBufferRate[24], lp.QualityEventBufferRate[24], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.EventBufferRate[40], lp.QualityEventBufferRate[40], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.EventBufferRate[56], lp.QualityEventBufferRate[56], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[12]
      strput, line, "            ", 4
      segmentValue = string(lp.EventBufferRate[9], lp.QualityEventBufferRate[9], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.EventBufferRate[25], lp.QualityEventBufferRate[25], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.EventBufferRate[41], lp.QualityEventBufferRate[41], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.EventBufferRate[57], lp.QualityEventBufferRate[57], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[13]
      strput, line, "            ", 4
      segmentValue = string(lp.EventBufferRate[10], lp.QualityEventBufferRate[10], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.EventBufferRate[26], lp.QualityEventBufferRate[26], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.EventBufferRate[42], lp.QualityEventBufferRate[42], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.EventBufferRate[58], lp.QualityEventBufferRate[58], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[14]
      strput, line, "            ", 4
      segmentValue = string(lp.EventBufferRate[11], lp.QualityEventBufferRate[11], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.EventBufferRate[27], lp.QualityEventBufferRate[27], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.EventBufferRate[43], lp.QualityEventBufferRate[43], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.EventBufferRate[59], lp.QualityEventBufferRate[59], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[15]
      strput, line, "            ", 4
      segmentValue = string(lp.EventBufferRate[12], lp.QualityEventBufferRate[12], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.EventBufferRate[28], lp.QualityEventBufferRate[28], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.EventBufferRate[44], lp.QualityEventBufferRate[44], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.EventBufferRate[60], lp.QualityEventBufferRate[60], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[16]
      strput, line, "            ", 4
      segmentValue = string(lp.EventBufferRate[13], lp.QualityEventBufferRate[13], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.EventBufferRate[29], lp.QualityEventBufferRate[29], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.EventBufferRate[45], lp.QualityEventBufferRate[45], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.EventBufferRate[61], lp.QualityEventBufferRate[61], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[17]
      strput, line, "            ", 4
      segmentValue = string(lp.EventBufferRate[14], lp.QualityEventBufferRate[14], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.EventBufferRate[30], lp.QualityEventBufferRate[30], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.EventBufferRate[46], lp.QualityEventBufferRate[46], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.EventBufferRate[62], lp.QualityEventBufferRate[62], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[18]
      strput, line, "            ", 4
      segmentValue = string(lp.EventBufferRate[15], lp.QualityEventBufferRate[15], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.EventBufferRate[31], lp.QualityEventBufferRate[31], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.EventBufferRate[47], lp.QualityEventBufferRate[47], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.EventBufferRate[63], lp.QualityEventBufferRate[63], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[19]
      printf, lunit, line
   line = template[20]
      printf, lunit, line
   line = template[21]
      strput, line, "            ", 4
      segmentValue = string(lp.DataBufferRate[0], lp.QualityDataBufferRate[0], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.DataBufferRate[16], lp.QualityDataBufferRate[16], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.DataBufferRate[32], lp.QualityDataBufferRate[32], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.DataBufferRate[48], lp.QualityDataBufferRate[48], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[22]
      strput, line, "            ", 4
      segmentValue = string(lp.DataBufferRate[1], lp.QualityDataBufferRate[1], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.DataBufferRate[17], lp.QualityDataBufferRate[17], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.DataBufferRate[33], lp.QualityDataBufferRate[33], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.DataBufferRate[49], lp.QualityDataBufferRate[49], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[23]
      strput, line, "            ", 4
      segmentValue = string(lp.DataBufferRate[2], lp.QualityDataBufferRate[2], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.DataBufferRate[18], lp.QualityDataBufferRate[18], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.DataBufferRate[34], lp.QualityDataBufferRate[34], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.DataBufferRate[50], lp.QualityDataBufferRate[50], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[24]
      strput, line, "            ", 4
      segmentValue = string(lp.DataBufferRate[3], lp.QualityDataBufferRate[3], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.DataBufferRate[19], lp.QualityDataBufferRate[19], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.DataBufferRate[35], lp.QualityDataBufferRate[35], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.DataBufferRate[51], lp.QualityDataBufferRate[51], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[25]
      strput, line, "            ", 4
      segmentValue = string(lp.DataBufferRate[4], lp.QualityDataBufferRate[4], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.DataBufferRate[20], lp.QualityDataBufferRate[20], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.DataBufferRate[36], lp.QualityDataBufferRate[36], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.DataBufferRate[52], lp.QualityDataBufferRate[52], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[26]
      strput, line, "            ", 4
      segmentValue = string(lp.DataBufferRate[5], lp.QualityDataBufferRate[5], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.DataBufferRate[21], lp.QualityDataBufferRate[21], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.DataBufferRate[37], lp.QualityDataBufferRate[37], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.DataBufferRate[53], lp.QualityDataBufferRate[53], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[27]
      strput, line, "            ", 4
      segmentValue = string(lp.DataBufferRate[6], lp.QualityDataBufferRate[6], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.DataBufferRate[22], lp.QualityDataBufferRate[22], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.DataBufferRate[38], lp.QualityDataBufferRate[38], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.DataBufferRate[54], lp.QualityDataBufferRate[54], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[28]
      strput, line, "            ", 4
      segmentValue = string(lp.DataBufferRate[7], lp.QualityDataBufferRate[7], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.DataBufferRate[23], lp.QualityDataBufferRate[23], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.DataBufferRate[39], lp.QualityDataBufferRate[39], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.DataBufferRate[55], lp.QualityDataBufferRate[55], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[29]
      strput, line, "            ", 4
      segmentValue = string(lp.DataBufferRate[8], lp.QualityDataBufferRate[8], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.DataBufferRate[24], lp.QualityDataBufferRate[24], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.DataBufferRate[40], lp.QualityDataBufferRate[40], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.DataBufferRate[56], lp.QualityDataBufferRate[56], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[30]
      strput, line, "            ", 4
      segmentValue = string(lp.DataBufferRate[9], lp.QualityDataBufferRate[9], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.DataBufferRate[25], lp.QualityDataBufferRate[25], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.DataBufferRate[41], lp.QualityDataBufferRate[41], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.DataBufferRate[57], lp.QualityDataBufferRate[57], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[31]
      strput, line, "            ", 4
      segmentValue = string(lp.DataBufferRate[10], lp.QualityDataBufferRate[10], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.DataBufferRate[26], lp.QualityDataBufferRate[26], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.DataBufferRate[42], lp.QualityDataBufferRate[42], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.DataBufferRate[58], lp.QualityDataBufferRate[58], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[32]
      strput, line, "            ", 4
      segmentValue = string(lp.DataBufferRate[11], lp.QualityDataBufferRate[11], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.DataBufferRate[27], lp.QualityDataBufferRate[27], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.DataBufferRate[43], lp.QualityDataBufferRate[43], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.DataBufferRate[59], lp.QualityDataBufferRate[59], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[33]
      strput, line, "            ", 4
      segmentValue = string(lp.DataBufferRate[12], lp.QualityDataBufferRate[12], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.DataBufferRate[28], lp.QualityDataBufferRate[28], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.DataBufferRate[44], lp.QualityDataBufferRate[44], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.DataBufferRate[60], lp.QualityDataBufferRate[60], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[34]
      strput, line, "            ", 4
      segmentValue = string(lp.DataBufferRate[13], lp.QualityDataBufferRate[13], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.DataBufferRate[29], lp.QualityDataBufferRate[29], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.DataBufferRate[45], lp.QualityDataBufferRate[45], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.DataBufferRate[61], lp.QualityDataBufferRate[61], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[35]
      strput, line, "            ", 4
      segmentValue = string(lp.DataBufferRate[14], lp.QualityDataBufferRate[14], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.DataBufferRate[30], lp.QualityDataBufferRate[30], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.DataBufferRate[46], lp.QualityDataBufferRate[46], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.DataBufferRate[62], lp.QualityDataBufferRate[62], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[36]
      strput, line, "            ", 4
      segmentValue = string(lp.DataBufferRate[15], lp.QualityDataBufferRate[15], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "            ", 25
      segmentValue = string(lp.DataBufferRate[31], lp.QualityDataBufferRate[31], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "            ", 46
      segmentValue = string(lp.DataBufferRate[47], lp.QualityDataBufferRate[47], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 46
      strput, line, "            ", 67
      segmentValue = string(lp.DataBufferRate[63], lp.QualityDataBufferRate[63], FORMAT="(' ', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line

end
