; $Id: dumpl1_1crislowpriorityratesingle.pro,v 1.1 1998/05/04 20:09:23 rgr Exp $

; $RCSfile: dumpl1_1crislowpriorityratesingle.pro,v $
; $Author: rgr $
; $Date: 1998/05/04 20:09:23 $
; $Revision: 1.1 $


pro dumpL1_1CrisLowPriorityRateSingle, lp, LUN=lun

   lunit = -1
   if (keyword_set(lun)) then lunit = lun

   template = strarr(22)

   template[00] = "CRIS Low Priority Rates - <start time               >   <S/C Clock: xxx.xxx.xx>"
   template[01] = ""
   template[02] = "<livetim: xxx.xxx xx>   <ntagint: xxx.xx xx>   <nmacsys: xxx.xx xx>"
   template[03] = "<helivet: xxx.xxx xx>   <nvldint: xxx.xx xx>     <stmco: xxx.xx xx>"
   template[04] = "<hylivet: xxx.xxx xx>   <nevproc: xxx.xx xx>    <stmoff: xxx.xx xx>"
   template[05] = "<trg0rat: xxxx.xx xx>   <nrtproc: xxx.xx xx>    <hazard: xxx.xx xx>"
   template[06] = "<trg1rat: xxxx.xx xx>   <nsfterr: xx.xxx xx>        <gh: xxx.xx xx>"
   template[07] = "  <trg01: xxxx.xx xx>    <nbadid: xxx.xx xx>       <mor: xxx.xx xx>"
   template[08] = "<nhdwrej: xxxxx.x xx>   <ncebful: xx.xxx xx>       <hor: xxx.xx xx>"
   template[09] = "                        <nrebful: xx.xxx xx>"
   template[10] = ""
   template[11] = "  <e1a: xxx.xx xx>   <g2ab: xxx.xx xx>      <e1c: xxx.xx xx>   <g2cd: xxx.xx xx>"
   template[12] = "  <e1b: xxx.xx xx>   <g3ab: xxx.xx xx>      <e1d: xxx.xx xx>   <g3cd: xxx.xx xx>"
   template[13] = " <e2ab: xxx.xx xx>   <g4ab: xxx.xx xx>     <e2cd: xxx.xx xx>   <g4cd: xxx.xx xx>"
   template[14] = " <e3ab: xxx.xx xx>   <g5ab: xxx.xx xx>     <e3cd: xxx.xx xx>   <g5cd: xxx.xx xx>"
   template[15] = " <e4ab: xxx.xx xx>   <g6ab: xxx.xx xx>     <e4cd: xxx.xx xx>   <g6cd: xxx.xx xx>"
   template[16] = " <e5ab: xxx.xx xx>   <g7ab: xxx.xx xx>     <e5cd: xxx.xx xx>   <g7cd: xxx.xx xx>"
   template[17] = " <e6ab: xxx.xx xx> <adc2ab: xxx.xx xx>     <e6cd: xxx.xx xx> <adc2cd: xxx.xx xx>"
   template[18] = " <e7ab: xxx.xx xx> <mnrgab: xxx.xx xx>     <e7cd: xxx.xx xx> <mnrgcd: xxx.xx xx>"
   template[19] = " <e8ab: xxx.xx xx>   <z1ab: xx.xxx xx>     <e8cd: xxx.xx xx>   <z1cd: xx.xxx xx>"
   template[20] = " <e9ab: xxx.xx xx>   <z2ab: xx.xxx xx>     <e9cd: xxx.xx xx>   <z2cd: xx.xxx xx>"
   template[21] = "                 <z_gt_2ab: xx.xxx xx>                     <z_gt_2cd: xx.xxx xx>"

   line = template[0]
      strput, line, "                           ", 26
      segmentValue = string(stringDate1996(lp.Second1996), lp.microsecond, FORMAT="(a, '.', i6.6)")
      strput, line, segmentValue, 26
      strput, line, "                       ", 56
      segmentValue = string(lp.ClockCycle, FORMAT="(' S/C Clock: ', i10.10, ' ')")
      strput, line, segmentValue, 56
      printf, lunit, line
   line = template[1]
      printf, lunit, line
   line = template[2]
      strput, line, "                     ", 0
      segmentValue = string(lp.livetim, lp.QualityLivetim, FORMAT="(' livetim:', f8.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "                    ", 24
      segmentValue = string(lp.ntagint, lp.QualityNtagint, FORMAT="(' ntagint:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                    ", 47
      segmentValue = string(lp.nmacsys, lp.QualityNmacsys, FORMAT="(' nmacsys:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 47
      printf, lunit, line
   line = template[3]
      strput, line, "                     ", 0
      segmentValue = string(lp.helivet, lp.QualityHelivet, FORMAT="(' helivet:', f8.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "                    ", 24
      segmentValue = string(lp.nvldint, lp.QualityNvldint, FORMAT="(' nvldint:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                  ", 49
      segmentValue = string(lp.stmco, lp.QualityStmco, FORMAT="(' stmco:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 49
      printf, lunit, line
   line = template[4]
      strput, line, "                     ", 0
      segmentValue = string(lp.hylivet, lp.QualityHylivet, FORMAT="(' hylivet:', f8.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "                    ", 24
      segmentValue = string(lp.nevproc, lp.QualityNevproc, FORMAT="(' nevproc:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                   ", 48
      segmentValue = string(lp.stmoff, lp.QualityStmoff, FORMAT="(' stmoff:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 48
      printf, lunit, line
   line = template[5]
      strput, line, "                     ", 0
      segmentValue = string(lp.trg0rat, lp.QualityTrg0rat, FORMAT="(' trg0rat:', f8.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "                    ", 24
      segmentValue = string(lp.nrtproc, lp.QualityNrtproc, FORMAT="(' nrtproc:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                   ", 48
      segmentValue = string(lp.hazard, lp.QualityHazard, FORMAT="(' hazard:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 48
      printf, lunit, line
   line = template[6]
      strput, line, "                     ", 0
      segmentValue = string(lp.trg1rat, lp.QualityTrg1rat, FORMAT="(' trg1rat:', f8.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "                    ", 24
      segmentValue = string(lp.nsfterr, lp.QualityNsfterr, FORMAT="(' nsfterr:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "               ", 52
      segmentValue = string(lp.gh, lp.QualityGh, FORMAT="(' gh:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 52
      printf, lunit, line
   line = template[7]
      strput, line, "                   ", 2
      segmentValue = string(lp.trg01, lp.QualityTrg01, FORMAT="(' trg01:', f8.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 2
      strput, line, "                   ", 25
      segmentValue = string(lp.nbadid, lp.QualityNbadid, FORMAT="(' nbadid:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "                ", 51
      segmentValue = string(lp.mor, lp.QualityMor, FORMAT="(' mor:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 51
      printf, lunit, line
   line = template[8]
      strput, line, "                     ", 0
      segmentValue = string(lp.nhdwrej, lp.QualityNhdwrej, FORMAT="(' nhdwrej:', f8.1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "                    ", 24
      segmentValue = string(lp.ncebful, lp.QualityNcebful, FORMAT="(' ncebful:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                ", 51
      segmentValue = string(lp.hor, lp.QualityHor, FORMAT="(' hor:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 51
      printf, lunit, line
   line = template[9]
      strput, line, "                    ", 24
      segmentValue = string(lp.nrebful, lp.QualityNrebful, FORMAT="(' nrebful:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      printf, lunit, line
   line = template[10]
      printf, lunit, line
   line = template[11]
      strput, line, "                ", 2
      segmentValue = string(lp.e1a, lp.QualityE1a, FORMAT="(' e1a:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 2
      strput, line, "                 ", 21
      segmentValue = string(lp.g2ab, lp.QualityG2ab, FORMAT="(' g2ab:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 21
      strput, line, "                ", 44
      segmentValue = string(lp.e1c, lp.QualityE1c, FORMAT="(' e1c:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 44
      strput, line, "                 ", 63
      segmentValue = string(lp.g2cd, lp.QualityG2cd, FORMAT="(' g2cd:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[12]
      strput, line, "                ", 2
      segmentValue = string(lp.e1b, lp.QualityE1b, FORMAT="(' e1b:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 2
      strput, line, "                 ", 21
      segmentValue = string(lp.g3ab, lp.QualityG3ab, FORMAT="(' g3ab:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 21
      strput, line, "                ", 44
      segmentValue = string(lp.e1d, lp.QualityE1d, FORMAT="(' e1d:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 44
      strput, line, "                 ", 63
      segmentValue = string(lp.g3cd, lp.QualityG3cd, FORMAT="(' g3cd:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[13]
      strput, line, "                 ", 1
      segmentValue = string(lp.e2ab, lp.QualityE2ab, FORMAT="(' e2ab:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 1
      strput, line, "                 ", 21
      segmentValue = string(lp.g4ab, lp.QualityG4ab, FORMAT="(' g4ab:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 21
      strput, line, "                 ", 43
      segmentValue = string(lp.e2cd, lp.QualityE2cd, FORMAT="(' e2cd:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 43
      strput, line, "                 ", 63
      segmentValue = string(lp.g4cd, lp.QualityG4cd, FORMAT="(' g4cd:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[14]
      strput, line, "                 ", 1
      segmentValue = string(lp.e3ab, lp.QualityE3ab, FORMAT="(' e3ab:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 1
      strput, line, "                 ", 21
      segmentValue = string(lp.g5ab, lp.QualityG5ab, FORMAT="(' g5ab:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 21
      strput, line, "                 ", 43
      segmentValue = string(lp.e3cd, lp.QualityE3cd, FORMAT="(' e3cd:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 43
      strput, line, "                 ", 63
      segmentValue = string(lp.g5cd, lp.QualityG5cd, FORMAT="(' g5cd:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[15]
      strput, line, "                 ", 1
      segmentValue = string(lp.e4ab, lp.QualityE4ab, FORMAT="(' e4ab:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 1
      strput, line, "                 ", 21
      segmentValue = string(lp.g6ab, lp.QualityG6ab, FORMAT="(' g6ab:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 21
      strput, line, "                 ", 43
      segmentValue = string(lp.e4cd, lp.QualityE4cd, FORMAT="(' e4cd:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 43
      strput, line, "                 ", 63
      segmentValue = string(lp.g6cd, lp.QualityG6cd, FORMAT="(' g6cd:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[16]
      strput, line, "                 ", 1
      segmentValue = string(lp.e5ab, lp.QualityE5ab, FORMAT="(' e5ab:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 1
      strput, line, "                 ", 21
      segmentValue = string(lp.g7ab, lp.QualityG7ab, FORMAT="(' g7ab:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 21
      strput, line, "                 ", 43
      segmentValue = string(lp.e5cd, lp.QualityE5cd, FORMAT="(' e5cd:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 43
      strput, line, "                 ", 63
      segmentValue = string(lp.g7cd, lp.QualityG7cd, FORMAT="(' g7cd:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[17]
      strput, line, "                 ", 1
      segmentValue = string(lp.e6ab, lp.QualityE6ab, FORMAT="(' e6ab:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 1
      strput, line, "                   ", 19
      segmentValue = string(lp.adc2ab, lp.QualityAdc2ab, FORMAT="(' adc2ab:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 19
      strput, line, "                 ", 43
      segmentValue = string(lp.e6cd, lp.QualityE6cd, FORMAT="(' e6cd:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 43
      strput, line, "                   ", 61
      segmentValue = string(lp.adc2cd, lp.QualityAdc2cd, FORMAT="(' adc2cd:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 61
      printf, lunit, line
   line = template[18]
      strput, line, "                 ", 1
      segmentValue = string(lp.e7ab, lp.QualityE7ab, FORMAT="(' e7ab:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 1
      strput, line, "                   ", 19
      segmentValue = string(lp.mnrgab, lp.QualityMnrgab, FORMAT="(' mnrgab:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 19
      strput, line, "                 ", 43
      segmentValue = string(lp.e7cd, lp.QualityE7cd, FORMAT="(' e7cd:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 43
      strput, line, "                   ", 61
      segmentValue = string(lp.mnrgcd, lp.QualityMnrgcd, FORMAT="(' mnrgcd:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 61
      printf, lunit, line
   line = template[19]
      strput, line, "                 ", 1
      segmentValue = string(lp.e8ab, lp.QualityE8ab, FORMAT="(' e8ab:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 1
      strput, line, "                 ", 21
      segmentValue = string(lp.z1ab, lp.QualityZ1ab, FORMAT="(' z1ab:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 21
      strput, line, "                 ", 43
      segmentValue = string(lp.e8cd, lp.QualityE8cd, FORMAT="(' e8cd:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 43
      strput, line, "                 ", 63
      segmentValue = string(lp.z1cd, lp.QualityZ1cd, FORMAT="(' z1cd:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[20]
      strput, line, "                 ", 1
      segmentValue = string(lp.e9ab, lp.QualityE9ab, FORMAT="(' e9ab:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 1
      strput, line, "                 ", 21
      segmentValue = string(lp.z2ab, lp.QualityZ2ab, FORMAT="(' z2ab:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 21
      strput, line, "                 ", 43
      segmentValue = string(lp.e9cd, lp.QualityE9cd, FORMAT="(' e9cd:', f7.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 43
      strput, line, "                 ", 63
      segmentValue = string(lp.z2cd, lp.QualityZ2cd, FORMAT="(' z2cd:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[21]
      strput, line, "                     ", 17
      segmentValue = string(lp.z_gt_2ab, lp.QualityZ_gt_2ab, FORMAT="(' z_gt_2ab:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 17
      strput, line, "                     ", 59
      segmentValue = string(lp.z_gt_2cd, lp.QualityZ_gt_2cd, FORMAT="(' z_gt_2cd:', f7.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      printf, lunit, line

end
