; $Id: dumpl1_1crissummary.pro,v 1.2 1998/07/31 00:33:21 rgr Exp $

; $RCSfile: dumpl1_1crissummary.pro,v $
; $Author: rgr $
; $Date: 1998/07/31 00:33:21 $
; $Revision: 1.2 $


pro dumpL1_1CrisSummary, sum, LUN=lun

   lunit = -1
   if (keyword_set(lun)) then lunit = lun

   template = strarr(6)

   template[0] = "CRIS Summary <start time               >   <S/C Clock: xxxxxxxxxx>   <MJF: x xx>"
   template[1] = "Hskp:<hskp0  >                                                   <Quality: xx>"
   template[2] = ""
   template[3] = "  <MainBusVoltage: xx.xxx>V   <InternalTemperature1: xxx.xx>DegC"
   template[4] = "     <CrisCurrent: xx.xxx>A   <InternalTemperature2: xxx.xx>DegC"
   template[5] = "                              <InterfaceTemperature: xxx.xx>DegC"

   line = template[0]
      strput, line, "                           ", 13
      segmentValue = string(stringDate1996(sum.Second1996), sum.microsecond, FORMAT="(a, '.', i6.6)")
      strput, line, segmentValue, 13
      strput, line, "                       ", 43
      segmentValue = string(sum.ClockMinorFrame, FORMAT="(' S/C Clock: ', i10.10, ' ')")
      strput, line, segmentValue, 43
      strput, line, "           ", 69
      segmentValue = string(sum.MajorFrameCount, sum.MinorFrameCount, FORMAT="(' MJF: ', i1, ' ', i2.2, ' ')")
      strput, line, segmentValue, 69
      printf, lunit, line
   line = template[1]
      strput, line, "         ", 5
      segmentValue = string(sum.CrisHskp[0], sum.CrisHskp[1], sum.CrisHskp[2], FORMAT="(' ', z2.2, z2.2, z2.2, '  ')")
      strput, line, segmentValue, 5
      strput, line, "             ", 65
      segmentValue = string(sum.quality, FORMAT="(' Quality: ', z2.2, ' ')")
      strput, line, segmentValue, 65
      printf, lunit, line
   line = template[2]
      printf, lunit, line
   line = template[3]
      strput, line, "                        ", 2
      segmentValue = string(sum.MainBusVoltage, FORMAT="(' MainBusVoltage:', f7.3, ' ')")
      strput, line, segmentValue, 2
      strput, line, "                              ", 30
      segmentValue = string(sum.CrisInternalTemperature1, FORMAT="(' InternalTemperature1:', f7.3, ' ')")
      strput, line, segmentValue, 30
      printf, lunit, line
   line = template[4]
      strput, line, "                     ", 5
      segmentValue = string(sum.CrisCurrent, FORMAT="(' CrisCurrent:', f7.3, ' ')")
      strput, line, segmentValue, 5
      strput, line, "                              ", 30
      segmentValue = string(sum.CrisInternalTemperature2, FORMAT="(' InternalTemperature2:', f7.3, ' ')")
      strput, line, segmentValue, 30
      printf, lunit, line
   line = template[5]
      strput, line, "                              ", 30
      segmentValue = string(sum.CrisInterfaceTemperature, FORMAT="(' InterfaceTemperature:', f7.3, ' ')")
      strput, line, segmentValue, 30
      printf, lunit, line

end
