; $Id: dumpl1crislowpriorityratesingle.pro,v 1.1 1998/05/04 20:09:42 rgr Exp $

; $RCSfile: dumpl1crislowpriorityratesingle.pro,v $
; $Author: rgr $
; $Date: 1998/05/04 20:09:42 $
; $Revision: 1.1 $


pro dumpL1CrisLowPriorityRateSingle, lp, LUN=lun

   lunit = -1
   if (keyword_set(lun)) then lunit = lun

   template = strarr(22)

   template[00] = "CRIS Low Priority Rates - <start time               >   <S/C Clock: xxxxxxxxxx>"
   template[01] = ""
   template[02] = "<livetim: xxxxxxx xx>   <ntagint: xxxxxx xx>   <nmacsys: xxxxxx xx>"
   template[03] = "<helivet: xxxxxxx xx>   <nvldint: xxxxxx xx>     <stmco: xxxxxx xx>"
   template[04] = "<hylivet: xxxxxxx xx>   <nevproc: xxxxxx xx>    <stmoff: xxxxxx xx>"
   template[05] = "<trg0rat: xxxxxxx xx>   <nrtproc: xxxxxx xx>    <hazard: xxxxxx xx>"
   template[06] = "<trg1rat: xxxxxxx xx>   <nsfterr: xxxxxx xx>        <gh: xxxxxx xx>"
   template[07] = "  <trg01: xxxxxxx xx>    <nbadid: xxxxxx xx>       <mor: xxxxxx xx>"
   template[08] = "<nhdwrej: xxxxxxx xx>   <ncebful: xxxxxx xx>       <hor: xxxxxx xx>"
   template[09] = "                        <nrebful: xxxxxx xx>"
   template[10] = ""
   template[11] = "  <e1a: xxxxxx xx>   <g2ab: xxxxxx xx>      <e1c: xxxxxx xx>   <g2cd: xxxxxx xx>"
   template[12] = "  <e1b: xxxxxx xx>   <g3ab: xxxxxx xx>      <e1d: xxxxxx xx>   <g3cd: xxxxxx xx>"
   template[13] = " <e2ab: xxxxxx xx>   <g4ab: xxxxxx xx>     <e2cd: xxxxxx xx>   <g4cd: xxxxxx xx>"
   template[14] = " <e3ab: xxxxxx xx>   <g5ab: xxxxxx xx>     <e3cd: xxxxxx xx>   <g5cd: xxxxxx xx>"
   template[15] = " <e4ab: xxxxxx xx>   <g6ab: xxxxxx xx>     <e4cd: xxxxxx xx>   <g6cd: xxxxxx xx>"
   template[16] = " <e5ab: xxxxxx xx>   <g7ab: xxxxxx xx>     <e5cd: xxxxxx xx>   <g7cd: xxxxxx xx>"
   template[17] = " <e6ab: xxxxxx xx> <adc2ab: xxxxxx xx>     <e6cd: xxxxxx xx> <adc2cd: xxxxxx xx>"
   template[18] = " <e7ab: xxxxxx xx> <mnrgab: xxxxxx xx>     <e7cd: xxxxxx xx> <mnrgcd: xxxxxx xx>"
   template[19] = " <e8ab: xxxxxx xx>   <z1ab: xxxxxx xx>     <e8cd: xxxxxx xx>   <z1cd: xxxxxx xx>"
   template[20] = " <e9ab: xxxxxx xx>   <z2ab: xxxxxx xx>     <e9cd: xxxxxx xx>   <z2cd: xxxxxx xx>"
   template[21] = "                 <z_gt_2ab: xxxxxx xx>                     <z_gt_2cd: xxxxxx xx>"

   line = template[0]
      strput, line, "                           ", 26
      segmentValue = string(stringDate1996(lp.Second1996), lp.microsecond, FORMAT="(a, '.', i6.6)")
      strput, line, segmentValue, 26
      strput, line, "                       ", 56
      segmentValue = string(lp.ClockCycle, FORMAT="(' S/C Clock: ', i10.10, ' ')")
      strput, line, segmentValue, 56
      printf, lunit, line
   line = template[1]
      printf, lunit, line
   line = template[2]
      strput, line, "                     ", 0
      segmentValue = string(lp.livetim, lp.QualityLivetim, FORMAT="(' livetim: ', i7, ' ', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "                    ", 24
      segmentValue = string(lp.ntagint, lp.QualityNtagint, FORMAT="(' ntagint: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                    ", 47
      segmentValue = string(lp.nmacsys, lp.QualityNmacsys, FORMAT="(' nmacsys: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 47
      printf, lunit, line
   line = template[3]
      strput, line, "                     ", 0
      segmentValue = string(lp.helivet, lp.QualityHelivet, FORMAT="(' helivet: ', i7, ' ', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "                    ", 24
      segmentValue = string(lp.nvldint, lp.QualityNvldint, FORMAT="(' nvldint: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                  ", 49
      segmentValue = string(lp.stmco, lp.QualityStmco, FORMAT="(' stmco: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 49
      printf, lunit, line
   line = template[4]
      strput, line, "                     ", 0
      segmentValue = string(lp.hylivet, lp.QualityHylivet, FORMAT="(' hylivet: ', i7, ' ', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "                    ", 24
      segmentValue = string(lp.nevproc, lp.QualityNevproc, FORMAT="(' nevproc: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                   ", 48
      segmentValue = string(lp.stmoff, lp.QualityStmoff, FORMAT="(' stmoff: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 48
      printf, lunit, line
   line = template[5]
      strput, line, "                     ", 0
      segmentValue = string(uncompressCrisRate(lp.trg0rat), lp.QualityTrg0rat, FORMAT="(' trg0rat: ', i7, ' ', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "                    ", 24
      segmentValue = string(lp.nrtproc, lp.QualityNrtproc, FORMAT="(' nrtproc: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                   ", 48
      segmentValue = string(lp.hazard, lp.QualityHazard, FORMAT="(' hazard: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 48
      printf, lunit, line
   line = template[6]
      strput, line, "                     ", 0
      segmentValue = string(uncompressCrisRate(lp.trg1rat), lp.QualityTrg1rat, FORMAT="(' trg1rat: ', i7, ' ', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "                    ", 24
      segmentValue = string(lp.nsfterr, lp.QualityNsfterr, FORMAT="(' nsfterr: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "               ", 52
      segmentValue = string(lp.gh, lp.QualityGh, FORMAT="(' gh: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 52
      printf, lunit, line
   line = template[7]
      strput, line, "                   ", 2
      segmentValue = string(uncompressCrisRate(lp.trg01), lp.QualityTrg01, FORMAT="(' trg01: ', i7, ' ', z2.2, ' ')")
      strput, line, segmentValue, 2
      strput, line, "                   ", 25
      segmentValue = string(lp.nbadid, lp.QualityNbadid, FORMAT="(' nbadid: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 25
      strput, line, "                ", 51
      segmentValue = string(lp.mor, lp.QualityMor, FORMAT="(' mor: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 51
      printf, lunit, line
   line = template[8]
      strput, line, "                     ", 0
      segmentValue = string(uncompressCrisRate(lp.nhdwrej), lp.QualityNhdwrej, FORMAT="(' nhdwrej: ', i7, ' ', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "                    ", 24
      segmentValue = string(lp.ncebful, lp.QualityNcebful, FORMAT="(' ncebful: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      strput, line, "                ", 51
      segmentValue = string(lp.hor, lp.QualityHor, FORMAT="(' hor: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 51
      printf, lunit, line
   line = template[9]
      strput, line, "                    ", 24
      segmentValue = string(lp.nrebful, lp.QualityNrebful, FORMAT="(' nrebful: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 24
      printf, lunit, line
   line = template[10]
      printf, lunit, line
   line = template[11]
      strput, line, "                ", 2
      segmentValue = string(lp.e1a, lp.QualityE1a, FORMAT="(' e1a: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 2
      strput, line, "                 ", 21
      segmentValue = string(lp.g2ab, lp.QualityG2ab, FORMAT="(' g2ab: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 21
      strput, line, "                ", 44
      segmentValue = string(lp.e1c, lp.QualityE1c, FORMAT="(' e1c: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 44
      strput, line, "                 ", 63
      segmentValue = string(lp.g2cd, lp.QualityG2cd, FORMAT="(' g2cd: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[12]
      strput, line, "                ", 2
      segmentValue = string(lp.e1b, lp.QualityE1b, FORMAT="(' e1b: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 2
      strput, line, "                 ", 21
      segmentValue = string(lp.g3ab, lp.QualityG3ab, FORMAT="(' g3ab: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 21
      strput, line, "                ", 44
      segmentValue = string(lp.e1d, lp.QualityE1d, FORMAT="(' e1d: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 44
      strput, line, "                 ", 63
      segmentValue = string(lp.g3cd, lp.QualityG3cd, FORMAT="(' g3cd: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[13]
      strput, line, "                 ", 1
      segmentValue = string(lp.e2ab, lp.QualityE2ab, FORMAT="(' e2ab: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 1
      strput, line, "                 ", 21
      segmentValue = string(lp.g4ab, lp.QualityG4ab, FORMAT="(' g4ab: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 21
      strput, line, "                 ", 43
      segmentValue = string(lp.e2cd, lp.QualityE2cd, FORMAT="(' e2cd: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 43
      strput, line, "                 ", 63
      segmentValue = string(lp.g4cd, lp.QualityG4cd, FORMAT="(' g4cd: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[14]
      strput, line, "                 ", 1
      segmentValue = string(lp.e3ab, lp.QualityE3ab, FORMAT="(' e3ab: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 1
      strput, line, "                 ", 21
      segmentValue = string(lp.g5ab, lp.QualityG5ab, FORMAT="(' g5ab: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 21
      strput, line, "                 ", 43
      segmentValue = string(lp.e3cd, lp.QualityE3cd, FORMAT="(' e3cd: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 43
      strput, line, "                 ", 63
      segmentValue = string(lp.g5cd, lp.QualityG5cd, FORMAT="(' g5cd: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[15]
      strput, line, "                 ", 1
      segmentValue = string(lp.e4ab, lp.QualityE4ab, FORMAT="(' e4ab: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 1
      strput, line, "                 ", 21
      segmentValue = string(lp.g6ab, lp.QualityG6ab, FORMAT="(' g6ab: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 21
      strput, line, "                 ", 43
      segmentValue = string(lp.e4cd, lp.QualityE4cd, FORMAT="(' e4cd: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 43
      strput, line, "                 ", 63
      segmentValue = string(lp.g6cd, lp.QualityG6cd, FORMAT="(' g6cd: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[16]
      strput, line, "                 ", 1
      segmentValue = string(lp.e5ab, lp.QualityE5ab, FORMAT="(' e5ab: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 1
      strput, line, "                 ", 21
      segmentValue = string(lp.g7ab, lp.QualityG7ab, FORMAT="(' g7ab: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 21
      strput, line, "                 ", 43
      segmentValue = string(lp.e5cd, lp.QualityE5cd, FORMAT="(' e5cd: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 43
      strput, line, "                 ", 63
      segmentValue = string(lp.g7cd, lp.QualityG7cd, FORMAT="(' g7cd: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[17]
      strput, line, "                 ", 1
      segmentValue = string(lp.e6ab, lp.QualityE6ab, FORMAT="(' e6ab: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 1
      strput, line, "                   ", 19
      segmentValue = string(lp.adc2ab, lp.QualityAdc2ab, FORMAT="(' adc2ab: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 19
      strput, line, "                 ", 43
      segmentValue = string(lp.e6cd, lp.QualityE6cd, FORMAT="(' e6cd: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 43
      strput, line, "                   ", 61
      segmentValue = string(lp.adc2cd, lp.QualityAdc2cd, FORMAT="(' adc2cd: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 61
      printf, lunit, line
   line = template[18]
      strput, line, "                 ", 1
      segmentValue = string(lp.e7ab, lp.QualityE7ab, FORMAT="(' e7ab: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 1
      strput, line, "                   ", 19
      segmentValue = string(lp.mnrgab, lp.QualityMnrgab, FORMAT="(' mnrgab: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 19
      strput, line, "                 ", 43
      segmentValue = string(lp.e7cd, lp.QualityE7cd, FORMAT="(' e7cd: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 43
      strput, line, "                   ", 61
      segmentValue = string(lp.mnrgcd, lp.QualityMnrgcd, FORMAT="(' mnrgcd: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 61
      printf, lunit, line
   line = template[19]
      strput, line, "                 ", 1
      segmentValue = string(lp.e8ab, lp.QualityE8ab, FORMAT="(' e8ab: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 1
      strput, line, "                 ", 21
      segmentValue = string(lp.z1ab, lp.QualityZ1ab, FORMAT="(' z1ab: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 21
      strput, line, "                 ", 43
      segmentValue = string(lp.e8cd, lp.QualityE8cd, FORMAT="(' e8cd: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 43
      strput, line, "                 ", 63
      segmentValue = string(lp.z1cd, lp.QualityZ1cd, FORMAT="(' z1cd: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[20]
      strput, line, "                 ", 1
      segmentValue = string(lp.e9ab, lp.QualityE9ab, FORMAT="(' e9ab: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 1
      strput, line, "                 ", 21
      segmentValue = string(lp.z2ab, lp.QualityZ2ab, FORMAT="(' z2ab: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 21
      strput, line, "                 ", 43
      segmentValue = string(lp.e9cd, lp.QualityE9cd, FORMAT="(' e9cd: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 43
      strput, line, "                 ", 63
      segmentValue = string(lp.z2cd, lp.QualityZ2cd, FORMAT="(' z2cd: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[21]
      strput, line, "                     ", 17
      segmentValue = string(lp.z_gt_2ab, lp.QualityZ_gt_2ab, FORMAT="(' z_gt_2ab: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 17
      strput, line, "                     ", 59
      segmentValue = string(lp.z_gt_2cd, lp.QualityZ_gt_2cd, FORMAT="(' z_gt_2cd: ', i6, ' ', z2.2, ' ')")
      strput, line, segmentValue, 59
      printf, lunit, line

end
