; $Id: dumpl1_1sishighpriorityrate.pro,v 1.2 1998/07/31 01:38:42 rgr Exp $

; $RCSfile: dumpl1_1sishighpriorityrate.pro,v $
; $Author: rgr $
; $Date: 1998/07/31 01:38:42 $
; $Revision: 1.2 $


pro dumpL1_1SisHighPriorityRate, hp, LUN=lun

   lunit = -1
   if (keyword_set(lun)) then lunit = lun

   template = strarr(22)

   template[00] = "SIS High Priority Rates ---- <Coincidence mask: xxxx xx>"
   template[01] = "<start time               >      <S/C Clock: xxxxxxxxxx>"
   template[02] = ""
   template[03] = "Quality           Rate   Name"
   template[04] = "<q{0} >  0. <rate{0} > :<name{0}                                >"
   template[05] = "<q{1} >  1. <rate{1} > :<name{1}                                >"
   template[06] = "<q{2} >  2. <rate{2} > :<name{2}                                >"
   template[07] = "<q{3} >  3. <rate{3} > :<name{3}                                >"
   template[08] = "<q{4} >  4. <rate{4} > :<name{4}                                >"
   template[09] = "<q{5} >  5. <rate{5} > :<name{5}                                >"
   template[10] = "<q{6} >  6. <rate{6} > :<name{6}                                >"
   template[11] = "<q{7} >  7. <rate{7} > :<name{7}                                >"
   template[12] = "<q{8} >  8. <rate{8} > :<name{8}                                >"
   template[13] = "<q{9} >  9. <rate{9} > :<name{9}                                >"
   template[14] = "<q{10}> 10. <rate{10}> :<name{10}                               >"
   template[15] = "<q{11}> 11. <rate{11}> :<name{11}                               >"
   template[16] = "<q{12}> 12. <rate{12}> :<name{12}                               >"
   template[17] = "<q{13}> 13. <rate{13}> :<name{13}                               >"
   template[18] = "<q{14}> 14. <rate{14}> :<name{14}                               >"
   template[19] = "<q{15}> 15. <rate{15}> :<name{15}                               >"
   template[20] = "<q{16}> 16. <rate{16}> :<name{16}                               >"
   template[21] = "<q{17}> 17. <rate{17}> :<name{17}                               >"

   line = template[0]
      strput, line, "                           ", 29
      segmentValue = string(expandUint16(hp.CoinMask), hp.QualityCoinMask, FORMAT="(' Coincidence mask: ', z4.4, ' ', z2.2)")
      strput, line, segmentValue, 29
      printf, lunit, line
   line = template[1]
      strput, line, "                           ", 0
      segmentValue = string(stringDate1996(hp.Second1996), hp.microsecond, FORMAT="(a, '.', i6.6)")
      strput, line, segmentValue, 0
      strput, line, "                       ", 33
      segmentValue = string(hp.ClockMinorFrame, FORMAT="(' S/C Clock: ', i10.10, ' ')")
      strput, line, segmentValue, 33
      printf, lunit, line
   line = template[2]
      printf, lunit, line
   line = template[3]
      printf, lunit, line
   line = template[4]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[0], hp.QualityDefinition[0], FORMAT="(' ', z2.2, ':', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(hp.hp[0], FORMAT="(f10.3)")
      strput, line, segmentValue, 12
      strput, line, "                                         ", 24
      segmentValue = string(stringSisHighPriorityRate(hp.definition[0],hp.CoinMask), FORMAT="(' ', a)")
      strput, line, segmentValue, 24
      printf, lunit, line
   line = template[5]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[1], hp.QualityDefinition[1], FORMAT="(' ', z2.2, ':', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(hp.hp[1], FORMAT="(f10.3)")
      strput, line, segmentValue, 12
      strput, line, "                                         ", 24
      segmentValue = string(stringSisHighPriorityRate(hp.definition[1],hp.CoinMask), FORMAT="(' ', a)")
      strput, line, segmentValue, 24
      printf, lunit, line
   line = template[6]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[2], hp.QualityDefinition[2], FORMAT="(' ', z2.2, ':', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(hp.hp[2], FORMAT="(f10.3)")
      strput, line, segmentValue, 12
      strput, line, "                                         ", 24
      segmentValue = string(stringSisHighPriorityRate(hp.definition[2],hp.CoinMask), FORMAT="(' ', a)")
      strput, line, segmentValue, 24
      printf, lunit, line
   line = template[7]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[3], hp.QualityDefinition[3], FORMAT="(' ', z2.2, ':', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(hp.hp[3], FORMAT="(f10.3)")
      strput, line, segmentValue, 12
      strput, line, "                                         ", 24
      segmentValue = string(stringSisHighPriorityRate(hp.definition[3],hp.CoinMask), FORMAT="(' ', a)")
      strput, line, segmentValue, 24
      printf, lunit, line
   line = template[8]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[4], hp.QualityDefinition[4], FORMAT="(' ', z2.2, ':', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(hp.hp[4], FORMAT="(f10.3)")
      strput, line, segmentValue, 12
      strput, line, "                                         ", 24
      segmentValue = string(stringSisHighPriorityRate(hp.definition[4],hp.CoinMask), FORMAT="(' ', a)")
      strput, line, segmentValue, 24
      printf, lunit, line
   line = template[9]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[5], hp.QualityDefinition[5], FORMAT="(' ', z2.2, ':', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(hp.hp[5], FORMAT="(f10.3)")
      strput, line, segmentValue, 12
      strput, line, "                                         ", 24
      segmentValue = string(stringSisHighPriorityRate(hp.definition[5],hp.CoinMask), FORMAT="(' ', a)")
      strput, line, segmentValue, 24
      printf, lunit, line
   line = template[10]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[6], hp.QualityDefinition[6], FORMAT="(' ', z2.2, ':', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(hp.hp[6], FORMAT="(f10.3)")
      strput, line, segmentValue, 12
      strput, line, "                                         ", 24
      segmentValue = string(stringSisHighPriorityRate(hp.definition[6],hp.CoinMask), FORMAT="(' ', a)")
      strput, line, segmentValue, 24
      printf, lunit, line
   line = template[11]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[7], hp.QualityDefinition[7], FORMAT="(' ', z2.2, ':', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(hp.hp[7], FORMAT="(f10.3)")
      strput, line, segmentValue, 12
      strput, line, "                                         ", 24
      segmentValue = string(stringSisHighPriorityRate(hp.definition[7],hp.CoinMask), FORMAT="(' ', a)")
      strput, line, segmentValue, 24
      printf, lunit, line
   line = template[12]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[8], hp.QualityDefinition[8], FORMAT="(' ', z2.2, ':', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(hp.hp[8], FORMAT="(f10.3)")
      strput, line, segmentValue, 12
      strput, line, "                                         ", 24
      segmentValue = string(stringSisHighPriorityRate(hp.definition[8],hp.CoinMask), FORMAT="(' ', a)")
      strput, line, segmentValue, 24
      printf, lunit, line
   line = template[13]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[9], hp.QualityDefinition[9], FORMAT="(' ', z2.2, ':', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(hp.hp[9], FORMAT="(f10.3)")
      strput, line, segmentValue, 12
      strput, line, "                                         ", 24
      segmentValue = string(stringSisHighPriorityRate(hp.definition[9],hp.CoinMask), FORMAT="(' ', a)")
      strput, line, segmentValue, 24
      printf, lunit, line
   line = template[14]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[10], hp.QualityDefinition[10], FORMAT="(' ', z2.2, ':', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(hp.hp[10], FORMAT="(f10.3)")
      strput, line, segmentValue, 12
      strput, line, "                                         ", 24
      segmentValue = string(stringSisHighPriorityRate(hp.definition[10],hp.CoinMask), FORMAT="(' ', a)")
      strput, line, segmentValue, 24
      printf, lunit, line
   line = template[15]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[11], hp.QualityDefinition[11], FORMAT="(' ', z2.2, ':', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(hp.hp[11], FORMAT="(f10.3)")
      strput, line, segmentValue, 12
      strput, line, "                                         ", 24
      segmentValue = string(stringSisHighPriorityRate(hp.definition[11],hp.CoinMask), FORMAT="(' ', a)")
      strput, line, segmentValue, 24
      printf, lunit, line
   line = template[16]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[12], hp.QualityDefinition[12], FORMAT="(' ', z2.2, ':', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(hp.hp[12], FORMAT="(f10.3)")
      strput, line, segmentValue, 12
      strput, line, "                                         ", 24
      segmentValue = string(stringSisHighPriorityRate(hp.definition[12],hp.CoinMask), FORMAT="(' ', a)")
      strput, line, segmentValue, 24
      printf, lunit, line
   line = template[17]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[13], hp.QualityDefinition[13], FORMAT="(' ', z2.2, ':', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(hp.hp[13], FORMAT="(f10.3)")
      strput, line, segmentValue, 12
      strput, line, "                                         ", 24
      segmentValue = string(stringSisHighPriorityRate(hp.definition[13],hp.CoinMask), FORMAT="(' ', a)")
      strput, line, segmentValue, 24
      printf, lunit, line
   line = template[18]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[14], hp.QualityDefinition[14], FORMAT="(' ', z2.2, ':', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(hp.hp[14], FORMAT="(f10.3)")
      strput, line, segmentValue, 12
      strput, line, "                                         ", 24
      segmentValue = string(stringSisHighPriorityRate(hp.definition[14],hp.CoinMask), FORMAT="(' ', a)")
      strput, line, segmentValue, 24
      printf, lunit, line
   line = template[19]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[15], hp.QualityDefinition[15], FORMAT="(' ', z2.2, ':', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(hp.hp[15], FORMAT="(f10.3)")
      strput, line, segmentValue, 12
      strput, line, "                                         ", 24
      segmentValue = string(stringSisHighPriorityRate(hp.definition[15],hp.CoinMask), FORMAT="(' ', a)")
      strput, line, segmentValue, 24
      printf, lunit, line
   line = template[20]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[16], hp.QualityDefinition[16], FORMAT="(' ', z2.2, ':', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(hp.hp[16], FORMAT="(f10.3)")
      strput, line, segmentValue, 12
      strput, line, "                                         ", 24
      segmentValue = string(stringSisHighPriorityRate(hp.definition[16],hp.CoinMask), FORMAT="(' ', a)")
      strput, line, segmentValue, 24
      printf, lunit, line
   line = template[21]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[17], hp.QualityDefinition[17], FORMAT="(' ', z2.2, ':', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 12
      segmentValue = string(hp.hp[17], FORMAT="(f10.3)")
      strput, line, segmentValue, 12
      strput, line, "                                         ", 24
      segmentValue = string(stringSisHighPriorityRate(hp.definition[17],hp.CoinMask), FORMAT="(' ', a)")
      strput, line, segmentValue, 24
      printf, lunit, line

end
