; $Id: dumpl1_1sisrawevent.pro,v 1.1 1998/05/04 20:36:03 rgr Exp $

; $RCSfile: dumpl1_1sisrawevent.pro,v $
; $Author: rgr $
; $Date: 1998/05/04 20:36:03 $
; $Revision: 1.1 $


pro dumpL1_1SisRawEvent, raw, LUN=lun

   lunit = -1
   if (keyword_set(lun)) then lunit = lun

   template = strarr(45)

   template[00] = "Telescope A:                               Telescope B:"
   template[01] = ""
   template[02] = "<t1: x>   <m1: x>       <hiz: x>           <t1: y>   <m1: y>       <hiz: y>"
   template[03] = "<t2: x>  <m1h: x> <maybe_hiz: x>           <t2: y>  <m1h: y> <maybe_hiz: y>"
   template[04] = "<t3: x>   <m2: x>        <z2: x>           <t3: y>   <m2: y>        <z2: y>"
   template[05] = "<t4: x>  <m2h: x>  <maybe_z2: x>           <t4: y>  <m2h: y>  <maybe_z2: y>"
   template[06] = "<t5: x>  <m12: x>  <maybe_z1: x>           <t5: y>  <m12: y>  <maybe_z1: y>"
   template[07] = "<t6: x> <adc2: x>   <time_m1: xx>          <t6: y> <adc2: y>   <time_m1: yy>"
   template[08] = "<t7: x> <adc3: x>   <time_m2: xx>          <t7: y> <adc3: y>   <time_m2: yy>"
   template[09] = "<t8: x>  <mor: x>   <time_t1: xx>          <t8: y>  <mor: y>   <time_t1: yy>"
   template[10] = "         <hor: x>                                   <hor: y>"
   template[11] = ""
   template[12] = "                                m1-  m1-    m1+  m1+    m2-  m2-    m2+  m2+"
   template[13] = "   <cycle count: xxx>   00/32 <m1-{0}  >  <m1+{0}  >  <m2-{0}  >  <m2+{0}  >"
   template[14] = "         <phase: xx>    01/33 <m1-{1}  >  <m1+{1}  >  <m2-{1}  >  <m2+{1}  >"
   template[15] = "                        02/34 <m1-{2}  >  <m1+{2}  >  <m2-{2}  >  <m2+{2}  >"
   template[16] = "       <telescope: x>   03/35 <m1-{3}  >  <m1+{3}  >  <m2-{3}  >  <m2+{3}  >"
   template[17] = "           <class: x>   04/36 <m1-{4}  >  <m1+{4}  >  <m2-{4}  >  <m2+{4}  >"
   template[18] = "      <coin_valid: x>   05/37 <m1-{5}  >  <m1+{5}  >  <m2-{5}  >  <m2+{5}  >"
   template[19] = "        <rej_fast: x>   06/38 <m1-{6}  >  <m1+{6}  >  <m2-{6}  >  <m2+{6}  >"
   template[20] = "       <stim_anti: x>   07/39 <m1-{7}  >  <m1+{7}  >  <m2-{7}  >  <m2+{7}  >"
   template[21] = "       <stim_coin: x>   08/40 <m1-{8}  >  <m1+{8}  >  <m2-{8}  >  <m2+{8}  >"
   template[22] = "     <stim_offset: x>   09/41 <m1-{9}  >  <m1+{9}  >  <m2-{9}  >  <m2+{9}  >"
   template[23] = "          <hazard: x>   10/42 <m1-{10} >  <m1+{10} >  <m2-{10} >  <m2+{10} >"
   template[24] = " <hydrogen_enable: x>   11/43 <m1-{11} >  <m1+{11} >  <m2-{11} >  <m2+{11} >"
   template[25] = "   <helium_enable: x>   12/44 <m1-{12} >  <m1+{12} >  <m2-{12} >  <m2+{12} >"
   template[26] = "<stop_acknowledge: x>   13/45 <m1-{13} >  <m1+{13} >  <m2-{13} >  <m2+{13} >"
   template[27] = "                        14/46 <m1-{14} >  <m1+{14} >  <m2-{14} >  <m2+{14} >"
   template[28] = "           <t1: xxxx>   15/47 <m1-{15} >  <m1+{15} >  <m2-{15} >  <m2+{15} >"
   template[29] = "           <t2: xxxx>   16/48 <m1-{16} >  <m1+{16} >  <m2-{16} >  <m2+{16} >"
   template[30] = "           <t3: xxxx>   17/49 <m1-{17} >  <m1+{17} >  <m2-{17} >  <m2+{17} >"
   template[31] = "           <t4: xxxx>   18/50 <m1-{18} >  <m1+{18} >  <m2-{18} >  <m2+{18} >"
   template[32] = "           <t5: xxxx>   19/51 <m1-{19} >  <m1+{19} >  <m2-{19} >  <m2+{19} >"
   template[33] = "           <t6: xxxx>   20/52 <m1-{20} >  <m1+{20} >  <m2-{20} >  <m2+{20} >"
   template[34] = "           <t7: xxxx>   21/53 <m1-{21} >  <m1+{21} >  <m2-{21} >  <m2+{21} >"
   template[35] = "           <t8: xxxx>   22/54 <m1-{22} >  <m1+{22} >  <m2-{22} >  <m2+{22} >"
   template[36] = "                        23/55 <m1-{23} >  <m1+{23} >  <m2-{23} >  <m2+{23} >"
   template[37] = "                        24/56 <m1-{24} >  <m1+{24} >  <m2-{24} >  <m2+{24} >"
   template[38] = "                        25/57 <m1-{25} >  <m1+{25} >  <m2-{25} >  <m2+{25} >"
   template[39] = "                        26/58 <m1-{26} >  <m1+{26} >  <m2-{26} >  <m2+{26} >"
   template[40] = "                        27/59 <m1-{27} >  <m1+{27} >  <m2-{27} >  <m2+{27} >"
   template[41] = "                        28/60 <m1-{28} >  <m1+{28} >  <m2-{28} >  <m2+{28} >"
   template[42] = "                        29/61 <m1-{29} >  <m1+{29} >  <m2-{29} >  <m2+{29} >"
   template[43] = "                        30/62 <m1-{30} >  <m1+{30} >  <m2-{30} >  <m2+{30} >"
   template[44] = "                        31/63 <m1-{31} >  <m1+{31} >  <m2-{31} >  <m2+{31} >"

   line = template[0]
      printf, lunit, line
   line = template[1]
      printf, lunit, line
   line = template[2]
      strput, line, "       ", 0
      segmentValue = string(raw.a.tag.t1, FORMAT="(' t1: ', i1, ' ')")
      strput, line, segmentValue, 0
      strput, line, "       ", 10
      segmentValue = string(raw.a.tag.m1, FORMAT="(' m1: ', i1, ' ')")
      strput, line, segmentValue, 10
      strput, line, "        ", 24
      segmentValue = string(raw.a.tag.hiz, FORMAT="(' hiz: ', i1, ' ')")
      strput, line, segmentValue, 24
      strput, line, "       ", 43
      segmentValue = string(raw.b.tag.t1, FORMAT="(' t1: ', i1, ' ')")
      strput, line, segmentValue, 43
      strput, line, "       ", 53
      segmentValue = string(raw.b.tag.m1, FORMAT="(' m1: ', i1, ' ')")
      strput, line, segmentValue, 53
      strput, line, "        ", 67
      segmentValue = string(raw.b.tag.hiz, FORMAT="(' hiz: ', i1, ' ')")
      strput, line, segmentValue, 67
      printf, lunit, line
   line = template[3]
      strput, line, "       ", 0
      segmentValue = string(raw.a.tag.t2, FORMAT="(' t2: ', i1, ' ')")
      strput, line, segmentValue, 0
      strput, line, "        ", 9
      segmentValue = string(raw.a.tag.m1h, FORMAT="(' m1h: ', i1, ' ')")
      strput, line, segmentValue, 9
      strput, line, "              ", 18
      segmentValue = string(raw.a.tag.maybe_hiz, FORMAT="(' maybe_hiz: ', i1, ' ')")
      strput, line, segmentValue, 18
      strput, line, "       ", 43
      segmentValue = string(raw.b.tag.t2, FORMAT="(' t2: ', i1, ' ')")
      strput, line, segmentValue, 43
      strput, line, "        ", 52
      segmentValue = string(raw.b.tag.m1h, FORMAT="(' m1h: ', i1, ' ')")
      strput, line, segmentValue, 52
      strput, line, "              ", 61
      segmentValue = string(raw.b.tag.maybe_hiz, FORMAT="(' maybe_hiz: ', i1, ' ')")
      strput, line, segmentValue, 61
      printf, lunit, line
   line = template[4]
      strput, line, "       ", 0
      segmentValue = string(raw.a.tag.t3, FORMAT="(' t3: ', i1, ' ')")
      strput, line, segmentValue, 0
      strput, line, "       ", 10
      segmentValue = string(raw.a.tag.m2, FORMAT="(' m2: ', i1, ' ')")
      strput, line, segmentValue, 10
      strput, line, "       ", 25
      segmentValue = string(raw.a.tag.z2, FORMAT="(' z2: ', i1, ' ')")
      strput, line, segmentValue, 25
      strput, line, "       ", 43
      segmentValue = string(raw.b.tag.t3, FORMAT="(' t3: ', i1, ' ')")
      strput, line, segmentValue, 43
      strput, line, "       ", 53
      segmentValue = string(raw.b.tag.m2, FORMAT="(' m2: ', i1, ' ')")
      strput, line, segmentValue, 53
      strput, line, "       ", 68
      segmentValue = string(raw.b.tag.z2, FORMAT="(' z2: ', i1, ' ')")
      strput, line, segmentValue, 68
      printf, lunit, line
   line = template[5]
      strput, line, "       ", 0
      segmentValue = string(raw.a.tag.t4, FORMAT="(' t4: ', i1, ' ')")
      strput, line, segmentValue, 0
      strput, line, "        ", 9
      segmentValue = string(raw.a.tag.m2h, FORMAT="(' m2h: ', i1, ' ')")
      strput, line, segmentValue, 9
      strput, line, "             ", 19
      segmentValue = string(raw.a.tag.maybe_z2, FORMAT="(' maybe_z2: ', i1, ' ')")
      strput, line, segmentValue, 19
      strput, line, "       ", 43
      segmentValue = string(raw.b.tag.t4, FORMAT="(' t4: ', i1, ' ')")
      strput, line, segmentValue, 43
      strput, line, "        ", 52
      segmentValue = string(raw.b.tag.m2h, FORMAT="(' m2h: ', i1, ' ')")
      strput, line, segmentValue, 52
      strput, line, "             ", 62
      segmentValue = string(raw.b.tag.maybe_z2, FORMAT="(' maybe_z2: ', i1, ' ')")
      strput, line, segmentValue, 62
      printf, lunit, line
   line = template[6]
      strput, line, "       ", 0
      segmentValue = string(raw.a.tag.t5, FORMAT="(' t5: ', i1, ' ')")
      strput, line, segmentValue, 0
      strput, line, "        ", 9
      segmentValue = string(raw.a.tag.m12, FORMAT="(' m12: ', i1, ' ')")
      strput, line, segmentValue, 9
      strput, line, "             ", 19
      segmentValue = string(raw.a.tag.maybe_z1, FORMAT="(' maybe_z1: ', i1, ' ')")
      strput, line, segmentValue, 19
      strput, line, "       ", 43
      segmentValue = string(raw.b.tag.t5, FORMAT="(' t5: ', i1, ' ')")
      strput, line, segmentValue, 43
      strput, line, "        ", 52
      segmentValue = string(raw.b.tag.m12, FORMAT="(' m12: ', i1, ' ')")
      strput, line, segmentValue, 52
      strput, line, "             ", 62
      segmentValue = string(raw.b.tag.maybe_z1, FORMAT="(' maybe_z1: ', i1, ' ')")
      strput, line, segmentValue, 62
      printf, lunit, line
   line = template[7]
      strput, line, "       ", 0
      segmentValue = string(raw.a.tag.t6, FORMAT="(' t6: ', i1, ' ')")
      strput, line, segmentValue, 0
      strput, line, "         ", 8
      segmentValue = string(raw.a.tag.adc2, FORMAT="(' adc2: ', i1, ' ')")
      strput, line, segmentValue, 8
      strput, line, "             ", 20
      segmentValue = string(raw.a.time_m1, FORMAT="(' time_m1: ', i2.2, ' ')")
      strput, line, segmentValue, 20
      strput, line, "       ", 43
      segmentValue = string(raw.b.tag.t6, FORMAT="(' t6: ', i1, ' ')")
      strput, line, segmentValue, 43
      strput, line, "         ", 51
      segmentValue = string(raw.b.tag.adc2, FORMAT="(' adc2: ', i1, ' ')")
      strput, line, segmentValue, 51
      strput, line, "             ", 63
      segmentValue = string(raw.b.time_m1, FORMAT="(' time_m1: ', i2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[8]
      strput, line, "       ", 0
      segmentValue = string(raw.a.tag.t7, FORMAT="(' t7: ', i1, ' ')")
      strput, line, segmentValue, 0
      strput, line, "         ", 8
      segmentValue = string(raw.a.tag.adc3, FORMAT="(' adc3: ', i1, ' ')")
      strput, line, segmentValue, 8
      strput, line, "             ", 20
      segmentValue = string(raw.a.time_m2, FORMAT="(' time_m2: ', i2.2, ' ')")
      strput, line, segmentValue, 20
      strput, line, "       ", 43
      segmentValue = string(raw.b.tag.t7, FORMAT="(' t7: ', i1, ' ')")
      strput, line, segmentValue, 43
      strput, line, "         ", 51
      segmentValue = string(raw.b.tag.adc3, FORMAT="(' adc3: ', i1, ' ')")
      strput, line, segmentValue, 51
      strput, line, "             ", 63
      segmentValue = string(raw.b.time_m2, FORMAT="(' time_m2: ', i2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[9]
      strput, line, "       ", 0
      segmentValue = string(raw.a.tag.t8, FORMAT="(' t8: ', i1, ' ')")
      strput, line, segmentValue, 0
      strput, line, "        ", 9
      segmentValue = string(raw.a.tag.mor, FORMAT="(' mor: ', i1, ' ')")
      strput, line, segmentValue, 9
      strput, line, "             ", 20
      segmentValue = string(raw.a.time_t1, FORMAT="(' time_t1: ', i2.2, ' ')")
      strput, line, segmentValue, 20
      strput, line, "       ", 43
      segmentValue = string(raw.b.tag.t8, FORMAT="(' t8: ', i1, ' ')")
      strput, line, segmentValue, 43
      strput, line, "        ", 52
      segmentValue = string(raw.b.tag.mor, FORMAT="(' mor: ', i1, ' ')")
      strput, line, segmentValue, 52
      strput, line, "             ", 63
      segmentValue = string(raw.b.time_t1, FORMAT="(' time_t1: ', i2.2, ' ')")
      strput, line, segmentValue, 63
      printf, lunit, line
   line = template[10]
      strput, line, "        ", 9
      segmentValue = string(raw.a.tag.hor, FORMAT="(' hor: ', i1, ' ')")
      strput, line, segmentValue, 9
      strput, line, "        ", 52
      segmentValue = string(raw.b.tag.hor, FORMAT="(' hor: ', i1, ' ')")
      strput, line, segmentValue, 52
      printf, lunit, line
   line = template[11]
      printf, lunit, line
   line = template[12]
      printf, lunit, line
   line = template[13]
      strput, line, "                  ", 3
      segmentValue = string(raw.CycleCount, FORMAT="(' cycle count: ', i3.3, ' ')")
      strput, line, segmentValue, 3
      strput, line, "          ", 30
      segmentValue = string(raw.MatrixStrip[0, 0], raw.MatrixStrip[0+32, 0], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(raw.MatrixStrip[0, 1], raw.MatrixStrip[0+32, 1], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(raw.MatrixStrip[0, 2], raw.MatrixStrip[0+32, 2], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(raw.MatrixStrip[0, 3], raw.MatrixStrip[0+32, 3], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[14]
      strput, line, "           ", 9
      segmentValue = string(raw.phase, FORMAT="(' phase: ', i2.2, ' ')")
      strput, line, segmentValue, 9
      strput, line, "          ", 30
      segmentValue = string(raw.MatrixStrip[1, 0], raw.MatrixStrip[1+32, 0], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(raw.MatrixStrip[1, 1], raw.MatrixStrip[1+32, 1], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(raw.MatrixStrip[1, 2], raw.MatrixStrip[1+32, 2], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(raw.MatrixStrip[1, 3], raw.MatrixStrip[1+32, 3], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[15]
      strput, line, "          ", 30
      segmentValue = string(raw.MatrixStrip[2, 0], raw.MatrixStrip[2+32, 0], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(raw.MatrixStrip[2, 1], raw.MatrixStrip[2+32, 1], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(raw.MatrixStrip[2, 2], raw.MatrixStrip[2+32, 2], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(raw.MatrixStrip[2, 3], raw.MatrixStrip[2+32, 3], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[16]
      strput, line, "              ", 7
      segmentValue = string(raw.tag.telescope, FORMAT="(' telescope: ', i1, ' ')")
      strput, line, segmentValue, 7
      strput, line, "          ", 30
      segmentValue = string(raw.MatrixStrip[3, 0], raw.MatrixStrip[3+32, 0], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(raw.MatrixStrip[3, 1], raw.MatrixStrip[3+32, 1], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(raw.MatrixStrip[3, 2], raw.MatrixStrip[3+32, 2], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(raw.MatrixStrip[3, 3], raw.MatrixStrip[3+32, 3], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[17]
      strput, line, "          ", 11
      segmentValue = string(raw.class, FORMAT="(' class: ', i1, ' ')")
      strput, line, segmentValue, 11
      strput, line, "          ", 30
      segmentValue = string(raw.MatrixStrip[4, 0], raw.MatrixStrip[4+32, 0], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(raw.MatrixStrip[4, 1], raw.MatrixStrip[4+32, 1], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(raw.MatrixStrip[4, 2], raw.MatrixStrip[4+32, 2], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(raw.MatrixStrip[4, 3], raw.MatrixStrip[4+32, 3], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[18]
      strput, line, "               ", 6
      segmentValue = string(raw.tag.coin_valid, FORMAT="(' coin_valid: ', i1, ' ')")
      strput, line, segmentValue, 6
      strput, line, "          ", 30
      segmentValue = string(raw.MatrixStrip[5, 0], raw.MatrixStrip[5+32, 0], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(raw.MatrixStrip[5, 1], raw.MatrixStrip[5+32, 1], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(raw.MatrixStrip[5, 2], raw.MatrixStrip[5+32, 2], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(raw.MatrixStrip[5, 3], raw.MatrixStrip[5+32, 3], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[19]
      strput, line, "             ", 8
      segmentValue = string(raw.tag.rej_fast, FORMAT="(' rej_fast: ', i1, ' ')")
      strput, line, segmentValue, 8
      strput, line, "          ", 30
      segmentValue = string(raw.MatrixStrip[6, 0], raw.MatrixStrip[6+32, 0], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(raw.MatrixStrip[6, 1], raw.MatrixStrip[6+32, 1], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(raw.MatrixStrip[6, 2], raw.MatrixStrip[6+32, 2], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(raw.MatrixStrip[6, 3], raw.MatrixStrip[6+32, 3], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[20]
      strput, line, "              ", 7
      segmentValue = string(raw.tag.stim_anti, FORMAT="(' stim_anti: ', i1, ' ')")
      strput, line, segmentValue, 7
      strput, line, "          ", 30
      segmentValue = string(raw.MatrixStrip[7, 0], raw.MatrixStrip[7+32, 0], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(raw.MatrixStrip[7, 1], raw.MatrixStrip[7+32, 1], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(raw.MatrixStrip[7, 2], raw.MatrixStrip[7+32, 2], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(raw.MatrixStrip[7, 3], raw.MatrixStrip[7+32, 3], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[21]
      strput, line, "              ", 7
      segmentValue = string(raw.tag.stim_coin, FORMAT="(' stim_coin: ', i1, ' ')")
      strput, line, segmentValue, 7
      strput, line, "          ", 30
      segmentValue = string(raw.MatrixStrip[8, 0], raw.MatrixStrip[8+32, 0], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(raw.MatrixStrip[8, 1], raw.MatrixStrip[8+32, 1], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(raw.MatrixStrip[8, 2], raw.MatrixStrip[8+32, 2], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(raw.MatrixStrip[8, 3], raw.MatrixStrip[8+32, 3], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[22]
      strput, line, "                ", 5
      segmentValue = string(raw.tag.stim_offset, FORMAT="(' stim_offset: ', i1, ' ')")
      strput, line, segmentValue, 5
      strput, line, "          ", 30
      segmentValue = string(raw.MatrixStrip[9, 0], raw.MatrixStrip[9+32, 0], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(raw.MatrixStrip[9, 1], raw.MatrixStrip[9+32, 1], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(raw.MatrixStrip[9, 2], raw.MatrixStrip[9+32, 2], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(raw.MatrixStrip[9, 3], raw.MatrixStrip[9+32, 3], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[23]
      strput, line, "           ", 10
      segmentValue = string(raw.tag.hazard, FORMAT="(' hazard: ', i1, ' ')")
      strput, line, segmentValue, 10
      strput, line, "          ", 30
      segmentValue = string(raw.MatrixStrip[10, 0], raw.MatrixStrip[10+32, 0], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(raw.MatrixStrip[10, 1], raw.MatrixStrip[10+32, 1], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(raw.MatrixStrip[10, 2], raw.MatrixStrip[10+32, 2], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(raw.MatrixStrip[10, 3], raw.MatrixStrip[10+32, 3], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[24]
      strput, line, "                    ", 1
      segmentValue = string(raw.tag.hydrogen_enable, FORMAT="(' hydrogen_enable: ', i1, ' ')")
      strput, line, segmentValue, 1
      strput, line, "          ", 30
      segmentValue = string(raw.MatrixStrip[11, 0], raw.MatrixStrip[11+32, 0], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(raw.MatrixStrip[11, 1], raw.MatrixStrip[11+32, 1], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(raw.MatrixStrip[11, 2], raw.MatrixStrip[11+32, 2], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(raw.MatrixStrip[11, 3], raw.MatrixStrip[11+32, 3], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[25]
      strput, line, "                  ", 3
      segmentValue = string(raw.tag.helium_enable, FORMAT="(' helium_enable: ', i1, ' ')")
      strput, line, segmentValue, 3
      strput, line, "          ", 30
      segmentValue = string(raw.MatrixStrip[12, 0], raw.MatrixStrip[12+32, 0], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(raw.MatrixStrip[12, 1], raw.MatrixStrip[12+32, 1], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(raw.MatrixStrip[12, 2], raw.MatrixStrip[12+32, 2], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(raw.MatrixStrip[12, 3], raw.MatrixStrip[12+32, 3], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[26]
      strput, line, "                     ", 0
      segmentValue = string(raw.tag.stop_acknowledge, FORMAT="(' stop_acknowledge: ', i1, ' ')")
      strput, line, segmentValue, 0
      strput, line, "          ", 30
      segmentValue = string(raw.MatrixStrip[13, 0], raw.MatrixStrip[13+32, 0], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(raw.MatrixStrip[13, 1], raw.MatrixStrip[13+32, 1], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(raw.MatrixStrip[13, 2], raw.MatrixStrip[13+32, 2], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(raw.MatrixStrip[13, 3], raw.MatrixStrip[13+32, 3], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[27]
      strput, line, "          ", 30
      segmentValue = string(raw.MatrixStrip[14, 0], raw.MatrixStrip[14+32, 0], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(raw.MatrixStrip[14, 1], raw.MatrixStrip[14+32, 1], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(raw.MatrixStrip[14, 2], raw.MatrixStrip[14+32, 2], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(raw.MatrixStrip[14, 3], raw.MatrixStrip[14+32, 3], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[28]
      strput, line, "          ", 11
      segmentValue = string(raw.StackPha[0], FORMAT="(' t1: ', i4, ' ')")
      strput, line, segmentValue, 11
      strput, line, "          ", 30
      segmentValue = string(raw.MatrixStrip[15, 0], raw.MatrixStrip[15+32, 0], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(raw.MatrixStrip[15, 1], raw.MatrixStrip[15+32, 1], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(raw.MatrixStrip[15, 2], raw.MatrixStrip[15+32, 2], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(raw.MatrixStrip[15, 3], raw.MatrixStrip[15+32, 3], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[29]
      strput, line, "          ", 11
      segmentValue = string(raw.StackPha[1], FORMAT="(' t2: ', i4, ' ')")
      strput, line, segmentValue, 11
      strput, line, "          ", 30
      segmentValue = string(raw.MatrixStrip[16, 0], raw.MatrixStrip[16+32, 0], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(raw.MatrixStrip[16, 1], raw.MatrixStrip[16+32, 1], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(raw.MatrixStrip[16, 2], raw.MatrixStrip[16+32, 2], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(raw.MatrixStrip[16, 3], raw.MatrixStrip[16+32, 3], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[30]
      strput, line, "          ", 11
      segmentValue = string(raw.StackPha[2], FORMAT="(' t3: ', i4, ' ')")
      strput, line, segmentValue, 11
      strput, line, "          ", 30
      segmentValue = string(raw.MatrixStrip[17, 0], raw.MatrixStrip[17+32, 0], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(raw.MatrixStrip[17, 1], raw.MatrixStrip[17+32, 1], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(raw.MatrixStrip[17, 2], raw.MatrixStrip[17+32, 2], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(raw.MatrixStrip[17, 3], raw.MatrixStrip[17+32, 3], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[31]
      strput, line, "          ", 11
      segmentValue = string(raw.StackPha[3], FORMAT="(' t4: ', i4, ' ')")
      strput, line, segmentValue, 11
      strput, line, "          ", 30
      segmentValue = string(raw.MatrixStrip[18, 0], raw.MatrixStrip[18+32, 0], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(raw.MatrixStrip[18, 1], raw.MatrixStrip[18+32, 1], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(raw.MatrixStrip[18, 2], raw.MatrixStrip[18+32, 2], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(raw.MatrixStrip[18, 3], raw.MatrixStrip[18+32, 3], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[32]
      strput, line, "          ", 11
      segmentValue = string(raw.StackPha[4], FORMAT="(' t5: ', i4, ' ')")
      strput, line, segmentValue, 11
      strput, line, "          ", 30
      segmentValue = string(raw.MatrixStrip[19, 0], raw.MatrixStrip[19+32, 0], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(raw.MatrixStrip[19, 1], raw.MatrixStrip[19+32, 1], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(raw.MatrixStrip[19, 2], raw.MatrixStrip[19+32, 2], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(raw.MatrixStrip[19, 3], raw.MatrixStrip[19+32, 3], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[33]
      strput, line, "          ", 11
      segmentValue = string(raw.StackPha[5], FORMAT="(' t6: ', i4, ' ')")
      strput, line, segmentValue, 11
      strput, line, "          ", 30
      segmentValue = string(raw.MatrixStrip[20, 0], raw.MatrixStrip[20+32, 0], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(raw.MatrixStrip[20, 1], raw.MatrixStrip[20+32, 1], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(raw.MatrixStrip[20, 2], raw.MatrixStrip[20+32, 2], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(raw.MatrixStrip[20, 3], raw.MatrixStrip[20+32, 3], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[34]
      strput, line, "          ", 11
      segmentValue = string(raw.StackPha[6], FORMAT="(' t7: ', i4, ' ')")
      strput, line, segmentValue, 11
      strput, line, "          ", 30
      segmentValue = string(raw.MatrixStrip[21, 0], raw.MatrixStrip[21+32, 0], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(raw.MatrixStrip[21, 1], raw.MatrixStrip[21+32, 1], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(raw.MatrixStrip[21, 2], raw.MatrixStrip[21+32, 2], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(raw.MatrixStrip[21, 3], raw.MatrixStrip[21+32, 3], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[35]
      strput, line, "          ", 11
      segmentValue = string(raw.StackPha[7], FORMAT="(' t8: ', i4, ' ')")
      strput, line, segmentValue, 11
      strput, line, "          ", 30
      segmentValue = string(raw.MatrixStrip[22, 0], raw.MatrixStrip[22+32, 0], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(raw.MatrixStrip[22, 1], raw.MatrixStrip[22+32, 1], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(raw.MatrixStrip[22, 2], raw.MatrixStrip[22+32, 2], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(raw.MatrixStrip[22, 3], raw.MatrixStrip[22+32, 3], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[36]
      strput, line, "          ", 30
      segmentValue = string(raw.MatrixStrip[23, 0], raw.MatrixStrip[23+32, 0], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(raw.MatrixStrip[23, 1], raw.MatrixStrip[23+32, 1], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(raw.MatrixStrip[23, 2], raw.MatrixStrip[23+32, 2], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(raw.MatrixStrip[23, 3], raw.MatrixStrip[23+32, 3], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[37]
      strput, line, "          ", 30
      segmentValue = string(raw.MatrixStrip[24, 0], raw.MatrixStrip[24+32, 0], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(raw.MatrixStrip[24, 1], raw.MatrixStrip[24+32, 1], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(raw.MatrixStrip[24, 2], raw.MatrixStrip[24+32, 2], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(raw.MatrixStrip[24, 3], raw.MatrixStrip[24+32, 3], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[38]
      strput, line, "          ", 30
      segmentValue = string(raw.MatrixStrip[25, 0], raw.MatrixStrip[25+32, 0], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(raw.MatrixStrip[25, 1], raw.MatrixStrip[25+32, 1], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(raw.MatrixStrip[25, 2], raw.MatrixStrip[25+32, 2], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(raw.MatrixStrip[25, 3], raw.MatrixStrip[25+32, 3], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[39]
      strput, line, "          ", 30
      segmentValue = string(raw.MatrixStrip[26, 0], raw.MatrixStrip[26+32, 0], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(raw.MatrixStrip[26, 1], raw.MatrixStrip[26+32, 1], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(raw.MatrixStrip[26, 2], raw.MatrixStrip[26+32, 2], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(raw.MatrixStrip[26, 3], raw.MatrixStrip[26+32, 3], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[40]
      strput, line, "          ", 30
      segmentValue = string(raw.MatrixStrip[27, 0], raw.MatrixStrip[27+32, 0], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(raw.MatrixStrip[27, 1], raw.MatrixStrip[27+32, 1], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(raw.MatrixStrip[27, 2], raw.MatrixStrip[27+32, 2], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(raw.MatrixStrip[27, 3], raw.MatrixStrip[27+32, 3], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[41]
      strput, line, "          ", 30
      segmentValue = string(raw.MatrixStrip[28, 0], raw.MatrixStrip[28+32, 0], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(raw.MatrixStrip[28, 1], raw.MatrixStrip[28+32, 1], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(raw.MatrixStrip[28, 2], raw.MatrixStrip[28+32, 2], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(raw.MatrixStrip[28, 3], raw.MatrixStrip[28+32, 3], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[42]
      strput, line, "          ", 30
      segmentValue = string(raw.MatrixStrip[29, 0], raw.MatrixStrip[29+32, 0], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(raw.MatrixStrip[29, 1], raw.MatrixStrip[29+32, 1], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(raw.MatrixStrip[29, 2], raw.MatrixStrip[29+32, 2], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(raw.MatrixStrip[29, 3], raw.MatrixStrip[29+32, 3], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[43]
      strput, line, "          ", 30
      segmentValue = string(raw.MatrixStrip[30, 0], raw.MatrixStrip[30+32, 0], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(raw.MatrixStrip[30, 1], raw.MatrixStrip[30+32, 1], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(raw.MatrixStrip[30, 2], raw.MatrixStrip[30+32, 2], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(raw.MatrixStrip[30, 3], raw.MatrixStrip[30+32, 3], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line
   line = template[44]
      strput, line, "          ", 30
      segmentValue = string(raw.MatrixStrip[31, 0], raw.MatrixStrip[31+32, 0], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 30
      strput, line, "          ", 42
      segmentValue = string(raw.MatrixStrip[31, 1], raw.MatrixStrip[31+32, 1], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 42
      strput, line, "          ", 54
      segmentValue = string(raw.MatrixStrip[31, 2], raw.MatrixStrip[31+32, 2], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 54
      strput, line, "          ", 66
      segmentValue = string(raw.MatrixStrip[31, 3], raw.MatrixStrip[31+32, 3], FORMAT="(' ', i4, ' ', i4)")
      strput, line, segmentValue, 66
      printf, lunit, line

end
