; $Id: dumpl1sissummary.pro,v 1.2 1998/07/31 01:39:01 rgr Exp $

; $RCSfile: dumpl1sissummary.pro,v $
; $Author: rgr $
; $Date: 1998/07/31 01:39:01 $
; $Revision: 1.2 $


pro dumpL1SisSummary, sum, LUN=lun

   lunit = -1
   if (keyword_set(lun)) then lunit = lun

   template = strarr(6)

   template[0] = "SIS Summary <start time               >   <S/C Clock: xxxxxxxxxx>    <MJF: x xx>"
   template[1] = "Hskp:<data0  ><data4>                                            <Quality: xx>"
   template[2] = ""
   template[3] = "  <MainBusVoltage: xxx>       <InternalTemperature1: xxx>"
   template[4] = "      <SisCurrent: xxx>       <InternalTemperature2: xxx>"
   template[5] = "<SisCoverTelltale: xx>        <InterfaceTemperature: xxx>"

   line = template[0]
      strput, line, "                           ", 12
      segmentValue = string(stringDate1996(sum.Second1996), sum.microsecond, FORMAT="(a, '.', i6.6)")
      strput, line, segmentValue, 12
      strput, line, "                       ", 42
      segmentValue = string(sum.ClockMinorFrame, FORMAT="(' S/C Clock: ', i10.10, ' ')")
      strput, line, segmentValue, 42
      strput, line, "           ", 69
      segmentValue = string(sum.MajorFrameCount, sum.MinorFrameCount, FORMAT="(' MJF: ', i1, ' ', i2.2, ' ')")
      strput, line, segmentValue, 69
      printf, lunit, line
   line = template[1]
      strput, line, "         ", 5
      segmentValue = string(sum.SisHskp[0], sum.SisHskp[1], sum.SisHskp[2], sum.SisHskp[3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 5
      strput, line, "       ", 14
      segmentValue = string(sum.SisHskp[4], sum.SisHskp[5], FORMAT="(' ', z2.2, z2.2, '  ')")
      strput, line, segmentValue, 14
      strput, line, "             ", 65
      segmentValue = string(sum.quality, FORMAT="(' Quality: ', z2.2, ' ')")
      strput, line, segmentValue, 65
      printf, lunit, line
   line = template[2]
      printf, lunit, line
   line = template[3]
      strput, line, "                     ", 2
      segmentValue = string(sum.MainBusVoltage, FORMAT="(' MainBusVoltage: ', i3, ' ')")
      strput, line, segmentValue, 2
      strput, line, "                           ", 30
      segmentValue = string(sum.SisInternalTemperature1, FORMAT="(' InternalTemperature1: ', i3, ' ')")
      strput, line, segmentValue, 30
      printf, lunit, line
   line = template[4]
      strput, line, "                 ", 6
      segmentValue = string(sum.SisCurrent, FORMAT="(' SisCurrent: ', i3, ' ')")
      strput, line, segmentValue, 6
      strput, line, "                           ", 30
      segmentValue = string(sum.SisInternalTemperature2, FORMAT="(' InternalTemperature2: ', i3, ' ')")
      strput, line, segmentValue, 30
      printf, lunit, line
   line = template[5]
      strput, line, "                      ", 0
      segmentValue = string(sum.SisCoverTelltale, FORMAT="(' SisCoverTelltale: ', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "                           ", 30
      segmentValue = string(sum.SisInterfaceTemperature, FORMAT="(' InterfaceTemperature: ', i3, ' ')")
      strput, line, segmentValue, 30
      printf, lunit, line

end
