; $Id: cvtsisadctomonitorvalue.pro,v 1.2 1998/07/27 14:30:42 rgr Exp $

; $RCSfile: cvtsisadctomonitorvalue.pro,v $
; $Author: rgr $
; $Date: 1998/07/27 14:30:42 $
; $Revision: 1.2 $

function cvtSisAdcToMonitorValue, AdcNumber, adc

   common SisSymbols
   common SbCvtSisAdcToMonitorValue, MonScaleFactor

   if (n_elements(MonScaleFactor) eq 0) then begin

      MonScaleFactor = dblarr(G$_Sis.adc.number, /nozero)
      MonScaleFactor[*] = 1.0D

      MonScaleFactor[G$_Sis.adc.MonitorP19V] = 1.0D/4.011D
      MonScaleFactor[G$_Sis.adc.MonitorP13V] = 1.0D/4.024D
      MonScaleFactor[G$_Sis.adc.MonitorM13V] = 1.0D/4.024D
      MonScaleFactor[G$_Sis.adc.MonitorP5V]  = 1.0D/4.013D
      MonScaleFactor[G$_Sis.adc.MonitorP4V]  = 1.0D/4.013D
      MonScaleFactor[G$_Sis.adc.MonitorP7V]  = 1.0D/4.013D
      MonScaleFactor[G$_Sis.adc.MonitorM7V]  = 1.0D/4.013D

      MonScaleFactor[G$_Sis.adc.MonitorCurrentA] = 1.0D
      MonScaleFactor[G$_Sis.adc.MonitorCurrentB] = 1.0D
   endif

   ScaledVoltage = double(cvtSisAdcToScaledVoltage(adc))
   return, float(ScaledVoltage / MonScaleFactor[AdcNumber])
end
