; $Id: unpacksisstimdata.pro,v 1.2 1998/06/22 23:20:25 rgr Exp $

; $RCSfile: unpacksisstimdata.pro,v $
; $Author: rgr $
; $Date: 1998/06/22 23:20:25 $
; $Revision: 1.2 $
   
pro UnpackSisStimData, telemetry, index, event 
  
   set = where(event.flag.stimulated ne 0B, nevent)
   if (nevent gt 0) then begin
      if (nevent eq 1) then set = set(0)
      event(set).stimulated.stmask =                                   $
                          fix(ishft(long(telemetry(index(set))), 8) or $
                                      long(telemetry(index(set) + 1)) )
      event(set).stimulated.vref1 = telemetry(index(set) + 2)
      event(set).stimulated.vref2 = telemetry(index(set) + 3)
      event(set).stimulated.MatrixGndSide = telemetry(index(set) + 4)
      event(set).stimulated.AMatrixHvSide = telemetry(index(set) + 5)
      event(set).stimulated.BMatrixHvSide = telemetry(index(set) + 6)
      event(set).stimulated.gain_f2 =                                  $
                        ishft(telemetry(index(set) + 7), -5) and '01'XB
      event(set).stimulated.gain_f1 =                                  $
                        ishft(telemetry(index(set) + 7), -4) and '01'XB
      event(set).stimulated.vref = telemetry(index(set) + 7) and '0f'XB
      event(set).stimulated.CalSequence =                              $
                      fix(ishft(long(telemetry(index(set) + 8)), 8) or $
                                     long(telemetry(index(set) + 9)) )
      index(set) = index(set) + 10 
   endif
   set = where(event.flag.stimulated eq 0B, nevent)
   if (nevent gt 0) then begin
      if (nevent eq 1) then set = set(0)
      event(set).stimulated.stmask = 'ffff'X
      event(set).stimulated.vref1 = 'ff'XB
      event(set).stimulated.vref2 = 'ff'XB
      event(set).stimulated.MatrixGndSide = 'ff'XB
      event(set).stimulated.AMatrixHvSide = 'ff'XB
      event(set).stimulated.BMatrixHvSide = 'ff'XB
      event(set).stimulated.gain_f2 = 'ff'XB
      event(set).stimulated.gain_f1 = 'ff'XB
      event(set).stimulated.vref = 'ff'XB
      event(set).stimulated.CalSequence = 'ffff'X
   endif

end
