/* $Id: cvtCrisAdcToScaledVoltage.c,v 1.1 1998/07/27 11:58:25 rgr Exp $ */

/* $RCSfile: cvtCrisAdcToScaledVoltage.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/07/27 11:58:25 $ */
/* $Revision: 1.1 $ */

#include "hdfi.h"

float32 cvtCrisAdcToScaledVoltage(uint16 adc)
{
   static float32 ScaledVoltage[1024];
   static int first = 1;

   float64 factor;
       int i;
   float64 offset;

   if (first) {
      first = 0;
      factor = -0.009710047;
      offset = 4.9659;
      for (i=0; i<1024; i++)
         ScaledVoltage[i] =
                        (float32) ((factor * ((float64) i)) + offset);
   }
   return ScaledVoltage[adc];
}
