/* $Id: unpackStimData_c.c,v 1.2 1998/08/03 13:19:07 rgr Exp $ */

/* $RCSfile: unpackStimData_c.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/08/03 13:19:07 $ */
/* $Revision: 1.2 $ */

#include <sys/types.h>
#include "hdfi.h"
#include "cris.h"


void unpackStimData_c(u_char  *telemetry,
                    u_long   *index,
         struct ce_crisEvt   *event)

{
   u_long byte;

   byte = *index;
   if (event->stim) {
      event->stimdata.guard_pulsers = telemetry[byte] >> 4;
      event->stimdata.ctr_pulsers = telemetry[byte] & 0x0f;
      event->stimdata.guard_dac_level = telemetry[byte+1];
      event->stimdata.ctr_dac_level = telemetry[byte+2];
      event->stimdata.guard_hi_gain = telemetry[byte+3] >> 7;
      event->stimdata.ctr_hi_gain = (telemetry[byte+3] >> 6) & 0x01;
      event->stimdata.soft_led_pulse = telemetry[byte+3] & 0x3f;
      *index = byte+4;
   }
   else {
      event->stimdata.guard_pulsers   = 0xff;
      event->stimdata.ctr_pulsers     = 0xff;
      event->stimdata.guard_dac_level = 0xff;
      event->stimdata.ctr_dac_level   = 0xff;
      event->stimdata.guard_hi_gain   = 0xff;
      event->stimdata.ctr_hi_gain     = 0xff;
      event->stimdata.soft_led_pulse  = 0xff;
   }
}
