#ifndef DUMPL1_1CRISSUBSETHSKP_C
   #define DUMPL1_1CRISSUBSETHSKP_C

   /* $Id: dumpL1_1CrisSubsetHskp.c,v 1.1 1998/07/27 11:53:22 rgr Exp $ */

   /* $RCSfile: dumpL1_1CrisSubsetHskp.c,v $ */
   /* $Author: rgr $ */
   /* $Date: 1998/07/27 11:53:22 $ */
   /* $Revision: 1.1 $ */


   #include <memory.h>
   #include <stdio.h>
   #include <sys/types.h>
   
   #include "cris/L1_1CrisSubset.h"
   #include "utilities/stringDate1996.h"

   void dumpL1_1CrisSubsetHskp(struct L1_1CrisSubset sub)
   {
      char line[256];
      char segmentValue[256];
      char *template[] = {"<start time               >   <S/C Clock: xxxxxxxxxx>   Hskp:<data4 >"};

      strcpy(line, template[0]);
         memset(line + 0, (int) ' ', 27);
         sprintf(segmentValue, "%s.%6.6lu", stringDate1996(sub.Second1996), sub.microsecond);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 23);
         sprintf(segmentValue, " S/C Clock: %10.10lu ", sub.ClockMinorFrame);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 61, (int) ' ', 8);
         sprintf(segmentValue, " %2.2x%2.2x%2.2x", sub.CrisData[4], sub.CrisData[5], sub.CrisData[6]);
         memcpy(line + 61, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
   }

#endif
