#ifndef DUMPL1SISSUMMARYHSKP_C
   #define DUMPL1SISSUMMARYHSKP_C

   /* $Id: dumpL1SisSummaryHskp.c,v 1.1 1998/07/27 12:15:44 rgr Exp $ */

   /* $RCSfile: dumpL1SisSummaryHskp.c,v $ */
   /* $Author: rgr $ */
   /* $Date: 1998/07/27 12:15:44 $ */
   /* $Revision: 1.1 $ */


   #include <memory.h>
   #include <stdio.h>
   #include <sys/types.h>
   
   #include "sis/L1SisSummary.h"
   #include "utilities/stringDate1996.h"

   void dumpL1SisSummaryHskp(struct L1SisSummary sum)
   {
      char line[256];
      char segmentValue[256];
      char *template[] = {"<start time               >   <S/C Clock: xxxxxxxxxx>   Hskp:<data0  ><data4>"};

      strcpy(line, template[0]);
         memset(line + 0, (int) ' ', 27);
         sprintf(segmentValue, "%s.%6.6lu", stringDate1996(sum.Second1996), sum.microsecond);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 23);
         sprintf(segmentValue, " S/C Clock: %10.10lu ", sum.ClockMinorFrame);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 61, (int) ' ', 9);
         sprintf(segmentValue, " %2.2x%2.2x%2.2x%2.2x", sum.SisHskp[0], sum.SisHskp[1], sum.SisHskp[2], sum.SisHskp[3]);
         memcpy(line + 61, segmentValue, strlen(segmentValue));
         memset(line + 70, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x%2.2x  ", sum.SisHskp[4], sum.SisHskp[5]);
         memcpy(line + 70, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
   }

#endif
