/* $Id: checkCompressedEvent_s.c,v 1.2 1998/07/27 12:31:30 rgr Exp $ */

/* $RCSfile: checkCompressedEvent_s.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/07/27 12:31:30 $ */
/* $Revision: 1.2 $ */

#include "hdfi.h"
#include "sis.h"

#define NSTACK  NUM_SIS_STACK_DETECTORS


int checkCompressedEvent_s(uint8  *telemetry,
                          uint32  index)

{
   uint8 FlagPeak;
   uint8 FlagStimulate;
   uint8 length;
   uint8 nbytes;
   uint8 nstrips;
   uint8 range;
      int valid;
   
   nbytes = telemetry[index] & 0x7f;
   FlagStimulate = telemetry[index+1] >> 7;
   FlagPeak = (telemetry[index+2] >> 5) & 0x01;
   range = telemetry[index+2] & 0x0f;
   nstrips = telemetry[index+3] & 0x1f;
   length = 5 + FlagPeak*4 + (range*12 + 4)/8 + 
            (uint8) (( ((int) nstrips)*20 + 4)/8) + FlagStimulate*10;

   if ((length == nbytes) && (range <= NSTACK))
      valid = 0;
   else
      valid = 1;

   return valid;
}

#undef NSTACK
