/* $Id: printL1CrisHskp.c,v 1.1 1998/07/27 11:04:21 rgr Exp $ */

/* $RCSfile: printL1CrisHskp.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/07/27 11:04:21 $ */
/* $Revision: 1.1 $ */

/* This program prints dumps of the L1CrisHskp structures found */
/* between the start and stop times.                           */
/*                                                             */
/* Arguments                                                   */
/*    argv[1] = start day expressed as YYMMDD                  */
/*    argv[2] = start time-of-day expressed as HHMMSS          */
/*    argv[3] = stop day expressed as YYMM DD                  */
/*    argv[4] = stop time-of-day expressed as HHMMSS           */


#include <stdio.h>
#include <stdlib.h>

#include "hdfi.h"
#include "cris/L1CrisHskp.h"

#include "utilities/cvtToSec1996_ymd_hms.h"
#include "crisGetData/getGroupHskps_c.h"
#include "cris/dumpL1CrisHskp.h"

int main(argc, argv)
int argc;
char *argv[];
{
                long hms;
   struct L1CrisHskp *hskp;
              uint32 t0;
              uint32 t1;
                long ymd;

   ymd = atol(argv[1]);
   hms = atol(argv[2]);
   t0 = cvtToSec1996_ymd_hms(ymd, hms);
   ymd = atol(argv[3]);
   hms = atol(argv[4]);
   t1 = cvtToSec1996_ymd_hms(ymd, hms);

   hskp = getGroupHskps_c(t0, t1, 1);
   while(hskp->Second1996) {
      dumpL1CrisHskp(*hskp);
      printf("\n\n");
      hskp++;
   }
   exit(0);
}
